SystemOrganization addCategory: #'CreativeCorsetry-Site'!
SystemOrganization addCategory: #'CreativeCorsetry-Options'!

WSObject subclass: #CCFabric
	instanceVariableNames: 'image name description code colour'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:45'!
code
	^code! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:45'!
code: aCode
	code := aCode! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/23/2009 13:55'!
colour
	"Answer the approximate colour of this fabric"
	^colour ifNil: [ colour :=
		((Form fromFileNamed: (image pathFor: image preview)) scaledToSize: 1@1) dominantColor].! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 12:18'!
description
	^description! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:45'!
description: aDescription
	description := aDescription.! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:45'!
image
	^image! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:45'!
image: anImage
	image := anImage! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:28'!
name
	^name! !

!CCFabric methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:45'!
name: aName
	name := aName! !

WSObject subclass: #CCFabricSet
	instanceVariableNames: 'name description fabrics'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricSet methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:52'!
description
	^description! !

!CCFabricSet methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:52'!
description: aDescription
	description := aDescription! !

!CCFabricSet methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:52'!
fabrics
	^fabrics! !

!CCFabricSet methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/24/2009 10:45'!
fabrics: aCollection
	fabrics := aCollection.! !

!CCFabricSet methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:51'!
initialize
	super initialize.
	fabrics := OrderedCollection new.
	! !

!CCFabricSet methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:51'!
name
	^name! !

!CCFabricSet methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:52'!
name: aName
	name := aName! !

WSObject subclass: #CCSize
	instanceVariableNames: 'name description value units'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCSize class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:52'!
availableUnits 
	^#(cm inches)! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:29'!
description 
	^description! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:29'!
description: aDescription
	description := aDescription! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/8/2009 21:15'!
initialize
	super initialize.
	units := #cm.
	value := 0.! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:56'!
migrate 
	units := units ifNil: [#cm].
	value := value ifNil: [0].! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:28'!
name
	^name! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:28'!
name: aName
	name := aName! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 18:17'!
printOn: aStream
	aStream nextPutAll: value displayString, ' ', units asString.! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:47'!
units
	^units! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:47'!
units: aUnit
	units := aUnit! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 18:22'!
value
	^value ! !

!CCSize methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 18:16'!
value: aSizeInMm
	value := aSizeInMm! !

WSForm subclass: #CCFabricEditor
	instanceVariableNames: 'fabric imageEditor editMode'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricEditor class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:47'!
fabric: aFabric
	^self basicNew
		initializeWithFabric: aFabric;
		yourself! !

!CCFabricEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/16/2009 12:19'!
cancelEditing
	editMode := false! !

!CCFabricEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/16/2009 12:19'!
edit
	editMode := true.! !

!CCFabricEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/16/2009 12:19'!
editMode
	^editMode! !

!CCFabricEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/17/2009 11:55'!
initializeWithFabric: aFabric
	super initialize.
	fabric := aFabric.
	imageEditor := (WSField image on: #image of: fabric; beRequired; yourself).
	self add: (WSField text on: #code of: fabric; beRequired; yourself).
	self add: (WSField text on: #name of: fabric; beRequired; yourself).
	self add: (WSField largeText on: #description of: fabric; yourself).
	self add: imageEditor.
	self edit.! !

!CCFabricEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 13:22'!
value
	^fabric! !

WSForm subclass: #CCFabricValueEditor
	instanceVariableNames: 'option selectedFabric fabrics page subset'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricValueEditor class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:38'!
option: anOption
	^self basicNew
		initializeWithOption: anOption;
		yourself! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/5/2009 11:25'!
beRequired
	rules add:  (WSRule rule: [ :a| (selectedFabric = nil) not ] message: 'is required')! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/3/2009 13:09'!
firstPage
	self page: 1! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/3/2009 13:07'!
initializeWithOption: anOption
	self initialize.
	option := anOption.
	selectedFabric := anOption fabric.
	fabrics := anOption fabricSet fabrics.
	self page: 1.! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/2/2009 18:27'!
itemsPerPage
	^16! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/3/2009 13:09'!
lastPage
	self page: ((fabrics size - 1) // self itemsPerPage) + 1! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/3/2009 13:09'!
nextPage
	self page: page + 1! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/3/2009 13:24'!
page: pageNumber
	page := pageNumber.
	subset := fabrics copyFrom: ((page - 1) * self itemsPerPage) + 1 to: (fabrics size min: (page * self itemsPerPage)).! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/3/2009 13:09'!
previousPage
	self page: page - 1.! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/16/2009 20:45'!
renderContentOn: html
	html fieldSet class: 'cc-fabric-editor'; with: [
		html legend: label.
		option description ifNotNil: [ html paragraph: option description].
		self renderSelectedOn: html.
		html div class: #fabricList; with: [
			self renderListOn: html.
		].
		self renderNavigationOn: html.
	].! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/16/2009 20:41'!
renderListOn: html
	selectedFabric notNil 
		ifTrue: [ html wsImage class: #selected; image: selectedFabric image preview]
		ifFalse: [ html div class: #selected; with: 'Select a ', option name, ' from the right' ].
		html div: [
		subset do: [ :f |
			html anchor callback: [ selectedFabric := f ]; with: [
					html wsImage 
						title: f name;
						image:f image thumbnail]]]! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/16/2009 20:40'!
renderNavigationOn: html
	| maxPages |
	maxPages := ((fabrics size - 1) // self itemsPerPage) + 1.
	html div class: 'fabricNav'; with: [
	page > 1 
		ifTrue: [html anchor callback: [ self firstPage ]; with: '<<'.
			html space.
			html anchor callback: [ self previousPage ]; with: '<']
		ifFalse: [ html span: '<<'; space; span: '<'].

	html space.
	html text: 'Page ', page printString,  ' of ', maxPages printString.
	html space.
	
	page < maxPages 
		ifTrue: [ html anchor callback: [ self nextPage ]; with: '>'.
			html space.
			html anchor callback: [ self lastPage ]; with: '>>']
		ifFalse: [ html span: '>'; space; span: '>>']
	]! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/16/2009 19:46'!
renderSelectedOn: html
	selectedFabric notNil 
		ifTrue: [
			html heading level: 4; with: selectedFabric name.
			selectedFabric description ifNotNil: [html paragraph: selectedFabric description]]! !

!CCFabricValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/5/2009 11:57'!
save
	option fabric: selectedFabric! !

WSForm subclass: #CCSizesValueEditor
	instanceVariableNames: 'option'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCSizesValueEditor class methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 14:13'!
on: sizesOption
	^self basicNew
		initializeWithOption: sizesOption;
		yourself.! !

!CCSizesValueEditor methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 14:47'!
beRequired
	fields do: [ :f | f beRequired ]! !

!CCSizesValueEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/8/2009 21:54'!
initializeWithOption: anOption
	option := anOption.
	self initialize.
	self add: ((CCUnitsField new label: 'Units'; on: #units of: option) description: 'The units for the following measurements').
	option do: [ :size |
		self add: ((WSField numeric beZeroIsNil; on: #value of: size; label: size name) 
			description: size description; yourself)]! !

!CCSizesValueEditor methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 21:29'!
renderContentOn: html
	html fieldSet class: 'cc-sizes-editor'; with: [
		html legend: label.
		html paragraph: 'Before we make your corset we will need the following measurements. It''s best to take these measurements wearing only your bra and knickers. Make sure your bra fits well and is supportive. If you can, have someone else take your measurements as they will be more accurate.  Please remember that accurate measurements are vital to the fit and comfort of your corset.'.
		self renderMessagesOn: html.
		fields do: [ :f | html render: f ]]! !

WSRoot subclass: #CCRoot
	instanceVariableNames: 'pages current cartWidget background lightbox'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCRoot class methodsFor: 'as yet unclassified' stamp: 'srh 4/14/2009 14:35'!
applicationNamed: aString
	| application |
	application := CCApplication named: aString.
	application configuration addAncestor: WARenderLoopConfiguration new.
	application preferenceAt: #rootComponent put: self.
	^ application! !

!CCRoot class methodsFor: 'as yet unclassified' stamp: 'srh 2/7/2009 18:17'!
canBeRoot
	^true! !

!CCRoot class methodsFor: 'as yet unclassified' stamp: 'srh 3/30/2009 13:36'!
isDeployed
	^true! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/20/2009 21:25'!
children
	^OrderedCollection with: current value with: cartWidget.! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/22/2009 00:00'!
inLightbox
	^lightbox! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 7/9/2009 19:28'!
initialRequest: aRequest
	| pathItems |
	pathItems := aRequest url findTokens: '/'.
	" First item wil be the /seaside prefix, second will be this app.  
	If there's a third then that will be the name of the page to view"
	(pathItems size > 2) ifTrue: [ | pageName |
		pageName := pathItems third asSymbol.
		pageName = #IPN ifTrue: [ self show: (WSIPNListener new initialRequest: aRequest; yourself) ]
			ifFalse: [pages at: pageName
				ifPresent: [ :page | current := page]]]! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/6/2009 23:30'!
initialize
	super initialize.
	self initializePages.
	self initializeCart.
	background := CCBackground new.
	lightbox := false.
	self session root: self.! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/6/2009 23:45'!
initializeCart
	cartWidget := WSCartWidget new.
	self session addListener: (WSCartListener cart: self session cart).
	self session on: WSEmptyCart do: [ :a | self session cart clear].
! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/22/2009 01:10'!
initializePages
	pages := Dictionary new.
	pages 
		at: #home
		put: (CCLazyValue factoryBlock: [ CCHome new ]).
	pages 
		at: #store
		put: (CCLazyValue factoryBlock: [ CCStore new ]).
	pages 
		at: #history
		put: (CCLazyValue factoryBlock: [ CCHistory new ]).
	pages 
		at: #care
		put: (CCLazyValue factoryBlock: [ CCCorsetCare new ]).
	pages 
		at: #faq
		put: (CCLazyValue factoryBlock: [ CCFaq new ]).
	current := pages at: #home! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'StuartHerring 8/29/2009 16:51'!
lightbox: aComponent
	lightbox := true.
	background lightbox: true.
	^AnswerContinuation currentDo: [ :cc |
		self
			show: aComponent
			onAnswer: [ :v | lightbox := false. background lightbox: false. cc value: v ]
			delegation: (CCLightBox new
				delegate: aComponent;
				yourself).
		WARenderNotification raiseSignal]! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/22/2009 00:20'!
menu: aSymbol labelled: label on: html
	html listItem: [self inLightbox ifTrue: [html anchor class: 'disabled'; with: label ]
			ifFalse: [html anchor url: (self session baseUrl addToPath: aSymbol); with: label]]! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'StuartHerring 8/29/2009 16:47'!
renderContentOn: html
	html div id: 'heading'; with: [html heading level: 1; with: 'Creative Corsetry'].
	self inLightbox ifFalse: [
		html div id: 'nav-bg'; with: [
			html div class: 'tl'. html div class: 'tr'.
			html div class: 'l'. html div class: 'r'.
			html div class: 'bl'. html div class: 'br'].
		html div id: 'nav'; with: [self renderNavOn: html]].
	current = (pages at: #home) 
		ifTrue: [ html render: current value]
		ifFalse: [ html render: background.
			html div id: 'contents'; class: (self inLightbox ifTrue: ['lightbox'] ifFalse: ['']); with: [
				self inLightbox ifFalse: [html heading level: 2; with: current value title].
				html div class: 'tl'. html div class: 't'. html div class: 'tr'.
				html div class: 'l'. html div class: 'm'; with: (self inLightbox ifFalse: [current value] ifTrue: []). html div class: 'r'.
				html div class: 'bl'. html div class: 'b'. html div class: 'br']]! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/18/2009 16:27'!
renderNavOn: html
	html unorderedList: [
		self menu: #home labelled: 'Home' on: html.
		self menu: #store labelled: 'Our Corsets' on: html.
		self menu: #history labelled: 'Corset History' on: html.
		self menu: #faq labelled: 'FAQ' on: html.
		self menu: #care labelled: 'Corset Care' on: html.
	].
html render: cartWidget.! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 21:11'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	anHtmlRoot title: current value title, ' - Creative Corsetry'! !

WSSession subclass: #CCSession
	instanceVariableNames: 'cart root'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 3/1/2009 18:17'!
cart
	^cart! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 23:59'!
initialize
	super initialize.
	self resetCart.! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:08'!
mainClass
	^CCRenderLoopMain ! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/10/2009 11:24'!
resetCart
	cart := WSOrder new! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:06'!
root: aRoot
	root := aRoot.! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:07'!
start: aRequest
	^self mainClass new
		root: root;
		start: aRequest.! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 13:13'!
urlForProduct: aProduct
	^(super urlForProduct: aProduct)
		addToPath: 'store';
		yourself! !

Object subclass: #CCBackground
	instanceVariableNames: 'lightbox'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCBackground methodsFor: 'rendering' stamp: 'StuartHerring 8/29/2009 16:51'!
inLightbox 
	^lightbox ! !

!CCBackground methodsFor: 'rendering' stamp: 'StuartHerring 8/29/2009 16:58'!
initialize 
	super initialize.
	lightbox := false.! !

!CCBackground methodsFor: 'rendering' stamp: 'StuartHerring 8/29/2009 16:50'!
lightbox: aBoolean
	lightbox := aBoolean! !

!CCBackground methodsFor: 'rendering' stamp: 'StuartHerring 8/29/2009 16:48'!
renderOn: html
	html div id: 'contents-bg'; class: (self inLightbox ifTrue: ['lightbox'] ifFalse: ['']); with: [
		html div class: 'tl'. html div class: 'tr'.
		html div class: 'l'.
		html table id: 'background'; with:[
			html tableRow with: [html tableData with: [
				html image url: CCLibrary / #frontpageJpg]]].
		html div class: 'r'.
		html div class: 'bl'. html div class: 'br']
! !

Object subclass: #CCFootnote
	instanceVariableNames: 'notes html'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCFootnote class methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 22:10'!
newWithCanvas: html
	^self basicNew
		initializeWithCanvas: html;
		yourself.! !

!CCFootnote methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 22:52'!
addNote: text at: tag
	html anchor class: 'fn'; url: '#', tag displayString; name: tag displayString, '_'; with: [ html superscript: tag ].
	notes add: tag->text.! !

!CCFootnote methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 22:12'!
initializeWithCanvas: aRenderCanvas
	self initialize.
	html := aRenderCanvas.
	notes := OrderedCollection new.! !

!CCFootnote methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 22:51'!
render
	html div class: #footnotes; with: [
		notes do: [ :n |
			html paragraph: [
				html anchor class: 'fn';name: (n key displayString); url: '#', n key displayString, '_'; with: [html superscript: n key].
				html space.
				html text: n value]]]! !

Object subclass: #CCLazyValue
	instanceVariableNames: 'block value'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCLazyValue class methodsFor: 'as yet unclassified' stamp: 'srh 4/20/2009 21:17'!
factoryBlock: aBlock
	^self basicNew
		initializeWithBlock: aBlock;
		yourself.! !

!CCLazyValue methodsFor: 'as yet unclassified' stamp: 'srh 4/20/2009 21:17'!
initializeWithBlock: aBlock
	block := aBlock.! !

!CCLazyValue methodsFor: 'as yet unclassified' stamp: 'srh 4/20/2009 21:26'!
value
	^value ifNil: [ value := block value ]! !

WAComponent subclass: #CCFabricComponent
	instanceVariableNames: 'fabric'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricComponent class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/16/2009 13:12'!
fabric: aFabric
	^self basicNew
		initializeWithFabric: aFabric;
		yourself! !

!CCFabricComponent methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/16/2009 13:13'!
initializeWithFabric: aFabric
	self initialize.
	fabric := aFabric.! !

!CCFabricComponent methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/23/2009 14:42'!
renderContentOn: html
	html paragraph: [ html strong: fabric name ].
	html div style: 'padding: 10px; background-color: #', fabric colour printHtmlString; with: [
		html wsImage: fabric image preview].
	html paragraph: [ html strong: 'Code: '; render: fabric code].
	html paragraph: fabric description.

! !

WAComponent subclass: #CCFabricSetEditor
	instanceVariableNames: 'fabricSet fields'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricSetEditor class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:55'!
fabricSet: aFabricSet
	^self basicNew 
		initializeWithFabricSet: aFabricSet;
		yourself! !

!CCFabricSetEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/17/2009 14:56'!
cancel
	WSStoreServices transactionProvider abort.
	self answer: nil! !

!CCFabricSetEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 10:57'!
children
	^{fields}! !

!CCFabricSetEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/16/2009 13:10'!
initializeWithFabricSet: aFabricSet
	self initialize.
	fabricSet := aFabricSet.
	fields := WSForm new.
	fields add: (WSField text on: #name of: fabricSet; beRequired; yourself).
	fields add: (WSField largeText on: #description of: fabricSet; beRequired; yourself).
	fields add: (WSDynamicFieldGroup new
		label: 'Fabric';
		newItem: [ :x | CCFabric new ];
		component: [ :f | CCFabricComponent fabric: f];
		editor: [ :f | CCFabricEditor fabric: f];
		on: #fabrics of: fabricSet;
		yourself).! !

!CCFabricSetEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/17/2009 14:55'!
renderContentOn: html
	html form multipart; with: [
		html render: fields.
		html div: [
			html cancelButton value: 'Cancel'; callback: [ self cancel].
			html submitButton value: 'Save'; callback: [ self saveAndAnswer]
	]]! !

!CCFabricSetEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 13:19'!
saveAndAnswer
	fields valid ifFalse: [ ^ nil ].
	(WSApplyFormCommand form: fields) run.
	self answer: fabricSet! !

WAComponent subclass: #CCHome
	instanceVariableNames: 'background'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

CCHome class
	instanceVariableNames: 'background'!

CCHome class
	instanceVariableNames: 'background'!

!CCHome methodsFor: 'initialization' stamp: 'srh 4/14/2009 20:01'!
initialize
	super initialize.
	background := CCBackground new.! !

!CCHome methodsFor: 'rendering' stamp: 'srh 4/14/2009 20:01'!
renderContentOn: html
	html render: background! !

!CCHome methodsFor: 'initialization' stamp: 'srh 4/21/2009 21:07'!
title
	^'Home'! !

WSOptionComponent subclass: #CCFabricOptionComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricOptionComponent methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/5/2009 12:05'!
renderContentOn: html
	html strong: option name, ': '.
	html render: option fabric name, ' (', option fabric code, ')'! !

WSOptionComponent subclass: #CCSizesComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCSizesComponent methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 18:17'!
renderContentOn: html
	html div: [ 
		html strong: option name.
		html paragraph: [
			option do: [ :size |
				html strong: size name, ': ';
					text: size displayString; space]]]! !

WSOptionField subclass: #CCFabricSetOptionEditor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricSetOptionEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:34'!
initializeWithOption: anOption
	super initializeWithOption: anOption.
	self add: (WSField largeText on: #description of: option; yourself).
	self add: ((WSDropDownField list: CCFabricOption fabricSets) 
		on: #fabricSet of: option;
		labels: [ :o | o name ])! !

WSOptionField subclass: #CCSizesOptionEditor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCSizesOptionEditor methodsFor: 'as yet unclassified' stamp: 'Stuart Herring 9/18/2009 11:55'!
initializeWithOption: anOption
	super initializeWithOption: anOption.
	self add: (WSDynamicFieldGroup new
			label: 'Measurements';
			newItem: [ :x | CCSize new ];
			editor: [ :size | CCSizeOptionEditor size: size ];
			on: #sizes
				of: option)! !

WAApplication subclass: #CCApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCApplication class methodsFor: 'as yet unclassified' stamp: 'srh 4/14/2009 14:48'!
description
	^'CC Application'! !

!CCApplication methodsFor: 'as yet unclassified' stamp: 'srh 4/19/2009 16:22'!
defaultLibraries
	^#()! !

!CCApplication methodsFor: 'request handling' stamp: 'srh 4/14/2009 15:25'!
handleExpiredRequest: aRequest
	| url |
	aRequest isXmlHttpRequest
		ifTrue: [ ^ WAResponse new forbidden ].
	"Remove the seaside fields and cookies, so that it looks like a default session"
	url := WAUrl new.
	aRequest isGet ifTrue: [
		aRequest fields keysAndValuesRemove: [ :key :value |
			(url isSeasideField: key)]].
	aRequest cookies removeKey: self handlerCookieName ifAbsent: nil.
	^ self handleDefaultRequest: aRequest.! !

WSOptionAdminPage subclass: #CCFabricSetAdmin
	instanceVariableNames: 'fabricSets'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricSetAdmin class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/12/2009 13:28'!
label
	^'Fabric Sets'! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 09:29'!
actions
	^{'Add Set' -> [ self add ]. 'Done' -> [ self answer ]}.! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 12:31'!
add
	| f |
	f := self call: (CCFabricSetEditor fabricSet: CCFabricSet new).
	f ifNotNil: [ (WSAddtoCollectionCommand add: f to: fabricSets) run ]! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 12:39'!
delete: f
	(self confirm: 'Really delete ',f name, '?') ifTrue: [
		(WSRemoveFromCollectionCommand remove: f from: fabricSets) run ]! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 12:41'!
edit: aFabricSet 
	self call: (CCFabricSetEditor fabricSet: aFabricSet)! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/12/2009 14:07'!
initialize
	super initialize.
	fabricSets := CCFabricOption fabricSets.! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/12/2009 14:05'!
renderBodyOn: html
	self renderFabricSetsOn: html! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 12:31'!
renderFabricSetsOn: html
	html table: 
		[ html tableRow: 
			[ html tableHeading: 'Name'.
			html tableHeading: 'Actions' ].
		fabricSets do: 
			[ :f | 
			html tableRow: 
				[ html tableData: f name.
				html tableData: 
					[ html anchor
						callback: [ self delete: f ];
						with: 'Delete'.
					html space.
					html anchor
						callback: [ self edit: f ];
						with: 'Edit'.

					html space.
					html anchor
						callback: [ self copy: f ];
						with: 'Copy' ] ] ] ]! !

!CCFabricSetAdmin methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/12/2009 13:28'!
title
	^'Manage Fabric Sets'! !

WSFieldGroup subclass: #CCSizeOptionEditor
	instanceVariableNames: 'size'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCSizeOptionEditor class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 23:00'!
size: aSize
	^self basicNew 
		initializeWithSize: aSize;
		yourself! !

!CCSizeOptionEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 23:21'!
initializeWithSize: aSize
	self initialize.
	size := aSize.
	self add: (WSField text label: 'Name'; on: #name of: size; beRequired; yourself).
	self add: (WSField largeText label: 'Description'; on: #description of: size; yourself).! !

!CCSizeOptionEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 23:09'!
renderContentOn: html
	fields do: [ :f | html render: f]! !

!CCSizeOptionEditor methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 23:01'!
value
	^size! !

WSOption subclass: #CCFabricOption
	instanceVariableNames: 'description fabric fabricSet'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCFabricOption class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/12/2009 17:52'!
fabricSets
	^WSStoreServices repository at: #CCFabricOption ifAbsent: [ WSStoreServices repository at: #CCFabricOption put: OrderedCollection new]! !

!CCFabricOption class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/14/2009 12:42'!
label
	^'Fabric Selection'! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/4/2009 16:03'!
asComponent
	^ CCFabricOptionComponent option: self! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/3/2009 10:50'!
deepCopy
	"Answer a copy of the receiver with its own copy of each instance 
	variable."

	| newObject |
	newObject := self class basicNew.
	newObject instVarNamed: 'fabric' put: fabric deepCopy.
	newObject instVarNamed: 'description' put: description deepCopy.
	newObject instVarNamed: 'name' put: name deepCopy.
	newObject instVarNamed: 'fabricSet' put: fabricSet.
	newObject instVarNamed: 'required' put: required deepCopy.
	^newObject
	! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:31'!
description
	^description! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:31'!
description: aDescription
	description := aDescription! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:30'!
editor
	^CCFabricSetOptionEditor option: self! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:41'!
fabric
	^fabric! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:42'!
fabric: aFabric
	fabric := aFabric! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:33'!
fabricSet 
	^fabricSet! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/7/2009 15:23'!
fabricSet: aFabricSet
	fabricSet := aFabricSet! !

!CCFabricOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:59'!
valueEditor
	^ CCFabricValueEditor option: self! !

WSOption subclass: #CCSizesOption
	instanceVariableNames: 'bust waist hips underbust units availableUnits sizes'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCSizesOption class methodsFor: 'as yet unclassified' stamp: 'srh 3/8/2009 10:36'!
label
	^'Sizes'! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'srh 5/4/2009 17:59'!
asComponent
	^CCSizesComponent option:  self! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:43'!
do: aBlock
	sizes do: aBlock! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:58'!
editor
	^ CCSizesOptionEditor option: self! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:53'!
initialize
	super initialize.
	sizes := OrderedCollection new.
	self units: #cm! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 00:06'!
migrate
	super migrate.
	units := units ifNil: [ #cm ].
	bust := bust ifNil: [0].
	waist := waist ifNil: [0].
	underbust := underbust ifNil: [0].
	hips := hips ifNil: [0].
	sizes ifNil: [
		sizes := OrderedCollection new.
		sizes add: 
			(CCSize new name: 'Bust'; description: 'Bust measurement at its widest'; value: bust; yourself).
		sizes add: 
			(CCSize new name: 'Under Bust'; description: 'this is where your underwire sits'; value: underbust; yourself).
		sizes add: 
			(CCSize new name: 'Waist'; description: 'the waist at the narrowest point'; value: waist; yourself).
		sizes add: 
			(CCSize new name: 'Hips'; description: 'hips at the widest point'; value: hips; yourself)].
	 sizes do: [ :s | s migrate]! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 18:36'!
sizes
	^sizes! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/4/2009 18:46'!
sizes: aCollection 
	sizes := aCollection! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/2/2009 21:21'!
units
	^units! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/3/2009 23:52'!
units: aUnitSymbol
	(CCSize availableUnits includes: aUnitSymbol) ifFalse: [ Error signal: 'Invalid Symbol'].
	units := aUnitSymbol.
	self do: [ :size | size units: units ].! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/15/2009 11:58'!
valueEditor
	^ CCSizesValueEditor on: self! !

WAFileLibrary subclass: #CCLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCLibrary methodsFor: 'uploaded' stamp: ''!
backgroundPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 160 8 3 0 0 0 73 195 222 234 0 0 3 0 80 76 84 69 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 96 30 80 106 44 91 139 91 127 174 141 166 199 175 193 229 219 227 248 245 247 254 254 254 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 93 26 77 245 87 125 238 0 0 0 219 116 82 78 83 254 254 254 254 254 253 252 251 251 250 250 249 248 246 245 243 242 241 241 240 239 237 234 232 231 228 226 223 218 213 207 198 191 186 180 173 165 156 147 139 130 123 112 105 91 83 75 69 59 43 30 23 22 22 22 20 16 11 6 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 51 202 71 65 0 0 1 207 73 68 65 84 88 195 197 216 193 106 131 64 20 133 225 46 92 232 110 92 4 55 10 67 28 28 28 70 34 195 125 204 190 225 121 153 238 218 180 77 205 47 76 168 235 15 65 8 185 231 156 183 247 163 199 246 45 197 224 71 39 189 29 168 60 247 250 124 254 130 37 249 86 247 207 99 88 66 163 31 207 35 104 75 39 61 135 182 58 9 192 60 72 0 90 148 8 180 171 16 44 147 16 188 93 132 224 173 21 130 229 232 125 119 208 38 33 120 240 189 223 97 20 131 89 12 218 0 225 42 6 205 65 184 136 193 210 65 24 196 96 105 32 76 130 208 67 104 45 132 89 16 206 16 90 15 225 46 8 55 10 19 133 145 194 64 161 167 112 164 208 81 168 23 64 55 250 16 211 182 219 225 201 185 123 99 63 103 67 80 82 235 83 65 80 82 19 10 131 82 183 24 131 146 91 141 65 105 200 16 74 209 32 212 213 32 212 84 32 212 229 6 161 218 27 132 186 20 8 53 25 132 95 223 254 244 247 24 41 84 166 112 48 8 181 82 232 12 66 45 20 118 5 66 5 10 155 2 161 18 133 158 194 214 32 84 166 112 166 176 55 250 183 183 83 184 81 152 40 140 20 6 10 61 133 35 133 238 37 119 166 54 196 71 19 159 97 124 216 113 84 192 225 3 199 25 28 144 112 228 194 33 14 199 66 30 52 113 116 197 97 152 199 107 28 216 113 5 224 165 2 215 20 94 124 112 149 226 229 12 215 61 94 32 121 37 197 37 151 215 102 94 196 121 181 231 99 1 159 31 248 160 193 39 146 19 163 11 159 113 78 12 67 39 166 166 19 227 213 239 57 236 223 14 146 171 126 134 125 245 168 16 171 199 153 173 118 228 194 33 110 174 29 52 113 116 245 181 227 53 14 236 161 118 169 88 106 23 159 181 118 57 203 149 11 36 173 164 180 228 210 218 76 139 56 173 246 116 44 160 243 3 28 52 224 68 2 71 23 56 227 176 97 136 77 77 79 199 43 54 135 125 0 56 141 56 110 239 133 139 26 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
frontpageJpg
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(255 216 255 224 0 16 74 70 73 70 0 1 1 1 0 240 0 240 0 0 255 219 0 67 0 5 3 4 4 4 3 5 4 4 4 5 5 5 6 7 12 8 7 7 7 7 15 11 11 9 12 17 15 18 18 17 15 17 17 19 22 28 23 19 20 26 21 17 17 24 33 24 26 29 29 31 31 31 19 23 34 36 34 30 36 28 30 31 30 255 219 0 67 1 5 5 5 7 6 7 14 8 8 14 30 20 17 20 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 255 194 0 17 8 2 117 1 144 3 1 34 0 2 17 1 3 17 1 255 196 0 28 0 0 1 5 1 1 1 0 0 0 0 0 0 0 0 0 0 0 1 2 3 4 5 6 7 8 255 196 0 25 1 0 3 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0 1 2 3 4 5 255 218 0 12 3 1 0 2 16 3 16 0 0 1 224 128 235 245 192 0 0 0 0 0 0 0 0 0 0 17 65 22 75 121 148 95 189 119 154 57 121 58 117 202 121 163 175 108 28 124 125 60 27 28 227 58 42 26 94 90 94 173 209 81 138 150 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 128 162 220 130 182 151 68 254 12 234 223 108 92 153 218 174 73 4 21 244 161 106 165 204 157 6 159 91 81 205 226 98 245 153 59 172 155 12 149 221 58 123 245 246 211 16 183 87 178 208 11 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 18 71 116 220 234 135 75 173 91 206 197 212 237 214 202 115 235 107 102 3 45 50 38 95 158 133 164 226 196 211 180 78 102 150 108 204 210 41 92 206 171 102 234 199 180 229 70 248 244 210 222 78 198 117 60 134 233 81 239 210 48 54 96 0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 202 157 30 10 30 255 0 63 107 203 202 165 93 92 172 230 176 181 64 138 86 34 148 86 168 233 51 218 91 17 84 38 134 202 43 213 153 181 46 180 216 101 189 131 116 41 69 43 118 169 243 52 104 167 70 221 59 119 57 177 235 229 247 110 192 54 96 0 0 0 0 0 0 0 0 0 0 0 3 219 163 154 179 214 99 238 121 179 211 65 177 153 207 148 152 91 116 229 208 71 95 151 145 87 83 21 170 80 78 221 98 123 204 175 157 55 38 9 182 206 125 10 147 197 67 51 115 217 160 149 93 105 107 189 46 164 167 118 162 211 46 104 38 172 236 49 38 119 144 221 10 30 134 200 6 128 0 0 0 0 0 0 0 0 0 18 34 109 88 95 231 103 163 189 207 239 97 125 181 102 90 158 108 155 45 158 106 165 137 217 134 144 242 221 86 75 158 90 210 94 218 34 229 250 94 62 165 117 169 75 115 106 229 72 98 217 81 211 212 68 143 134 149 196 66 180 179 86 213 121 211 26 120 39 188 164 120 197 118 178 117 219 166 184 67 217 232 88 3 0 0 0 0 0 0 0 1 116 169 237 242 78 126 142 93 190 76 180 183 113 118 231 78 167 79 7 163 142 124 187 244 244 181 154 107 59 240 215 50 190 166 110 55 203 77 167 66 167 35 155 222 229 250 241 52 51 36 184 216 175 82 206 87 91 70 134 140 180 72 180 51 116 94 69 208 173 215 86 173 178 39 174 94 79 158 172 234 244 1 201 229 209 209 165 217 172 66 47 85 0 0 0 0 0 0 10 150 36 191 113 79 46 51 109 209 212 50 177 169 151 167 27 104 119 158 81 232 147 141 253 8 229 219 5 101 164 215 42 24 221 29 14 125 249 220 157 108 236 118 226 242 117 169 117 243 86 138 123 180 177 180 181 35 151 137 173 148 178 245 236 192 99 163 162 179 83 100 246 184 142 140 33 209 233 148 210 193 97 59 232 139 58 101 207 4 250 78 122 79 7 163 176 5 0 0 0 0 0 110 100 245 124 115 94 57 96 228 154 82 68 231 26 122 25 186 51 165 30 139 153 68 189 185 212 236 156 143 181 206 232 244 45 24 44 54 178 207 230 250 172 124 58 56 246 244 85 233 97 88 210 112 179 32 219 65 227 103 117 49 135 38 117 77 75 151 161 219 68 235 144 93 252 200 219 148 138 221 91 132 179 78 225 90 34 58 52 204 99 226 172 237 103 223 171 215 180 64 117 80 0 0 0 15 69 254 143 31 91 205 204 204 191 159 154 163 53 107 173 104 232 102 106 77 101 83 183 1 94 157 210 113 61 188 242 227 186 236 151 119 226 130 45 185 214 132 149 99 72 224 146 41 109 80 150 174 71 166 214 202 198 162 100 177 82 106 58 65 86 134 253 116 249 238 127 179 133 158 113 47 109 139 85 81 210 182 53 201 134 122 213 156 179 81 210 210 243 71 51 208 217 64 96 0 22 107 232 226 174 234 101 235 121 217 69 155 171 156 86 101 250 215 90 208 210 206 235 162 249 222 155 113 116 231 124 181 195 57 210 20 155 150 38 66 133 172 66 193 168 136 114 198 34 73 43 202 57 16 86 152 217 26 8 244 112 217 155 161 135 38 117 236 57 238 55 35 89 116 84 113 58 90 137 241 21 53 114 150 169 126 133 214 160 175 165 157 223 208 1 171 0 7 106 81 185 197 54 117 178 181 185 115 142 157 220 229 76 179 94 248 111 250 46 102 206 188 244 33 158 156 165 70 17 78 72 217 52 248 145 128 200 93 21 200 212 96 156 70 4 214 41 206 22 86 39 166 173 1 189 171 4 58 153 115 228 169 133 176 95 223 61 153 145 85 50 189 136 169 96 242 93 239 26 221 11 112 72 175 67 43 103 43 126 136 64 237 160 20 47 186 70 121 185 104 105 225 237 100 50 141 200 19 163 187 143 220 83 244 88 108 83 219 130 157 57 233 97 180 132 4 183 196 216 7 51 99 80 72 101 138 165 145 185 141 8 141 28 150 106 217 20 234 208 110 88 201 114 192 230 75 161 203 117 244 84 242 187 140 183 180 94 137 148 155 209 72 102 106 183 45 215 96 143 143 177 90 194 215 90 156 235 90 229 10 158 150 131 217 60 26 85 46 212 243 113 189 175 141 183 45 217 90 121 202 153 234 126 91 236 186 231 167 70 230 99 229 161 157 62 92 105 52 184 247 90 177 20 76 69 185 43 205 52 177 73 19 81 49 241 177 6 185 15 179 86 200 72 49 25 32 192 21 169 28 178 180 149 128 107 25 112 218 79 25 165 102 57 218 175 149 177 152 159 0 241 166 186 147 214 179 58 227 182 88 189 61 82 237 61 60 213 154 150 43 121 249 94 215 202 213 76 163 110 9 209 190 219 228 190 193 191 52 25 26 56 230 57 217 26 25 41 213 211 193 214 100 174 173 42 47 79 86 198 118 177 200 214 160 138 197 102 163 116 110 9 231 171 97 55 215 153 141 61 177 163 82 68 144 13 43 54 179 83 199 10 4 122 25 27 131 191 42 56 80 103 104 103 135 21 82 245 2 244 109 82 150 117 175 86 253 15 67 115 103 35 119 53 13 123 116 248 179 185 181 147 176 148 80 93 167 58 233 122 247 146 122 198 252 185 248 186 184 211 57 217 90 89 205 98 108 96 235 162 121 167 189 14 173 196 171 21 160 102 164 189 92 25 51 154 179 53 11 155 197 137 234 77 46 102 181 26 37 174 217 99 97 100 182 231 223 52 156 162 222 91 29 210 224 244 173 88 108 140 29 106 55 168 163 150 194 222 195 119 114 229 57 103 71 231 104 231 246 234 237 252 30 139 55 5 59 148 121 115 179 208 243 189 8 77 155 163 66 47 170 239 56 174 199 163 151 51 39 75 43 50 133 43 181 42 113 119 178 238 103 93 3 97 155 151 102 182 69 8 98 177 93 168 243 41 101 244 151 116 124 253 189 57 250 44 222 101 102 95 163 183 133 153 215 91 55 19 44 46 218 110 103 167 227 113 69 110 187 84 179 58 12 125 162 109 154 154 26 67 162 154 1 213 207 191 158 62 111 159 222 231 135 170 232 180 39 74 212 174 84 235 213 253 63 53 210 228 234 103 219 169 132 88 232 185 237 210 100 167 114 180 116 119 157 6 78 159 71 22 86 102 134 110 101 58 182 105 212 215 142 74 72 234 236 209 177 201 189 152 149 242 225 142 88 209 71 49 49 122 223 43 94 197 142 247 85 219 2 92 253 109 138 186 83 250 206 99 75 158 123 61 60 13 223 58 101 108 117 132 252 93 44 238 140 182 238 84 181 105 213 231 129 21 51 239 231 143 155 231 247 176 41 222 187 17 54 234 243 69 209 171 250 94 111 165 198 179 106 91 171 156 88 220 192 223 68 213 44 71 26 250 77 170 242 244 241 101 231 94 206 135 86 173 138 206 107 229 234 227 7 85 110 181 190 109 94 217 151 58 99 36 108 152 244 239 226 244 87 41 86 104 61 18 120 97 133 37 105 46 250 104 106 226 111 114 198 254 173 107 30 116 87 134 213 45 98 3 55 95 108 244 236 215 176 50 9 171 170 169 159 123 56 92 214 30 174 77 23 239 83 158 52 107 92 155 234 254 151 154 234 115 172 154 151 232 231 156 219 216 61 8 136 236 69 29 30 154 147 69 191 6 62 118 150 108 213 40 39 133 204 84 181 250 36 241 238 105 183 27 170 214 51 42 25 98 25 124 254 31 95 207 117 95 35 4 153 253 235 90 206 92 83 22 104 196 155 109 110 219 118 176 142 151 66 39 121 185 199 78 213 109 35 153 233 121 46 183 105 211 158 25 129 43 88 170 170 174 109 252 209 114 89 247 115 169 233 232 102 219 155 124 83 193 173 187 166 230 122 120 210 133 59 180 115 202 109 238 123 162 30 134 117 186 241 175 169 195 106 191 71 6 30 110 134 110 122 213 107 134 174 117 188 239 68 213 234 90 177 153 224 85 215 204 228 233 162 203 17 103 88 156 135 109 139 215 126 123 87 164 195 244 28 46 185 101 101 77 213 163 219 93 77 184 47 240 99 210 202 145 114 40 243 45 228 235 158 23 105 198 246 154 61 25 161 148 77 171 98 170 116 243 116 179 154 227 40 233 103 183 163 102 158 164 212 44 115 118 213 122 126 91 167 155 161 82 221 108 179 126 247 63 209 34 234 79 114 116 244 60 237 60 158 142 12 108 205 12 236 182 170 42 53 181 115 61 85 247 73 20 221 28 53 113 247 179 57 58 112 163 189 95 155 162 175 61 175 143 181 113 120 157 101 63 74 185 214 116 85 30 120 79 189 61 87 101 165 201 110 249 185 239 195 45 28 229 156 214 223 59 188 51 180 230 58 151 86 229 134 82 89 82 213 65 212 163 118 160 185 28 205 236 42 90 73 20 211 181 136 159 22 250 29 47 51 210 149 74 181 170 156 209 62 246 15 64 43 253 39 61 218 143 111 23 67 31 78 76 234 54 169 198 208 53 90 45 55 178 210 190 135 87 35 95 126 68 206 209 169 155 194 139 66 167 159 219 145 147 209 243 250 215 45 135 98 135 172 239 89 202 150 50 183 83 62 81 244 218 121 61 103 20 207 157 171 75 37 137 207 116 92 255 0 68 223 234 121 78 161 187 143 175 34 73 82 197 48 175 93 173 106 159 33 220 112 212 180 229 130 236 232 84 189 159 211 178 244 92 222 240 219 90 205 46 76 221 211 115 61 64 106 119 222 127 232 45 86 207 174 211 42 181 100 172 169 132 79 102 222 190 87 101 80 233 3 126 82 188 213 113 210 165 75 112 121 221 184 92 191 107 149 165 249 206 79 95 197 251 26 83 191 70 236 243 179 75 27 114 14 139 66 150 175 158 104 215 210 102 71 53 133 216 115 125 121 103 244 188 167 79 78 195 161 170 43 148 227 114 116 103 176 231 53 56 190 227 144 110 13 28 235 74 238 103 104 103 245 238 107 227 232 211 177 94 221 46 12 157 211 115 221 58 125 103 77 143 189 120 96 230 108 115 201 212 166 148 199 98 122 214 3 161 237 252 251 171 121 236 54 162 168 146 1 156 186 178 25 163 195 124 238 123 103 149 232 215 146 194 181 155 235 102 183 43 73 109 110 36 114 251 62 167 133 236 252 152 214 73 165 230 121 25 221 14 87 70 124 141 237 60 14 172 117 42 93 97 89 243 200 160 209 209 132 60 207 77 207 57 202 150 27 38 150 243 238 210 237 233 45 85 150 158 198 125 234 30 118 79 235 249 46 189 29 198 230 14 205 225 137 129 181 142 158 107 109 66 17 57 26 139 125 143 59 209 115 221 217 35 126 66 180 72 17 174 98 172 252 203 188 126 218 114 92 182 255 0 63 235 197 151 61 218 59 90 52 36 155 236 122 94 87 173 241 179 208 144 147 10 175 75 66 173 206 94 7 69 147 217 131 74 119 53 72 199 176 24 201 35 68 56 91 120 109 99 232 230 105 151 13 121 35 244 58 199 53 104 215 167 98 47 55 35 171 229 58 168 126 135 114 50 249 241 178 239 230 162 8 38 172 36 88 245 229 238 232 65 115 135 103 61 21 200 138 136 72 229 138 95 53 149 213 97 244 239 230 188 215 75 203 250 89 94 177 85 221 90 91 124 50 230 250 126 153 218 62 38 122 175 107 249 218 81 180 230 99 81 220 202 232 203 158 179 159 119 179 39 181 205 77 176 201 11 80 99 108 99 181 131 173 151 170 246 162 129 232 116 0 50 244 180 174 112 231 7 91 202 117 188 235 211 225 179 82 249 176 179 116 51 102 171 84 126 93 43 29 119 145 122 78 79 176 179 78 215 23 68 206 141 238 28 10 229 34 150 24 174 59 3 168 195 244 58 124 251 35 115 23 191 41 193 89 98 53 158 171 167 233 56 253 223 50 61 6 74 182 188 214 234 242 180 41 103 105 229 237 28 221 107 124 191 127 63 88 144 184 165 129 240 181 30 78 158 75 154 51 64 186 245 68 7 110 160 0 235 217 247 249 147 122 222 67 170 227 199 213 234 90 173 120 115 153 58 152 179 116 249 141 190 50 243 167 102 187 239 30 239 209 124 2 126 109 190 142 147 198 123 78 77 187 69 163 102 42 102 0 169 242 29 183 155 105 92 111 61 179 153 237 204 169 52 21 82 70 176 231 29 215 115 230 254 173 228 85 185 98 57 116 125 9 170 50 28 252 254 39 171 13 62 45 32 239 229 244 75 124 199 69 26 201 19 163 155 135 43 87 49 204 53 46 209 236 236 0 222 128 0 158 7 73 127 161 192 219 243 50 245 218 182 42 87 63 53 137 175 130 171 23 142 223 231 116 194 85 11 128 68 7 141 2 247 107 231 137 149 125 11 163 243 127 81 201 209 236 30 55 208 249 181 171 43 87 119 216 219 42 59 21 83 96 197 230 229 183 237 94 17 215 242 158 175 83 205 57 174 125 125 27 142 194 111 86 18 70 214 237 154 196 246 51 87 177 225 187 8 210 244 114 51 61 43 65 98 157 86 108 74 158 135 88 5 0 0 0 23 122 110 67 166 225 159 92 167 127 51 46 78 107 159 232 185 52 249 42 50 38 220 234 40 38 35 152 192 64 5 104 39 34 40 196 84 3 111 15 87 163 174 106 26 21 55 233 206 115 23 131 129 21 170 98 163 65 170 34 0 0 12 115 69 165 210 242 93 36 109 184 136 233 168 113 53 112 182 233 98 41 217 168 0 0 0 0 26 185 82 228 125 1 145 151 63 7 38 71 47 191 199 185 231 28 229 219 1 37 140 81 177 205 4 69 65 32 40 0 0 128 9 165 155 165 191 85 170 178 67 211 217 156 34 112 121 202 32 178 84 16 20 69 4 0 17 21 2 109 252 13 168 232 232 166 161 52 222 118 124 145 119 117 168 26 0 0 0 0 0 2 6 215 125 229 157 63 6 87 120 61 206 86 121 22 195 45 94 81 69 60 1 11 92 214 145 5 4 69 1 5 64 16 64 93 60 189 93 250 107 182 187 175 104 17 204 230 228 85 106 144 162 9 42 32 2 160 2 42 3 186 62 111 163 141 111 194 250 23 214 192 59 118 0 0 0 0 0 0 17 64 47 208 116 46 191 143 220 194 225 227 101 133 149 225 74 189 186 148 171 177 205 104 21 70 136 160 34 57 4 212 84 4 189 70 93 53 138 197 123 91 116 83 107 153 205 202 170 138 160 64 0 0 0 1 174 104 46 182 111 74 183 41 189 189 125 200 161 108 0 0 0 0 0 0 0 0 2 101 130 223 60 62 29 28 94 127 62 92 253 28 187 152 209 65 2 168 209 28 128 141 112 13 107 218 12 71 52 21 237 179 183 83 104 221 169 24 162 139 25 32 0 0 2 181 64 107 180 138 186 249 43 109 232 128 111 96 0 0 0 0 0 0 0 0 0 0 142 64 52 115 157 115 147 26 185 122 217 49 192 209 85 164 85 65 136 168 2 57 16 214 189 160 198 72 198 75 42 79 211 219 150 57 57 248 144 1 0 0 2 0 182 55 110 21 47 188 64 234 216 0 0 0 0 0 0 0 0 0 0 0 0 0 7 52 11 217 22 237 242 225 132 183 105 103 196 10 130 64 80 17 80 17 21 24 198 72 192 177 43 78 190 234 8 228 228 226 64 9 64 0 13 37 80 238 149 52 238 86 135 86 192 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2 40 2 160 22 226 134 94 124 243 19 115 63 30 58 96 25 8 168 8 142 1 140 145 140 182 217 99 233 237 160 138 115 113 160 160 145 218 26 139 90 182 98 139 126 197 64 223 64 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 5 177 88 146 229 84 151 159 44 232 247 19 60 49 83 94 53 158 83 117 16 148 171 183 15 87 103 59 38 243 185 241 207 191 12 122 111 60 8 111 170 40 80 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3 122 134 99 144 9 70 133 52 64 161 20 16 0 192 0 0 0 0 0 0 0 0 0 0 0 15 255 196 0 48 16 0 2 2 2 0 4 5 4 3 1 0 3 0 3 0 0 1 2 0 3 4 17 5 18 33 49 16 19 34 48 50 20 32 35 51 6 64 65 52 21 66 80 36 37 53 255 218 0 8 1 1 0 1 5 2 254 168 83 5 102 121 70 121 13 60 134 158 81 133 12 42 127 249 1 101 116 51 74 240 140 76 106 196 40 128 84 220 179 100 22 235 15 48 150 114 203 43 64 188 138 193 170 34 21 63 252 53 93 202 49 153 205 88 138 160 114 136 125 94 13 163 44 94 148 188 34 21 232 107 153 10 124 165 232 149 49 214 149 165 148 234 21 215 247 192 149 84 88 226 240 240 22 207 69 172 253 5 170 211 91 131 102 26 247 27 170 221 219 30 208 225 116 97 77 203 107 218 217 78 171 74 249 102 160 236 200 30 89 89 95 238 168 220 196 196 107 39 146 148 213 191 197 103 168 48 43 29 85 162 2 39 54 136 99 54 134 89 72 49 209 235 122 47 220 230 109 83 103 56 97 29 1 150 33 88 60 57 67 165 181 66 53 253 165 93 206 29 130 108 54 32 173 50 23 116 87 241 236 204 189 45 66 38 180 45 249 86 211 230 20 148 118 211 11 105 19 24 194 57 46 110 171 185 103 81 173 120 47 198 227 201 97 2 197 101 215 246 17 119 49 232 34 86 156 131 56 104 218 117 92 96 24 6 140 38 71 69 238 21 116 253 81 242 126 112 252 234 253 153 63 37 253 127 235 71 249 127 137 241 188 29 211 221 211 157 88 107 250 202 55 48 113 183 49 42 13 109 131 213 196 7 226 179 224 195 83 213 91 92 187 159 33 112 5 107 244 181 90 104 226 63 169 219 66 51 106 82 37 139 178 205 55 55 26 127 149 246 187 231 87 117 109 27 19 152 48 215 245 20 76 90 119 49 151 166 61 122 76 179 200 207 249 48 223 245 85 235 172 128 71 47 44 43 235 200 249 116 39 17 52 214 158 133 194 43 187 18 78 210 191 74 217 99 22 95 66 215 212 152 254 21 204 141 109 59 197 58 151 39 66 63 164 37 21 196 232 49 8 148 143 195 196 128 9 130 121 171 106 182 43 82 172 213 130 44 175 209 148 72 8 121 148 166 229 67 145 45 105 109 190 101 156 188 208 106 107 115 96 71 183 157 249 249 19 155 209 254 74 230 64 245 47 206 127 136 210 250 245 15 244 105 77 158 210 190 178 129 232 195 59 197 226 67 209 128 117 140 223 39 77 48 209 12 128 174 112 212 167 185 66 9 234 51 46 45 98 131 189 132 84 159 229 207 205 49 250 203 250 199 105 255 0 167 83 4 200 155 245 234 118 139 0 231 150 174 143 190 131 101 71 34 215 43 152 255 0 14 18 119 143 155 250 177 19 120 161 8 5 118 170 57 79 197 243 234 216 172 13 129 185 121 210 176 221 202 70 244 121 170 235 50 28 147 121 210 80 63 19 117 140 189 127 245 82 68 81 169 145 6 188 198 59 141 213 43 238 159 60 132 230 12 53 239 9 142 147 152 187 160 17 76 198 62 142 19 173 88 188 248 248 93 16 141 197 237 203 46 94 150 122 150 234 180 227 162 228 252 110 213 115 25 137 98 242 179 203 90 25 149 209 43 253 84 141 163 44 51 255 0 65 50 38 135 55 78 93 202 187 143 157 167 70 229 247 171 93 144 186 172 111 104 101 35 173 83 135 184 91 87 230 125 23 87 190 126 93 54 163 172 110 146 196 141 219 37 247 47 59 122 61 50 163 204 254 119 163 29 129 170 238 173 79 194 166 229 200 101 141 221 251 164 187 179 54 143 55 164 74 251 167 123 200 213 103 152 88 52 125 177 49 146 63 106 206 152 9 81 212 160 250 105 179 151 32 119 201 77 154 123 58 206 88 203 50 146 86 121 149 218 102 146 174 167 111 217 234 39 118 41 51 15 245 115 109 241 27 104 71 90 95 114 193 202 76 78 247 71 249 207 242 190 235 242 186 111 77 104 230 7 219 169 118 117 200 24 122 84 233 170 228 210 245 53 252 108 109 30 21 119 159 136 195 107 87 199 193 132 202 79 199 69 76 38 87 71 226 59 107 60 166 74 213 24 197 198 109 253 63 79 43 145 26 139 38 47 50 50 122 170 29 28 157 198 149 247 182 89 243 128 244 72 157 237 135 189 82 193 163 236 137 131 95 51 221 242 110 193 20 68 215 53 93 235 237 105 211 127 31 187 202 200 29 148 234 85 96 111 27 23 97 170 28 185 212 110 28 69 16 227 136 49 150 10 132 53 79 34 121 34 93 138 55 94 43 37 99 17 165 152 214 70 75 22 47 123 151 211 111 204 246 89 81 234 189 236 141 242 222 141 195 107 236 214 54 113 19 73 119 201 250 171 142 149 69 149 252 111 239 137 107 86 248 182 121 180 74 207 38 77 23 51 95 12 176 203 68 101 133 39 44 229 156 179 150 114 79 46 121 115 146 114 70 64 101 152 171 50 41 101 91 83 108 224 128 178 190 235 222 200 253 204 167 212 175 208 251 24 203 179 65 233 120 216 99 233 126 162 169 83 106 47 108 131 213 119 191 227 246 179 226 153 147 251 48 143 53 252 209 154 57 141 12 62 58 154 154 154 251 53 10 198 89 147 135 93 178 236 75 82 58 20 52 247 78 246 75 33 149 183 43 94 61 133 239 87 166 186 7 160 252 173 240 168 74 251 166 245 145 220 41 39 130 151 243 12 40 166 46 132 230 140 209 154 49 132 205 253 231 196 8 68 126 145 154 119 151 99 215 96 124 2 135 148 169 180 75 33 240 30 170 91 239 164 109 165 29 85 198 154 217 174 180 204 112 34 122 130 226 89 144 216 124 58 154 98 0 163 115 115 115 112 152 198 19 15 218 60 79 128 240 51 40 244 243 122 212 252 254 4 75 43 13 50 43 41 44 135 195 30 90 58 253 212 116 9 218 142 139 107 75 65 209 18 165 220 173 102 6 39 58 132 84 30 27 155 155 132 194 97 48 205 205 205 205 205 193 246 143 6 153 108 65 61 195 21 53 30 100 132 75 23 99 50 190 70 104 189 233 153 3 238 89 173 85 64 220 94 205 210 88 210 145 204 213 142 86 225 216 230 251 185 2 35 67 227 185 184 76 38 24 102 230 230 252 55 23 238 50 219 165 221 101 196 105 58 202 87 149 97 142 38 109 124 213 180 0 237 122 71 235 89 251 106 27 47 242 169 76 79 137 27 143 221 250 74 61 111 193 113 252 170 30 60 99 226 102 230 225 135 192 253 163 236 30 23 31 75 116 54 59 153 215 154 129 184 189 1 240 105 96 153 43 201 97 236 189 208 109 108 29 126 204 113 215 155 170 244 74 254 38 93 184 91 154 112 218 252 203 80 114 163 203 12 62 36 194 124 76 48 253 130 44 31 109 157 101 137 186 238 230 5 9 39 15 76 187 133 166 225 142 39 19 73 178 77 125 233 239 144 52 222 34 80 61 22 13 74 250 196 248 54 229 143 209 52 79 241 186 119 148 99 203 12 38 115 78 104 76 38 111 192 195 15 216 34 253 198 48 235 109 74 209 232 84 76 117 229 70 51 159 108 190 13 56 130 238 153 95 117 153 29 71 138 247 214 170 50 175 141 82 214 0 55 89 87 207 248 237 122 161 165 134 90 209 218 115 206 104 90 115 64 124 12 49 190 193 23 237 220 220 38 24 124 28 202 58 148 240 105 144 61 47 208 215 220 75 6 234 110 254 21 119 179 226 101 127 26 187 95 173 24 62 92 25 121 120 123 203 76 180 203 26 115 250 183 9 130 47 129 134 31 176 65 247 19 9 132 205 194 101 167 166 32 244 40 240 105 116 201 233 122 119 94 203 213 95 191 134 56 245 93 20 108 214 172 34 124 110 159 232 95 201 136 188 152 214 25 113 150 153 105 129 191 38 231 52 88 176 67 12 97 12 220 16 65 12 176 182 247 55 55 9 140 208 180 220 38 92 125 56 223 5 240 105 108 205 233 120 137 1 0 220 61 94 24 131 213 103 200 202 11 24 59 52 97 40 175 157 199 68 180 203 140 180 203 162 159 207 185 184 177 96 241 49 246 60 4 16 120 31 177 140 99 24 206 105 185 103 83 64 232 60 26 89 56 158 197 181 152 191 16 102 64 235 4 196 17 227 119 165 76 78 206 39 113 194 246 185 205 241 176 203 76 178 91 219 122 201 223 130 196 220 84 105 202 179 154 161 5 139 51 159 243 41 216 130 15 178 162 20 53 213 195 229 180 116 49 252 106 245 223 80 130 24 210 201 196 250 74 207 84 140 61 55 117 88 59 226 252 44 135 186 60 175 181 145 196 224 202 91 136 89 218 217 108 121 108 201 244 154 79 152 43 199 99 22 164 72 91 81 188 198 130 184 82 108 239 56 157 82 219 2 3 1 241 38 107 153 60 165 48 212 68 234 33 235 30 153 113 43 48 23 98 177 224 99 75 39 21 31 141 71 65 185 178 65 253 70 44 171 244 56 232 101 61 234 232 53 181 51 248 234 134 201 186 90 101 177 227 204 148 216 192 215 149 12 233 14 252 59 70 51 59 213 70 33 244 238 3 3 78 105 184 198 0 117 225 201 178 212 198 82 179 48 6 175 17 57 107 65 224 209 165 155 156 83 245 87 212 243 116 222 162 126 166 137 221 7 224 96 99 119 170 82 55 45 60 172 221 103 241 117 245 223 45 150 71 141 46 29 48 91 240 39 57 157 102 218 122 225 143 210 100 101 221 206 249 246 107 234 50 20 253 94 92 250 220 200 153 185 198 12 204 201 245 215 79 252 147 8 56 196 196 226 62 115 14 199 160 231 157 230 82 131 125 66 47 131 70 150 78 39 250 211 189 35 112 107 146 158 161 251 215 221 63 85 190 21 119 163 181 189 73 239 252 101 127 21 242 217 100 104 210 206 220 61 180 200 204 98 152 93 68 54 51 78 209 165 252 138 110 162 150 25 0 166 71 57 138 119 10 70 71 135 156 76 4 75 110 171 27 1 38 63 211 77 65 210 48 83 62 50 166 243 114 43 130 24 209 229 147 137 126 186 254 75 221 236 218 227 247 126 245 119 237 91 248 85 210 85 217 132 255 0 127 143 127 199 124 178 60 104 251 143 49 143 46 98 239 64 65 88 154 2 3 179 100 179 8 243 228 99 230 36 177 138 217 94 74 68 201 170 62 88 150 100 110 115 134 41 85 174 105 225 217 6 97 97 138 39 88 192 24 118 35 182 171 195 137 4 49 163 203 39 19 253 105 242 110 94 85 29 49 255 0 117 157 233 249 89 241 178 52 172 74 254 63 227 119 224 67 88 23 203 35 198 141 26 19 203 148 177 96 217 141 220 2 1 153 57 84 86 207 151 84 206 245 229 253 21 141 7 14 58 108 75 210 110 209 10 110 97 94 216 209 120 168 214 6 87 212 44 177 244 124 201 150 127 30 34 234 180 130 24 209 229 147 138 55 166 177 178 189 147 245 227 29 228 91 222 143 149 189 173 134 85 41 236 97 248 240 63 255 0 157 119 123 35 198 141 26 101 3 230 214 12 93 78 97 3 44 222 203 3 46 198 173 229 220 62 150 25 106 212 100 27 237 89 245 86 67 113 51 123 138 6 215 18 219 102 39 11 84 53 34 160 135 172 101 212 203 99 172 127 138 193 12 104 242 201 197 59 167 100 62 132 62 156 111 250 109 239 71 202 238 207 12 170 81 216 198 156 36 17 195 238 150 71 141 12 212 190 134 121 90 250 17 68 8 177 130 207 76 58 153 173 150 89 243 217 38 101 171 117 203 75 60 92 20 51 233 177 84 91 78 52 244 136 151 218 163 31 234 237 179 16 58 87 184 219 150 239 147 40 238 99 124 86 8 99 71 150 78 34 127 48 148 16 9 167 166 48 35 34 238 244 124 156 244 176 3 12 171 189 26 42 227 80 106 112 223 248 110 150 71 141 224 131 115 15 20 53 67 31 150 58 24 252 209 105 99 57 81 33 34 92 213 214 153 54 225 218 51 87 29 110 11 105 137 94 84 179 206 73 204 76 8 230 84 104 173 48 248 133 33 235 42 202 122 79 50 90 125 22 245 183 27 224 190 6 52 121 108 206 253 171 221 122 4 217 148 239 234 110 239 71 202 206 196 136 221 234 148 16 1 211 32 249 96 127 199 124 182 60 111 10 23 174 31 71 101 142 145 134 163 24 68 51 43 21 46 153 152 23 172 181 29 73 103 16 100 92 39 158 76 93 25 210 125 22 85 135 19 134 105 144 114 137 110 166 75 114 210 79 171 23 245 175 131 70 143 44 153 223 185 123 255 0 136 133 134 56 214 77 221 232 249 48 220 184 1 26 85 222 141 114 87 209 155 246 226 127 203 124 184 199 134 9 136 61 84 184 25 113 132 186 189 151 164 198 93 67 189 101 100 26 148 103 214 87 137 90 47 114 141 43 199 83 27 14 157 89 87 33 228 234 188 76 1 70 94 69 214 41 233 96 38 18 103 17 48 9 143 240 95 6 141 30 89 51 135 230 88 39 154 2 99 29 228 91 222 158 228 250 91 169 105 84 163 172 10 67 84 57 174 172 114 215 124 182 60 49 123 225 247 177 185 56 167 133 139 46 15 25 4 33 103 40 51 35 14 139 103 17 198 122 27 108 39 60 46 243 212 101 106 77 149 85 136 145 30 157 245 211 22 17 216 19 152 252 214 40 60 245 118 30 13 26 60 121 197 6 172 65 19 76 179 31 246 89 222 174 253 233 39 81 165 125 241 206 163 62 215 1 55 146 221 175 150 199 134 9 136 122 241 19 172 202 91 158 168 210 229 17 213 33 153 88 254 116 108 91 171 92 235 26 182 25 84 198 187 24 199 250 121 248 246 149 90 77 120 25 77 48 240 22 150 35 163 212 240 130 131 229 106 176 124 138 224 240 49 163 70 156 89 61 53 124 151 195 27 124 246 119 175 186 254 135 134 82 187 53 8 154 3 130 2 247 57 151 153 100 104 124 49 126 92 83 254 142 26 119 143 225 116 96 97 231 153 55 154 98 230 84 227 140 88 182 176 192 119 139 195 148 79 160 174 62 13 66 39 224 200 126 45 169 129 147 118 67 54 165 143 104 153 54 21 172 204 52 62 106 193 224 99 199 62 25 171 186 101 4 104 174 141 61 35 247 78 244 31 193 100 50 146 55 143 213 104 94 102 224 245 121 117 59 76 131 28 198 135 195 23 191 19 249 112 193 170 60 44 212 114 35 71 80 102 86 62 59 78 33 66 135 6 212 31 85 110 223 49 227 92 207 41 56 252 216 182 240 226 104 242 244 194 59 170 204 198 221 110 53 48 220 155 212 192 102 227 24 230 90 209 37 195 104 70 158 149 4 14 133 59 52 89 138 127 13 147 91 9 242 197 237 79 203 23 105 136 207 215 34 52 104 96 152 131 173 248 135 34 234 212 34 248 62 163 106 52 206 174 214 86 193 200 105 197 113 205 77 200 4 119 229 186 247 165 234 91 66 156 22 76 140 179 129 140 243 135 98 125 60 109 104 133 51 49 54 149 162 18 121 19 36 118 220 230 133 163 152 70 202 136 221 178 87 89 21 153 235 42 58 82 96 152 135 211 108 61 5 63 60 111 141 10 89 237 244 83 113 51 155 104 198 49 155 139 48 251 215 241 240 38 57 141 12 201 182 186 81 175 161 231 25 178 190 90 91 153 153 9 34 145 228 173 100 182 7 224 204 110 39 74 142 31 151 245 94 12 140 101 201 46 168 163 93 94 165 7 154 166 133 245 57 224 235 57 124 30 113 17 203 112 232 171 97 1 255 0 81 240 196 49 251 191 122 254 88 221 176 149 65 201 17 210 90 117 29 163 60 230 137 48 126 98 110 110 19 12 48 238 100 82 45 91 176 169 19 138 42 153 142 52 204 91 117 216 74 220 198 179 195 171 250 203 104 225 184 251 199 169 42 16 236 203 82 88 156 193 235 97 49 127 81 142 179 81 117 224 99 78 40 32 62 132 82 101 221 7 134 41 245 191 123 59 210 3 76 85 212 225 202 57 237 153 6 92 101 147 151 168 17 38 53 188 141 77 165 148 52 220 223 129 134 113 35 120 162 203 242 208 102 220 196 80 127 35 114 243 213 160 114 0 43 140 88 26 177 120 133 147 135 81 109 104 53 7 89 110 163 14 185 43 205 94 35 106 216 68 43 53 224 99 78 39 250 213 9 148 126 204 131 234 240 164 245 182 25 95 124 46 171 193 253 82 233 144 101 209 146 114 235 192 76 125 217 125 125 0 251 76 200 178 186 150 203 42 35 143 138 188 202 253 46 232 207 98 169 73 179 203 194 46 228 188 241 60 122 206 30 69 89 21 128 33 38 20 150 128 60 51 16 87 96 234 62 214 156 67 245 213 189 99 38 154 222 254 21 247 126 181 255 0 180 142 103 198 94 85 224 114 243 47 150 67 15 129 32 47 14 172 165 85 117 131 237 51 54 149 190 187 248 99 206 37 75 208 251 245 88 220 150 57 220 29 102 62 57 190 252 94 17 72 56 184 233 84 19 180 36 152 235 30 103 167 61 24 141 205 87 216 99 76 239 215 79 124 115 232 126 254 11 23 173 77 222 166 33 176 54 211 130 141 46 65 150 199 134 31 10 147 206 200 169 98 175 220 211 136 228 223 77 214 241 2 171 197 239 250 147 161 189 71 29 19 182 37 166 172 133 202 226 47 56 99 102 110 106 29 8 228 180 117 50 212 231 85 2 187 126 198 141 51 127 90 68 244 208 126 202 62 47 210 44 225 199 83 132 141 81 147 45 143 12 105 190 156 45 61 21 136 62 230 151 114 76 143 166 215 21 228 243 27 186 245 78 105 79 89 138 190 94 93 119 213 186 114 177 217 225 58 28 132 206 89 100 126 249 237 201 145 191 19 26 52 204 248 0 101 158 148 251 49 206 154 200 157 248 110 167 14 59 171 42 91 26 57 140 101 143 185 139 241 64 96 19 95 107 76 206 30 237 147 119 14 181 86 238 138 70 226 141 120 81 57 180 113 248 95 58 225 112 186 233 113 208 8 76 99 26 93 56 146 243 38 29 156 245 120 24 198 25 153 240 199 109 189 231 175 217 89 235 145 218 179 56 114 115 78 28 161 113 242 165 177 204 176 203 236 229 31 90 233 151 194 243 41 200 74 204 31 117 135 149 63 242 66 202 242 248 139 0 227 105 234 221 123 33 229 61 207 33 53 103 222 130 142 47 104 152 239 230 87 53 8 150 25 111 89 158 127 30 29 220 151 131 55 9 134 25 153 250 240 196 126 255 0 96 238 125 84 214 211 134 54 159 135 127 207 149 45 150 25 107 76 251 116 162 86 237 91 112 238 58 245 204 76 218 50 20 25 191 176 199 166 185 252 131 203 167 7 135 29 85 118 252 202 135 227 200 148 71 109 89 252 125 41 201 174 140 92 117 136 161 68 39 81 236 99 24 75 94 113 76 165 64 182 21 186 135 230 77 195 12 105 153 250 208 114 99 159 186 131 23 210 248 44 26 112 209 172 124 185 124 180 203 219 166 99 237 199 141 86 217 81 195 227 249 52 140 78 61 137 116 174 228 176 3 55 224 211 249 133 186 163 9 180 185 61 90 175 213 147 41 50 239 217 252 102 206 92 186 160 48 152 198 88 250 153 188 66 138 166 95 19 182 216 199 112 206 23 102 234 7 192 198 151 142 105 121 251 235 61 109 30 174 26 61 124 56 239 31 46 100 75 76 203 125 6 59 127 186 140 172 138 14 7 242 55 89 137 157 143 146 156 209 222 127 36 201 23 231 99 54 158 228 148 118 200 248 215 44 253 152 150 249 57 56 214 171 167 60 187 38 186 198 103 28 169 102 87 18 201 190 22 217 134 25 195 91 86 39 129 141 59 75 15 95 184 65 234 175 134 183 171 134 127 205 153 47 151 25 158 221 23 217 170 219 42 108 78 61 149 84 179 143 84 248 204 197 153 14 156 128 193 87 146 252 136 177 187 206 13 196 197 41 153 198 172 99 109 246 219 247 25 133 243 165 186 70 134 100 29 3 236 80 221 112 64 15 194 191 229 204 61 111 153 38 103 62 217 125 234 186 213 104 245 100 8 177 189 163 56 121 245 227 118 27 135 194 230 217 246 20 245 193 126 184 64 156 76 149 105 146 140 38 102 185 111 249 143 19 237 225 157 173 221 239 236 33 246 140 197 58 124 99 20 198 105 144 250 70 246 176 236 229 126 30 127 253 126 75 25 146 75 76 198 210 191 87 240 48 251 120 83 32 203 58 175 185 71 203 28 234 33 240 201 125 183 180 135 71 248 246 111 62 22 67 76 131 56 131 244 111 144 240 48 251 120 221 23 32 194 122 127 190 221 31 179 178 208 219 91 155 149 28 245 246 248 126 67 83 115 48 116 202 51 136 89 182 78 192 67 12 62 221 31 166 243 234 6 127 190 218 124 254 39 26 100 62 207 184 135 71 27 44 165 25 87 228 89 45 86 230 172 77 67 12 62 222 39 90 156 250 196 255 0 79 127 104 116 54 176 106 215 241 212 199 103 221 198 176 163 217 171 83 61 116 244 8 194 24 97 246 241 27 71 255 0 117 159 235 119 246 240 84 216 247 54 207 188 14 166 37 179 61 183 125 2 89 221 227 67 237 212 116 221 172 29 135 115 223 218 69 44 202 162 154 143 244 43 109 28 154 249 229 2 90 127 61 221 25 253 215 129 186 80 189 61 188 58 188 180 115 191 233 84 250 138 146 195 255 0 228 101 119 111 116 13 192 137 44 179 211 237 97 81 204 109 125 255 0 76 74 44 212 204 94 91 115 59 123 169 216 252 125 172 90 13 172 236 0 254 160 48 114 216 185 195 67 221 174 63 235 246 113 233 54 177 229 69 63 214 6 122 108 91 171 53 159 114 174 214 126 191 99 26 134 184 250 107 67 253 128 98 176 101 186 130 158 229 127 27 126 31 126 54 41 120 204 21 73 254 208 136 242 220 112 192 130 15 176 98 124 110 248 253 170 165 141 24 170 145 223 251 202 196 70 228 180 91 142 203 236 214 58 100 118 241 212 167 17 218 47 151 80 102 223 255 0 3 113 108 34 48 174 200 216 198 50 50 253 213 143 78 95 120 149 187 202 240 204 85 170 168 214 19 9 255 0 225 238 7 48 91 8 165 161 199 172 207 165 159 71 100 250 55 139 72 81 101 21 49 11 74 67 108 46 102 255 0 249 27 155 51 152 206 99 57 204 44 102 255 0 175 255 196 0 42 17 0 2 1 3 4 1 3 4 2 3 0 0 0 0 0 0 0 1 2 3 16 17 18 32 33 49 48 4 50 65 19 34 66 81 64 113 35 51 97 255 218 0 8 1 3 1 1 63 1 241 57 31 80 214 41 153 254 27 144 221 177 108 25 20 133 47 59 120 36 246 43 115 110 173 156 9 231 200 216 249 216 197 177 177 62 9 116 69 137 248 152 242 196 96 67 187 121 16 217 146 29 13 240 44 9 225 139 194 228 36 62 196 237 33 19 17 155 52 65 113 103 216 132 252 12 237 153 31 99 98 157 154 36 196 204 138 209 236 192 213 226 243 189 153 193 18 75 12 159 70 162 19 50 59 33 90 61 217 246 39 104 189 210 99 232 136 137 172 141 21 41 227 145 50 44 104 193 131 22 139 192 167 117 104 189 178 228 66 52 218 70 191 179 2 137 141 248 25 25 29 140 131 216 204 137 219 136 172 178 117 53 116 99 199 155 41 52 100 66 234 242 35 216 200 172 149 170 106 150 60 146 21 211 23 100 111 38 69 15 188 153 210 155 35 124 217 221 95 36 150 68 177 116 34 55 118 138 43 188 65 144 25 147 54 126 7 178 34 187 35 217 209 234 122 72 91 23 137 221 93 217 91 212 246 182 40 26 109 39 149 177 28 152 49 101 101 104 244 59 196 173 239 179 35 179 67 104 250 82 62 156 143 161 35 233 233 187 91 16 222 8 116 51 6 50 124 19 255 0 99 29 144 174 144 219 192 156 236 241 251 187 219 218 41 140 98 179 247 189 138 235 79 200 227 149 195 20 95 236 73 15 77 158 239 130 152 237 145 114 143 205 221 49 93 127 70 120 18 79 228 235 162 95 213 153 131 27 105 14 200 130 23 185 219 3 92 50 53 8 188 218 26 186 67 143 236 92 26 153 38 221 152 246 35 37 49 140 70 175 150 67 187 193 101 224 124 20 157 161 217 39 33 54 254 7 27 59 75 106 41 140 100 59 43 188 69 148 213 233 251 138 190 246 82 124 136 73 124 142 15 224 211 44 246 105 253 187 50 36 251 221 79 161 140 137 234 87 72 198 47 57 56 242 118 65 17 70 95 193 23 251 49 247 13 24 48 62 9 61 208 234 204 139 228 170 254 225 94 81 212 125 50 49 17 20 254 14 117 242 126 68 214 29 228 142 182 161 89 145 236 172 191 201 178 40 119 88 127 36 150 25 28 234 42 221 162 91 99 221 230 68 155 205 71 117 206 196 71 143 130 120 34 79 173 146 91 105 222 104 139 56 214 199 104 61 136 90 145 87 254 139 163 156 24 188 135 178 146 226 236 138 228 252 216 201 49 16 172 208 166 164 105 180 229 136 149 62 234 73 146 226 4 166 244 112 83 150 165 205 229 52 137 60 145 119 138 196 113 179 228 252 216 201 108 83 104 141 116 251 42 207 43 131 211 173 113 193 83 216 198 254 194 140 240 74 178 37 85 202 241 180 22 94 214 133 239 100 135 191 209 203 19 193 93 112 199 237 220 149 169 44 45 216 195 100 135 191 210 251 202 207 179 227 116 61 164 22 88 184 221 81 18 240 122 87 247 146 150 89 45 208 101 40 241 189 242 85 88 240 82 122 100 33 238 165 29 79 195 56 234 68 150 55 228 130 108 169 141 177 90 158 8 67 74 241 85 167 148 53 142 55 193 125 163 239 98 89 41 83 210 188 149 104 234 232 105 199 189 209 246 143 187 198 46 92 34 157 45 30 105 193 72 157 41 45 189 68 125 218 20 156 136 83 81 254 12 168 197 146 244 239 224 116 164 133 78 89 28 115 17 122 118 251 35 70 49 254 59 242 127 255 196 0 41 17 0 2 1 3 3 4 2 2 2 3 0 0 0 0 0 0 0 1 2 3 16 17 32 33 49 4 18 50 65 34 48 19 81 64 66 35 82 129 255 218 0 8 1 2 1 1 63 1 250 101 86 49 37 213 161 245 82 244 46 170 98 175 33 117 8 141 68 255 0 131 57 168 149 58 156 236 135 38 237 145 166 70 167 236 88 118 133 118 136 205 75 238 171 85 69 18 168 229 108 217 161 108 60 51 134 70 86 140 218 41 212 82 251 42 213 237 69 89 182 197 117 193 39 111 86 138 178 19 104 165 83 187 234 169 60 34 82 238 26 220 224 100 86 78 14 88 151 104 196 178 36 59 198 93 165 57 119 125 13 225 21 103 220 51 217 36 53 146 27 50 69 37 236 198 70 142 4 199 118 82 159 107 19 206 190 162 126 175 37 134 69 100 157 35 2 121 41 173 134 134 176 49 51 214 154 19 245 170 82 237 68 165 220 243 121 126 202 67 142 73 211 59 112 200 241 105 18 142 198 15 90 99 46 214 69 229 105 234 39 102 51 27 20 94 54 35 49 146 128 140 153 51 102 96 90 40 75 214 135 193 82 89 122 86 210 216 198 231 112 217 147 58 114 70 89 186 32 240 197 122 210 194 211 21 131 38 76 253 27 156 105 163 44 198 245 229 232 118 98 142 16 199 101 174 76 162 219 99 221 137 232 233 229 234 245 30 88 237 21 150 78 204 198 151 108 14 36 87 104 247 18 209 73 226 66 38 241 27 59 82 231 36 132 140 24 178 214 144 150 149 201 30 10 207 227 103 106 92 15 67 22 188 107 162 254 39 80 246 16 237 15 17 221 212 138 224 239 201 255 0 72 71 12 119 145 183 166 38 103 85 7 177 212 232 91 66 245 22 81 139 210 163 41 35 240 200 252 50 63 3 42 81 144 211 76 77 144 150 174 156 234 94 226 187 241 21 164 74 244 163 149 228 101 197 10 83 55 42 227 246 53 184 163 146 11 85 15 35 169 243 179 180 184 208 239 73 82 246 40 252 126 44 140 36 189 137 100 171 248 204 44 236 71 2 88 213 69 252 142 163 207 68 184 209 60 141 99 115 146 132 147 88 192 154 237 18 207 177 36 138 187 46 45 29 116 124 142 163 204 67 180 175 30 73 64 148 113 110 153 213 254 164 83 107 228 38 147 59 138 178 171 100 181 209 242 58 143 44 136 98 91 147 209 201 90 54 233 243 254 216 19 150 4 219 244 53 177 85 47 76 136 181 209 228 234 68 72 167 201 59 178 30 37 85 177 34 135 103 178 48 106 24 137 219 63 216 225 182 236 170 162 184 68 29 150 133 110 156 234 80 137 20 204 230 240 89 56 42 72 147 40 84 148 124 10 51 148 163 185 182 73 241 177 83 189 121 10 88 32 242 180 171 116 232 174 182 17 34 43 109 29 221 163 172 78 121 50 116 145 147 207 108 138 121 207 200 194 238 42 39 130 187 127 188 153 41 200 79 58 89 65 108 85 89 141 164 47 29 21 101 185 155 244 209 132 185 150 8 46 213 182 228 57 43 165 141 202 255 0 141 120 218 12 131 211 236 167 178 25 37 134 72 254 183 155 194 27 187 224 160 233 227 228 133 140 44 17 224 171 226 87 150 87 141 147 193 9 103 76 119 98 226 213 150 36 51 250 138 213 182 70 111 46 10 31 158 49 67 207 187 62 14 162 53 113 139 108 136 54 71 141 20 86 93 235 199 40 99 241 86 141 170 116 209 151 137 42 83 143 39 112 247 41 57 119 34 75 252 105 146 95 19 63 19 168 148 187 185 178 193 78 155 145 24 225 14 244 86 21 228 178 137 236 63 21 104 232 157 40 204 151 74 215 7 79 73 197 229 148 151 124 73 248 153 216 234 105 119 112 71 166 147 33 66 49 188 172 150 72 172 45 29 68 112 201 112 132 45 125 59 249 96 172 182 214 237 70 57 121 211 90 57 68 133 244 116 254 101 87 157 114 230 212 227 218 181 85 134 25 17 139 87 79 230 55 174 69 40 101 235 169 30 227 13 60 12 90 169 75 182 68 119 30 174 94 8 71 11 232 171 15 104 95 68 114 75 85 40 123 250 112 84 134 30 69 190 135 120 175 142 156 148 225 220 243 245 227 36 225 129 61 89 248 104 100 33 145 109 246 206 151 232 227 157 47 199 68 41 126 255 0 129 40 41 18 163 250 48 213 187 145 41 199 180 74 76 84 115 201 24 40 241 252 60 13 29 168 194 251 63 255 196 0 51 16 0 1 3 2 3 8 1 3 3 5 0 3 0 0 0 0 1 0 2 17 16 33 18 32 49 3 34 48 64 65 81 97 113 50 19 35 129 51 80 145 4 66 82 98 161 36 96 114 255 218 0 8 1 1 0 6 63 2 229 244 90 45 22 159 181 216 45 235 43 171 5 14 90 173 84 155 161 0 41 133 45 63 179 88 41 59 202 194 23 154 121 87 88 29 159 183 236 86 8 63 107 252 33 134 203 16 252 210 90 160 214 202 14 185 8 87 175 158 126 122 119 67 8 252 215 19 86 38 219 186 249 45 105 123 43 34 66 186 150 222 186 47 20 178 186 183 56 28 251 49 6 180 64 164 40 168 201 19 76 76 177 164 231 178 150 243 64 144 152 212 218 200 88 77 1 82 129 232 87 130 154 236 129 12 198 146 57 140 78 8 120 163 92 188 33 216 175 11 27 87 149 10 13 64 90 163 73 88 66 133 25 77 36 114 210 130 152 186 149 233 74 182 170 234 41 34 133 221 21 212 171 169 87 80 2 196 253 81 60 28 67 149 181 26 138 41 204 82 20 210 105 162 186 146 188 4 16 29 148 244 83 66 120 49 202 97 168 68 119 8 185 72 88 148 163 89 233 76 35 64 161 71 90 219 68 92 128 81 154 107 135 147 147 87 53 7 246 78 111 156 152 123 210 20 40 25 37 6 132 90 58 86 80 86 87 165 213 178 72 228 36 175 21 189 28 212 66 53 149 42 202 122 149 101 221 199 33 122 3 169 52 140 131 60 169 28 120 168 163 90 156 23 229 70 92 74 74 213 64 68 117 68 158 137 210 133 92 222 149 140 242 105 131 141 40 162 164 82 233 151 232 154 254 232 21 57 72 68 17 73 83 221 16 172 138 52 115 148 30 28 172 92 80 20 210 69 100 106 16 238 51 20 93 221 18 160 41 66 213 40 152 80 137 8 40 225 150 113 161 111 43 100 192 78 227 244 173 178 69 116 90 86 235 69 32 34 218 110 173 230 230 140 146 177 112 252 214 73 202 32 166 109 59 138 56 35 179 58 14 66 234 203 191 4 183 137 57 116 164 168 119 226 129 223 132 94 36 114 125 138 255 0 32 175 108 193 79 14 50 222 128 43 13 209 75 221 90 220 174 243 84 236 204 248 87 25 124 142 12 102 147 72 104 64 187 120 171 8 230 180 94 50 22 247 224 77 109 89 166 35 162 134 136 230 109 151 198 73 207 239 45 232 27 252 172 45 208 114 246 64 208 101 60 56 202 210 21 214 51 169 230 49 116 86 209 122 160 202 106 70 127 106 43 48 130 107 71 82 131 123 115 4 40 167 145 152 59 130 114 89 68 40 88 191 196 115 50 180 86 172 100 57 39 128 43 116 237 167 249 115 196 228 40 142 0 168 81 64 182 126 191 99 119 186 145 144 101 154 0 152 223 25 71 28 97 225 12 186 41 164 101 57 153 23 32 161 148 14 96 55 48 33 70 99 235 52 45 155 122 19 153 185 174 229 221 90 23 190 1 113 87 106 177 133 223 39 172 192 228 6 166 176 16 164 133 179 204 29 217 110 137 87 178 238 172 33 117 87 52 176 65 220 11 155 43 45 101 117 87 18 165 135 241 76 93 248 48 134 121 69 66 7 176 204 83 99 181 46 172 204 154 39 142 188 0 50 89 93 65 8 14 4 5 100 103 189 66 190 82 86 209 217 199 117 170 209 104 180 164 234 143 216 195 217 25 96 91 175 143 194 253 69 243 255 0 139 245 27 252 43 237 25 252 43 185 170 240 190 11 11 118 94 205 44 42 192 56 50 84 194 125 90 17 168 171 207 156 239 110 75 5 122 65 195 42 237 11 104 208 108 13 150 139 224 86 132 43 57 93 96 218 8 29 215 66 190 222 9 241 144 148 227 219 133 1 58 173 245 150 212 39 206 120 239 77 114 151 181 228 74 39 22 33 225 111 182 74 187 66 209 91 102 190 34 159 109 165 111 63 10 249 23 83 90 18 81 35 169 224 192 163 189 84 122 206 51 176 228 129 117 112 180 88 49 95 170 179 147 176 223 18 232 23 234 43 60 21 14 18 187 35 39 18 248 127 213 33 152 105 165 33 1 156 84 175 197 70 118 231 217 159 57 181 82 230 171 56 133 244 133 233 170 213 106 181 91 141 178 197 181 32 158 193 67 68 82 244 213 12 224 84 133 248 225 50 115 130 58 20 22 149 133 213 110 29 193 209 97 218 177 125 77 156 104 174 240 183 158 175 11 116 149 221 97 109 130 221 115 148 60 201 169 52 28 27 169 105 80 123 86 234 213 138 179 59 173 43 69 162 178 222 42 193 64 149 137 239 3 194 135 195 151 218 156 62 214 224 52 222 217 175 137 93 144 197 179 196 238 229 96 115 48 121 83 54 93 232 84 33 156 215 229 8 3 123 103 189 89 235 57 111 72 205 162 186 220 0 133 188 8 42 206 33 124 150 241 166 170 205 128 131 182 198 72 90 100 148 51 154 10 126 42 61 100 189 89 235 48 88 58 150 230 233 11 119 101 139 202 242 135 72 165 222 191 81 110 185 93 208 161 163 68 26 205 158 22 247 165 148 33 65 156 208 40 10 127 212 212 122 201 20 27 179 116 7 140 251 63 254 114 118 91 207 90 46 136 144 3 79 132 58 202 208 211 83 70 143 40 125 182 133 132 22 250 86 2 164 38 217 12 243 146 127 214 163 214 88 1 49 164 94 120 27 51 225 52 214 235 69 241 90 194 221 124 161 245 88 190 33 124 2 182 206 159 109 151 232 167 104 248 88 231 17 166 168 184 244 82 83 0 224 7 118 87 82 40 239 85 7 44 162 227 211 56 91 63 72 78 75 5 170 187 49 169 34 19 6 204 202 153 1 111 60 173 92 191 83 10 99 254 190 38 131 162 134 108 214 246 207 8 166 138 14 166 129 221 56 6 144 104 252 178 166 151 78 119 126 6 207 210 158 249 117 42 226 85 247 87 218 218 202 182 209 97 185 52 185 95 115 26 232 223 107 114 22 171 89 90 80 73 224 17 225 17 72 41 198 164 100 132 90 19 103 94 3 58 49 168 52 104 51 125 183 145 233 125 237 174 47 105 173 107 181 64 35 11 113 176 238 170 112 202 12 59 22 225 137 81 244 161 89 94 235 244 215 101 188 155 131 130 85 149 242 21 108 130 19 91 226 151 226 104 177 109 29 1 79 212 178 5 169 210 139 250 33 180 157 105 245 30 64 108 45 37 72 97 104 172 83 16 77 62 56 18 133 7 1 141 234 120 3 62 170 28 186 143 74 206 134 52 225 70 242 141 236 190 159 74 22 185 196 6 173 11 189 168 99 64 165 169 229 18 69 148 112 26 84 43 32 42 17 167 101 9 167 174 77 86 181 149 39 63 254 57 1 222 86 248 41 204 112 254 233 161 146 132 41 40 141 142 41 61 150 174 111 178 190 227 137 247 148 194 44 60 25 67 41 200 60 112 3 122 13 120 18 247 0 190 98 20 178 46 122 32 136 106 18 161 56 190 26 33 107 140 160 230 79 229 104 160 100 15 28 24 5 98 57 65 164 40 9 217 229 98 63 39 95 129 129 193 110 237 12 40 218 126 41 45 66 159 79 234 0 183 201 114 221 173 184 133 59 61 168 236 237 103 65 115 193 107 89 178 196 211 213 95 101 5 7 1 16 181 83 66 190 163 46 87 219 217 255 0 197 131 250 131 139 37 169 133 22 240 125 229 35 36 231 59 67 171 184 59 208 183 176 167 253 40 13 200 66 217 58 127 186 235 245 90 22 1 181 105 61 171 124 141 119 5 173 241 153 212 186 49 166 96 198 234 80 28 29 166 208 109 93 14 233 40 255 0 119 229 60 118 57 110 131 139 245 65 243 126 56 25 218 105 10 217 134 209 189 58 33 133 195 23 86 211 92 196 235 11 19 118 78 252 163 246 211 200 26 220 171 152 64 154 5 116 3 93 101 14 216 227 244 131 162 60 102 132 118 125 243 189 253 179 250 167 142 6 38 18 15 132 27 253 70 240 238 167 103 180 7 60 225 91 67 132 74 218 119 70 80 160 69 63 234 50 92 213 109 152 80 4 10 216 45 226 172 160 25 114 15 235 40 28 195 205 243 197 35 52 100 196 199 22 148 6 215 124 40 113 250 101 75 28 29 235 46 207 101 213 197 57 77 2 8 162 207 242 25 47 75 186 79 101 12 221 10 244 142 217 64 242 163 128 29 221 55 49 207 59 45 171 155 249 65 191 213 55 16 238 22 45 150 208 26 225 110 140 178 142 232 162 16 171 54 157 138 15 105 177 20 151 56 5 27 61 226 190 88 71 97 150 50 147 193 245 200 98 217 188 180 168 218 125 192 156 68 135 198 136 147 169 66 145 221 70 79 163 182 59 163 66 176 236 108 59 149 247 30 78 127 72 100 195 194 247 150 56 225 52 163 197 57 39 134 41 162 184 132 96 201 228 33 14 71 69 28 48 154 102 100 35 117 188 103 247 7 127 76 77 219 167 39 60 148 113 90 240 177 13 13 32 115 225 95 67 200 97 194 93 217 91 103 132 43 242 4 113 229 48 175 39 143 33 99 28 137 71 143 39 226 222 71 9 208 168 164 115 160 4 24 63 60 151 212 111 229 5 28 112 104 231 158 156 79 168 255 0 145 211 148 145 65 199 213 96 110 156 63 168 255 0 136 255 0 188 176 61 10 111 174 57 225 222 205 11 11 116 28 182 23 38 250 227 158 23 142 165 96 102 131 152 192 229 125 59 242 255 0 235 221 96 103 53 133 250 41 109 219 202 226 126 235 86 22 216 115 151 88 182 95 194 131 200 195 68 149 139 107 115 219 246 13 237 123 169 23 28 33 150 93 184 20 48 126 199 188 216 43 112 130 174 211 156 82 205 43 238 58 22 227 127 63 179 221 93 191 194 179 161 91 104 213 243 217 255 0 43 231 179 87 120 82 226 85 154 173 255 0 163 255 0 255 196 0 41 16 0 2 2 2 2 2 2 3 1 0 3 1 1 1 0 0 0 1 17 33 49 65 16 81 32 97 113 129 48 145 161 64 80 177 209 193 241 225 255 218 0 8 1 1 0 1 63 33 255 0 34 82 48 48 39 188 190 5 219 61 177 247 132 170 4 52 52 255 0 225 146 30 244 59 134 179 100 134 8 219 32 73 76 208 212 225 158 153 161 158 193 90 233 19 57 41 38 150 66 254 248 227 20 209 31 240 76 106 225 199 232 200 137 8 250 144 74 104 67 159 104 147 209 99 238 33 74 222 159 11 27 77 137 78 168 152 98 54 211 23 132 202 30 114 144 203 43 67 178 31 251 164 23 148 131 112 158 144 87 137 116 182 124 7 3 164 28 146 67 39 194 211 236 108 37 216 141 137 171 68 224 242 78 137 105 92 157 129 57 18 136 170 178 68 161 79 129 150 3 38 146 128 211 3 80 255 0 216 214 161 157 35 96 212 44 121 9 169 209 9 51 3 175 220 139 2 90 12 214 146 61 137 171 104 131 184 65 49 104 82 95 66 209 47 191 161 170 76 4 223 149 145 93 83 226 141 24 117 3 222 2 67 31 178 57 204 125 63 212 230 50 160 126 196 105 232 25 70 70 148 109 162 38 113 84 236 99 43 236 104 122 206 104 122 117 17 242 40 124 162 127 100 93 181 99 179 67 174 198 188 148 39 9 141 96 156 68 244 54 102 141 149 78 135 49 217 116 108 150 208 198 255 0 67 24 72 246 220 36 42 26 9 143 108 68 154 20 83 152 55 61 100 78 82 232 119 209 33 37 239 16 72 41 177 97 136 217 15 234 4 148 244 52 73 97 187 38 108 13 191 129 217 25 8 82 44 88 136 118 164 178 191 162 54 91 67 219 252 211 133 186 165 165 217 33 90 178 244 65 240 130 184 34 86 83 176 159 64 43 105 57 10 68 172 229 116 42 38 147 3 19 187 39 52 50 225 100 133 88 173 98 149 178 44 48 167 101 101 152 195 20 134 32 107 35 54 24 5 114 56 80 51 149 107 50 140 67 207 244 86 251 104 149 254 73 25 156 84 88 33 106 204 61 13 211 21 124 98 139 244 100 99 193 163 244 129 244 25 155 41 65 36 184 71 125 177 237 190 4 19 219 6 160 100 237 134 53 178 232 138 29 11 214 98 41 75 143 63 130 210 198 164 199 110 81 139 18 214 52 50 227 56 75 131 79 248 68 255 0 196 146 76 229 224 161 161 1 80 166 225 198 213 74 100 13 186 103 185 176 44 230 218 30 85 68 229 12 104 250 62 4 42 26 179 66 165 217 74 110 181 161 172 72 169 108 11 8 66 103 147 13 182 148 150 88 152 21 151 77 224 113 147 217 38 34 76 74 130 88 238 56 77 108 50 68 148 127 225 98 133 20 104 192 136 107 146 109 36 144 135 228 34 44 200 133 82 36 86 135 82 216 180 105 19 86 84 35 35 158 133 70 240 57 48 29 69 67 65 144 110 201 74 244 136 15 5 52 20 75 213 45 74 97 5 133 11 20 137 76 138 12 42 62 199 177 156 161 8 219 58 26 202 255 0 5 1 123 182 91 220 51 86 51 187 30 235 78 133 158 242 199 193 88 83 146 3 208 150 165 134 37 35 96 61 245 98 83 111 137 255 0 177 137 13 41 22 146 206 17 35 206 139 54 131 97 121 20 193 11 33 41 125 139 57 69 224 233 6 49 99 173 147 49 32 96 150 140 17 4 53 193 69 127 161 91 13 147 63 50 75 39 122 22 70 209 55 150 13 203 36 117 192 170 50 91 61 65 68 216 144 214 41 88 182 67 146 49 57 68 83 233 100 243 239 36 52 130 82 73 108 134 239 254 176 199 58 34 152 121 44 152 231 178 232 70 147 180 38 62 132 55 163 19 45 11 133 208 225 74 44 96 148 76 237 177 101 72 77 3 7 80 145 149 40 95 161 143 242 185 5 19 59 46 164 49 212 145 108 25 52 213 18 34 178 36 118 236 74 150 24 146 154 129 191 168 216 152 141 116 197 164 209 113 146 26 162 54 28 139 38 48 236 16 63 80 68 3 43 53 129 164 205 153 8 118 66 46 62 70 111 160 119 55 196 167 174 197 143 99 87 20 18 131 140 72 182 86 9 79 200 178 205 237 12 18 1 18 154 172 251 99 36 19 22 142 3 74 26 89 0 138 137 13 240 162 11 27 66 84 185 106 134 58 200 55 168 102 32 43 58 133 44 19 90 20 71 67 116 180 38 33 77 66 134 104 24 222 153 135 22 28 110 132 28 61 36 193 138 131 40 82 83 98 126 56 145 85 203 162 203 91 227 25 252 47 78 86 69 189 243 240 26 72 148 71 12 176 8 34 236 69 70 24 169 164 197 236 183 11 196 143 89 24 203 36 164 185 96 149 103 200 130 201 34 54 179 18 156 57 6 201 32 44 53 197 143 11 38 152 233 227 228 157 252 72 70 54 169 91 54 140 167 217 8 39 35 224 10 6 185 62 244 233 142 187 85 232 205 4 23 85 195 209 2 24 132 21 16 181 172 153 165 47 99 170 2 56 9 104 68 96 104 221 10 134 253 49 69 121 32 171 178 28 181 149 14 66 202 16 89 241 99 31 70 64 167 29 70 43 66 20 152 99 95 137 40 214 66 181 115 35 163 176 52 60 50 73 201 9 54 101 49 16 152 158 163 27 177 175 91 105 161 42 40 37 62 85 209 36 183 98 68 113 143 7 192 209 229 13 58 25 126 130 72 73 24 115 86 56 211 14 151 15 162 216 168 107 35 115 9 143 26 15 252 81 127 9 26 250 177 14 115 2 32 101 16 48 208 189 174 16 33 169 32 228 53 16 137 1 177 41 133 170 43 46 37 8 53 68 124 138 152 40 240 244 32 129 112 48 195 67 26 227 232 22 213 162 242 61 200 159 129 168 159 200 236 20 224 100 96 73 62 153 108 49 248 22 66 253 196 214 201 70 97 34 68 202 228 148 32 102 120 8 209 83 38 197 160 197 64 202 204 18 132 24 68 24 163 194 103 193 9 137 141 143 131 18 124 132 18 196 55 232 139 144 4 12 17 29 132 129 64 202 229 15 129 232 78 114 82 248 4 135 231 8 43 113 208 141 41 25 130 210 202 28 154 98 9 147 182 56 129 134 158 223 66 68 125 239 4 1 73 235 192 63 14 204 203 36 146 108 111 4 9 202 23 93 9 37 233 216 164 111 67 92 8 161 133 205 171 11 124 112 135 248 16 133 252 150 69 145 244 132 87 25 34 69 55 8 99 17 21 116 69 72 59 4 26 32 214 35 137 243 7 183 136 101 227 124 24 227 19 106 83 21 213 225 178 244 35 30 198 184 20 196 213 12 103 97 32 89 179 161 174 86 152 185 134 239 201 37 142 23 177 176 233 24 199 77 34 225 137 110 140 116 40 66 149 4 189 81 64 131 146 79 136 78 55 7 193 34 12 38 72 217 145 15 8 68 53 144 205 100 36 45 79 161 100 194 81 28 164 76 196 45 18 199 16 242 161 99 245 66 223 140 72 242 137 170 31 73 186 92 54 152 152 49 167 66 7 133 161 82 116 152 12 92 73 35 12 48 212 56 216 195 100 146 38 56 153 35 229 3 251 161 177 250 12 32 18 106 53 216 75 71 98 194 235 131 225 52 161 10 197 204 141 11 35 202 193 251 144 131 192 137 237 130 77 251 97 145 21 52 156 8 220 192 142 240 19 16 110 84 129 107 180 129 248 24 145 190 65 177 190 19 145 135 195 102 94 50 99 100 169 163 185 114 54 113 64 235 100 84 215 2 241 12 56 34 132 118 79 137 169 226 153 9 145 238 132 186 105 219 39 102 85 69 156 161 35 53 132 162 39 158 208 85 15 225 103 203 80 158 15 193 141 243 196 145 58 178 73 27 27 134 147 144 195 183 98 83 87 194 194 106 18 148 45 16 222 133 86 56 168 191 36 121 229 100 45 216 178 83 46 196 74 66 74 66 0 145 38 145 210 72 10 74 162 80 57 87 35 150 69 78 11 62 4 249 89 147 35 98 50 48 36 146 73 24 124 39 32 243 107 161 184 68 104 127 157 16 74 133 38 71 98 122 118 52 40 201 180 64 70 132 228 146 22 21 210 33 3 202 46 4 8 139 35 88 148 16 222 228 57 95 61 128 85 225 107 224 157 120 6 49 25 24 146 73 36 141 248 20 248 119 200 147 217 81 20 45 9 66 186 212 28 164 73 159 86 22 27 153 11 38 138 7 147 72 52 35 46 144 137 46 147 153 61 12 165 28 189 101 7 178 132 36 107 241 139 56 219 28 173 193 29 13 138 131 15 129 102 120 159 30 223 177 34 65 57 226 60 202 210 34 148 130 74 77 177 13 54 162 72 27 132 76 163 182 20 126 197 209 40 195 198 4 138 137 32 42 189 114 22 13 76 151 218 24 200 113 198 24 196 109 82 146 100 53 4 140 103 197 240 180 75 177 178 34 238 83 47 237 153 64 90 30 57 213 17 148 79 100 57 195 58 224 51 34 134 25 152 140 209 37 100 98 112 48 89 178 137 65 152 184 126 47 222 22 66 119 193 27 9 142 91 81 242 65 143 232 98 104 67 18 57 164 225 19 28 106 27 24 203 15 249 26 127 244 12 159 234 51 213 61 8 211 180 72 221 25 58 21 120 148 83 160 146 102 66 84 207 160 200 243 196 144 239 163 46 29 41 116 9 77 244 200 10 125 82 147 145 226 35 80 230 124 62 90 24 153 36 88 58 82 217 135 209 72 62 40 15 223 36 54 147 98 69 130 163 195 142 37 185 9 36 136 235 161 102 225 106 70 80 144 91 14 3 42 168 73 253 2 149 168 36 59 8 16 149 120 105 62 226 160 197 132 148 129 42 234 140 140 197 134 246 200 253 153 122 217 140 139 118 21 198 201 169 115 120 73 184 27 138 10 148 165 8 170 88 65 66 88 100 54 143 129 118 159 182 63 186 248 29 104 109 224 37 181 66 74 20 66 137 66 230 159 33 153 211 30 153 72 167 11 100 36 161 40 100 36 118 35 47 3 234 71 180 51 218 120 103 174 145 65 163 1 198 147 235 133 218 19 192 210 0 157 12 222 210 25 11 81 212 171 16 177 176 205 17 211 101 130 47 15 174 13 108 111 11 59 149 75 2 36 182 72 148 196 143 72 73 176 136 75 134 228 220 84 215 98 117 17 104 57 170 118 55 176 43 116 26 251 125 17 106 49 159 96 88 136 213 175 162 90 114 193 233 126 199 215 167 38 135 172 223 200 207 48 54 155 80 76 239 8 238 70 200 208 131 199 62 195 227 239 134 19 192 133 71 135 208 208 253 153 120 240 221 72 248 19 161 3 19 174 18 46 248 107 99 120 43 177 216 41 148 152 66 13 36 178 162 33 124 131 46 190 139 9 155 72 98 253 97 93 144 208 187 152 207 252 194 221 155 176 30 240 82 165 200 97 22 118 216 234 146 147 166 72 244 29 45 139 114 134 146 228 129 186 10 139 225 216 216 127 232 125 202 101 69 77 20 60 167 208 182 23 251 27 113 12 220 142 36 179 209 101 151 2 154 176 234 194 199 112 53 177 239 157 145 210 225 38 250 143 67 193 45 33 180 198 157 177 52 33 37 53 10 198 30 206 204 64 135 3 75 189 185 21 132 151 208 162 192 192 251 152 157 47 132 105 8 179 79 208 205 56 239 246 36 148 198 216 150 66 89 200 236 19 192 68 210 94 102 184 151 177 210 84 240 50 38 70 75 46 140 71 220 206 37 62 79 227 25 153 10 204 150 155 18 76 164 200 67 235 99 91 28 97 249 63 83 14 51 75 34 110 163 69 34 64 165 233 30 176 249 23 37 126 172 8 37 11 22 106 70 201 138 227 180 232 44 191 85 242 55 10 94 22 37 239 154 169 120 17 147 70 197 221 78 198 212 224 219 254 72 188 146 191 167 157 194 98 36 123 39 219 120 21 89 14 166 38 62 102 83 1 79 128 179 49 147 33 37 120 173 137 92 135 183 151 35 77 92 97 39 162 251 114 199 12 42 21 82 178 66 182 58 173 24 217 177 101 195 70 119 202 41 163 39 35 125 55 50 198 110 25 75 182 68 180 201 230 69 193 162 49 61 16 231 161 146 66 10 105 129 104 59 31 201 197 184 56 227 13 34 148 197 208 244 22 43 95 105 156 192 37 58 131 3 169 9 40 37 4 148 37 177 4 86 216 190 21 220 115 129 96 241 79 255 0 177 27 104 208 132 55 43 88 189 2 252 207 64 181 50 132 55 74 144 217 138 63 101 228 196 245 140 83 25 154 146 110 73 223 68 140 151 234 49 97 157 205 146 209 222 50 160 198 162 109 236 254 111 8 252 94 137 146 240 61 52 117 147 36 185 32 38 198 83 24 180 169 37 64 137 191 212 134 197 108 42 77 76 109 24 212 146 89 229 193 191 134 106 201 72 114 57 25 128 240 52 32 132 148 35 26 75 146 61 128 122 143 102 75 108 241 177 100 110 197 232 51 171 93 139 72 163 107 31 182 46 73 123 145 255 0 233 134 53 63 114 32 215 150 80 153 24 240 130 146 217 177 210 204 136 189 8 97 59 181 39 242 241 94 31 1 46 24 42 76 171 29 16 130 228 148 140 166 3 254 163 224 51 56 213 84 196 128 181 221 137 84 197 73 104 102 205 249 18 178 117 23 214 172 159 141 6 98 233 201 136 153 157 139 229 79 246 125 255 0 67 105 1 52 76 89 243 29 114 154 21 162 2 162 217 182 35 169 18 193 10 174 186 19 174 132 206 10 36 236 99 126 199 242 154 139 28 31 153 154 226 54 19 209 171 79 185 148 194 69 10 45 153 150 9 7 97 168 209 93 178 86 184 161 185 22 139 240 204 144 19 59 129 161 29 14 153 29 131 182 103 54 129 217 96 203 232 57 52 190 3 213 41 106 52 242 160 195 232 194 4 194 214 37 177 19 157 210 142 255 0 11 33 171 20 197 210 194 118 82 85 114 120 236 88 79 174 26 241 15 213 9 100 225 30 6 137 119 3 156 193 148 195 242 61 61 116 21 186 248 188 49 90 160 149 233 73 30 118 82 207 67 12 76 252 33 170 74 244 224 77 12 147 4 204 137 25 78 229 251 28 249 211 99 231 199 246 21 16 147 6 152 235 50 109 238 72 24 7 38 89 23 230 96 35 178 248 23 68 205 225 10 96 75 55 16 66 155 179 212 164 97 178 190 87 94 9 8 20 218 36 249 22 14 197 42 80 152 187 25 184 107 178 38 22 33 158 4 178 126 132 228 204 91 232 40 30 152 215 195 33 172 129 7 201 232 35 177 92 44 161 140 216 155 169 50 171 33 171 108 223 48 136 149 61 49 59 90 117 35 249 253 70 69 223 67 50 152 62 200 106 9 91 1 220 159 82 112 127 110 134 226 144 234 153 252 26 228 9 169 29 201 137 36 204 23 29 14 56 252 25 16 59 82 18 76 21 222 203 173 33 147 134 226 216 114 5 54 68 161 18 13 157 9 1 123 236 137 25 198 190 117 145 191 97 146 94 131 76 112 197 162 104 44 52 50 13 7 198 159 73 139 89 7 104 176 44 103 135 193 58 175 216 33 216 45 194 73 160 139 151 211 98 203 137 254 137 9 74 204 100 81 100 66 50 79 10 6 35 18 56 220 19 36 27 236 156 252 142 10 181 97 139 63 135 5 2 98 158 153 131 49 72 44 205 108 105 91 34 101 8 151 173 182 124 0 97 197 145 92 69 75 235 15 149 240 225 149 96 194 82 35 120 64 169 175 186 42 113 159 106 137 100 62 201 52 255 0 4 139 67 177 21 26 120 102 72 95 2 8 209 150 197 37 44 8 200 157 214 160 100 68 23 209 71 104 202 140 244 251 16 52 116 81 226 13 41 141 43 130 14 246 133 217 217 61 8 223 53 193 152 214 33 188 102 214 136 201 38 164 44 175 238 42 123 140 9 14 134 70 3 102 50 48 227 25 149 9 157 192 182 39 184 69 112 248 189 66 251 67 138 171 31 247 40 74 97 103 4 149 186 153 99 26 106 145 105 238 62 66 195 39 204 67 60 141 8 92 254 192 181 114 174 228 245 142 133 26 34 94 4 73 36 127 121 177 232 46 122 177 227 2 20 69 251 28 157 160 208 74 18 142 217 145 152 168 223 82 50 176 175 39 19 218 50 43 85 228 201 48 30 114 153 243 197 175 137 134 179 17 143 198 61 208 168 48 88 160 64 210 66 162 78 135 236 52 46 11 33 53 165 44 18 152 77 72 174 32 93 81 35 85 127 72 129 80 244 164 73 108 173 181 141 20 49 250 242 32 69 5 108 69 236 68 26 17 2 81 27 220 73 93 145 92 141 250 100 200 89 46 107 181 28 79 184 208 172 191 204 88 23 113 34 143 69 50 33 104 141 138 156 151 30 75 43 216 201 37 232 128 248 206 76 86 209 14 208 180 39 132 136 254 223 220 132 71 36 145 89 10 82 149 20 82 152 100 101 164 182 65 54 178 237 66 239 196 116 37 219 136 48 86 61 148 182 236 91 83 84 192 150 160 198 84 107 138 94 132 137 218 69 20 133 202 128 67 93 144 134 96 124 81 112 136 184 35 84 124 147 114 35 218 81 56 219 9 101 46 9 164 143 98 79 33 25 65 75 115 188 28 12 176 223 6 25 24 195 196 103 25 106 132 96 255 0 236 117 98 68 13 243 0 157 129 17 224 203 216 129 133 117 148 66 144 246 201 6 96 162 148 33 32 204 162 148 249 29 70 156 114 39 161 42 240 18 85 244 196 16 37 31 108 145 185 137 77 157 162 252 17 161 184 72 104 75 33 225 51 32 205 184 36 100 52 26 40 34 71 104 168 186 28 146 70 53 193 113 37 226 118 63 59 90 146 177 148 146 36 44 232 17 206 229 134 82 132 215 9 34 208 222 132 52 88 61 9 129 138 96 237 48 131 93 236 66 17 99 64 214 248 99 24 248 164 185 59 129 189 2 30 95 150 128 255 0 162 58 20 130 196 202 178 242 127 68 77 141 34 114 177 201 176 136 151 100 134 72 188 76 170 157 137 243 163 15 161 105 79 38 9 55 50 20 62 227 18 204 161 210 51 226 68 57 70 68 183 252 20 41 86 94 180 132 232 148 156 66 153 98 147 13 101 17 179 149 92 181 99 92 30 135 177 216 138 29 35 126 135 151 231 49 201 45 4 202 140 102 75 114 74 160 185 143 126 29 190 1 138 82 66 208 167 150 65 137 7 189 46 123 63 177 129 162 99 108 219 76 141 28 54 16 167 65 228 162 196 42 32 82 150 77 232 47 244 46 132 132 172 138 82 173 9 18 56 10 14 196 198 54 55 202 178 194 77 204 33 82 123 99 62 86 71 158 194 17 180 244 65 186 23 57 232 157 108 180 61 177 236 97 198 26 41 116 65 144 43 227 196 71 134 251 77 118 54 83 136 202 128 107 3 181 97 229 79 161 51 80 50 66 141 235 0 157 146 94 196 134 143 236 40 142 2 76 134 137 10 184 93 171 155 18 52 153 35 224 198 38 81 166 170 143 138 67 198 48 173 183 104 72 15 36 154 164 94 177 70 76 204 204 131 133 153 6 199 209 10 177 10 136 3 4 20 248 100 118 231 202 33 92 190 236 50 97 152 152 203 164 216 202 62 135 73 141 111 224 141 166 148 141 158 97 34 162 209 216 235 224 45 162 1 130 8 150 11 239 68 44 229 83 36 108 110 12 76 178 34 36 149 252 98 81 231 215 131 83 84 33 212 161 73 10 177 155 26 249 155 17 55 18 171 236 134 162 155 135 81 56 9 62 197 59 19 230 179 112 76 44 178 137 161 195 89 34 56 141 108 134 198 218 142 201 109 1 32 38 74 38 60 130 58 145 54 56 19 69 134 135 105 15 210 71 54 108 41 24 64 132 50 22 55 20 221 246 39 240 23 30 88 137 179 52 67 203 249 89 251 176 169 73 136 78 161 35 202 190 209 155 31 138 4 72 41 179 57 23 17 88 97 242 126 158 80 162 165 243 124 40 74 229 6 27 133 183 182 34 108 165 10 135 216 152 81 2 90 228 129 222 202 39 236 192 176 200 165 53 252 101 225 212 82 224 90 140 224 157 145 74 85 30 20 127 90 29 23 177 139 82 244 32 195 142 53 190 72 142 236 26 95 138 20 237 134 43 133 172 49 2 132 49 42 73 201 176 220 81 55 141 137 41 205 166 68 7 191 36 84 183 188 11 168 143 183 45 177 133 161 121 63 162 42 47 203 47 3 111 33 169 187 133 65 5 28 94 193 1 107 148 132 175 225 204 156 181 30 237 179 109 241 203 111 132 249 223 23 98 216 121 198 21 31 9 253 29 54 139 193 173 141 124 83 35 156 23 50 73 34 196 3 72 63 253 137 11 106 79 83 103 169 67 178 108 74 109 236 200 168 93 65 254 9 253 99 194 44 204 122 178 149 224 146 246 54 162 18 41 247 44 15 97 148 116 141 223 99 99 79 23 179 176 210 185 48 210 70 235 4 158 103 134 99 238 195 23 192 197 240 53 177 243 36 82 70 232 202 127 15 183 8 156 17 144 251 114 106 160 152 204 81 45 147 15 100 247 180 49 218 161 47 216 170 231 99 216 58 134 200 74 111 62 157 186 39 246 54 54 79 37 115 104 76 72 67 58 35 211 89 26 95 154 34 245 32 159 81 34 217 193 104 123 100 41 217 46 48 92 190 100 146 124 31 13 152 125 86 60 193 36 141 242 204 4 37 118 134 77 19 98 34 236 184 212 75 97 19 191 134 33 63 106 116 41 188 54 137 249 18 117 7 100 124 0 155 57 124 223 227 60 14 111 65 62 163 49 151 142 124 214 132 46 52 70 168 99 88 29 73 188 141 47 240 166 75 158 15 111 9 38 90 94 49 189 147 16 93 98 18 228 124 63 54 60 79 178 206 46 198 255 0 19 26 32 73 82 201 16 154 139 193 36 199 248 241 27 11 248 150 51 41 11 41 32 233 165 2 17 92 143 241 126 192 198 73 31 95 144 200 165 158 133 250 89 1 103 189 50 70 252 105 195 28 142 29 251 66 203 229 18 159 161 9 50 101 130 120 160 199 198 252 55 195 18 126 197 4 217 160 121 121 177 120 87 228 52 173 3 39 75 8 154 186 208 255 0 36 3 145 246 135 4 33 114 118 49 73 221 146 81 81 121 31 48 71 151 181 34 87 157 51 46 20 243 46 118 52 29 24 154 101 139 151 217 249 161 9 21 64 138 224 232 66 9 92 150 139 206 252 159 132 51 180 59 249 133 169 23 227 59 225 4 89 72 31 230 152 70 155 191 244 62 194 84 80 146 57 159 224 99 32 125 153 6 22 135 227 54 100 77 210 50 67 176 211 247 254 6 77 209 65 83 24 20 127 69 129 252 156 31 147 225 140 98 112 65 180 113 53 202 74 45 185 240 98 242 174 161 20 233 18 191 197 34 29 250 17 235 35 151 108 171 125 15 204 120 62 88 248 86 66 55 33 15 3 241 44 250 250 145 35 252 109 12 192 120 121 33 15 67 51 67 200 255 0 3 24 199 196 144 207 196 137 23 96 197 53 70 36 55 63 228 137 143 163 255 0 209 29 86 131 252 44 99 225 104 95 196 71 213 40 58 104 128 105 127 230 114 98 127 166 190 136 111 192 35 197 114 248 102 196 57 252 31 143 65 221 134 208 76 37 253 30 95 250 34 99 50 36 127 249 51 203 243 99 20 53 209 175 53 63 255 0 116 68 90 64 198 255 0 212 209 99 213 89 116 56 102 217 114 67 77 126 7 193 104 39 239 228 174 231 66 20 146 158 150 52 55 63 236 152 30 205 161 34 47 162 101 31 183 116 111 194 8 24 209 84 170 188 19 55 8 177 229 236 74 109 247 182 57 175 254 1 50 102 242 4 255 0 96 140 244 189 12 234 120 49 149 10 163 134 208 225 146 133 232 81 67 125 178 56 201 39 252 26 100 41 178 69 9 40 75 90 253 12 150 31 254 193 255 0 237 11 239 247 49 81 125 65 89 146 93 11 169 127 54 81 8 146 28 216 255 0 225 211 193 119 30 199 206 32 77 217 51 254 111 255 218 0 12 3 1 0 2 0 3 0 0 0 16 0 0 0 0 0 3 62 74 250 152 17 240 4 16 0 0 0 0 0 0 0 0 0 135 50 118 222 134 223 216 214 32 2 0 0 0 0 0 0 0 0 131 201 232 104 65 2 123 201 62 219 140 16 64 0 0 0 0 0 4 119 232 54 188 72 122 62 240 24 78 161 65 0 0 0 0 0 1 6 76 120 15 188 1 108 150 152 40 7 243 0 0 0 0 0 3 22 157 13 120 52 217 178 239 127 143 216 229 113 80 131 0 0 0 5 123 204 217 156 187 158 67 161 58 62 193 84 30 173 36 0 0 1 42 167 207 4 55 236 224 174 158 104 181 76 5 162 228 48 0 0 60 253 158 145 106 85 37 160 173 25 175 197 48 92 240 110 65 0 0 229 230 90 137 18 228 8 86 123 174 70 217 68 35 171 201 28 0 150 157 168 31 246 240 3 48 208 206 199 254 32 65 142 143 3 16 3 171 48 222 190 178 140 165 204 190 148 172 24 74 225 93 165 120 128 69 185 175 220 224 231 28 61 109 48 116 30 182 102 208 54 71 137 0 47 206 74 57 154 131 245 243 3 182 108 162 125 155 69 221 152 6 143 125 74 177 153 44 79 18 228 85 222 61 242 28 206 42 255 0 107 81 32 18 124 186 201 214 223 58 158 192 92 61 66 64 53 208 157 73 57 38 129 27 54 56 73 59 129 33 199 196 176 159 222 154 0 139 82 49 81 17 192 173 64 5 13 50 236 70 59 56 161 57 123 176 144 212 1 239 57 184 4 119 13 131 222 99 38 173 0 130 180 58 55 180 52 28 125 147 35 2 210 57 247 86 47 170 104 118 14 225 100 13 96 21 140 250 252 38 203 188 106 17 160 235 207 123 216 48 125 18 213 157 228 86 81 140 139 17 253 189 125 102 231 250 14 59 9 13 29 223 10 217 79 228 23 236 174 10 218 219 107 114 106 238 156 48 174 68 164 161 27 88 145 110 12 223 149 7 216 227 48 140 151 65 44 66 107 227 152 86 253 190 105 169 166 21 184 142 61 141 254 243 83 197 162 69 241 161 111 176 234 29 54 123 149 198 255 0 73 162 186 13 173 178 223 198 60 52 254 129 83 7 175 241 85 85 9 204 107 8 64 8 204 140 178 154 65 7 235 131 32 197 170 229 163 200 137 240 243 126 95 184 6 82 128 1 225 80 152 15 213 76 28 74 14 201 50 31 162 193 101 232 145 0 0 43 216 163 246 250 25 220 194 24 39 35 193 131 72 77 197 140 0 19 128 216 131 10 90 175 97 67 233 10 146 164 217 241 53 233 48 128 6 47 181 192 18 67 236 182 116 64 128 215 46 63 228 240 96 0 0 5 106 169 202 107 109 189 223 79 217 168 62 187 211 139 120 64 0 0 18 7 244 235 93 39 135 125 185 35 239 255 0 255 0 126 68 99 0 0 0 4 29 187 48 54 84 96 12 139 238 186 215 175 67 3 0 0 0 0 0 225 74 255 0 227 92 117 22 203 95 105 76 24 65 4 0 0 0 0 0 5 21 97 205 159 76 3 116 139 172 241 193 12 0 0 0 0 0 0 4 209 190 197 164 65 195 216 184 124 65 4 0 0 0 0 0 0 0 0 4 60 34 57 79 77 82 128 97 4 0 0 0 0 0 0 0 0 0 0 0 9 231 157 116 24 192 0 0 0 0 0 0 255 196 0 33 17 1 1 1 1 0 3 1 1 1 1 1 1 1 0 0 0 1 0 17 33 16 49 65 32 81 48 113 97 64 145 255 218 0 8 1 3 1 1 63 16 255 0 15 86 159 97 36 150 237 88 49 143 255 0 14 133 252 229 99 220 234 57 238 80 105 111 59 114 229 175 184 119 215 251 4 117 228 31 219 47 82 217 236 62 141 131 238 200 2 105 106 144 179 252 240 36 199 158 7 229 195 12 36 190 219 158 45 160 142 54 135 249 113 96 228 147 141 212 33 147 219 129 106 147 96 200 101 11 137 107 194 45 143 240 233 146 62 189 91 25 127 104 228 52 228 15 178 249 44 35 5 237 146 195 184 121 115 58 235 226 63 106 6 14 240 189 205 129 177 182 237 131 182 220 184 64 121 123 71 97 235 114 114 69 131 11 81 229 131 244 202 116 219 27 141 184 203 226 16 218 206 139 123 102 197 25 163 110 121 199 167 139 12 186 231 228 177 44 52 72 219 5 242 148 99 212 195 46 99 105 224 94 46 248 0 146 247 96 219 130 120 237 169 249 7 16 195 46 57 123 114 57 198 56 201 245 248 73 150 65 62 50 38 142 223 210 220 115 199 39 63 15 11 95 37 251 127 237 144 145 127 23 80 31 108 253 132 161 51 39 50 66 114 72 254 5 201 164 3 238 217 113 30 136 50 8 153 229 182 48 195 224 38 7 98 61 147 151 191 48 180 240 112 187 101 135 168 188 175 249 200 235 177 25 225 178 240 194 125 195 16 85 162 91 101 140 182 94 23 150 151 97 206 220 182 255 0 178 200 114 94 36 37 111 129 207 27 108 178 91 213 158 23 37 158 31 80 125 67 112 193 140 157 14 94 217 50 245 46 77 220 223 198 219 44 30 1 182 91 142 16 243 124 87 155 60 118 29 47 66 204 241 155 35 8 240 152 145 227 54 50 69 49 137 242 121 61 39 180 114 113 100 34 195 115 255 0 147 235 193 120 201 47 94 193 90 114 49 247 9 118 201 9 78 201 17 13 176 79 105 217 193 30 150 57 137 107 120 51 236 185 11 54 231 184 154 47 184 145 122 185 8 109 39 223 25 224 96 52 111 76 191 241 47 237 203 28 33 79 131 220 226 97 246 151 106 57 216 131 182 79 169 159 217 118 63 31 197 235 115 44 101 148 111 255 0 180 248 3 223 136 248 71 254 228 30 185 61 173 4 125 73 39 169 233 122 71 131 18 57 201 114 244 147 178 61 50 134 18 218 122 94 214 159 240 152 114 197 179 12 194 37 67 192 128 36 36 194 91 28 35 195 123 74 14 94 190 37 30 90 58 90 2 18 167 251 55 216 145 125 32 164 183 227 98 250 186 208 227 127 217 123 140 73 157 147 39 145 171 127 49 5 246 222 207 144 228 229 182 179 14 43 15 115 125 240 103 133 132 26 123 153 235 125 204 142 104 136 225 234 49 214 226 17 234 125 193 219 112 190 145 132 181 186 127 72 210 124 9 137 85 173 179 104 64 196 64 128 25 176 15 34 188 90 118 157 134 222 95 124 29 33 95 83 54 3 143 15 169 109 217 167 45 132 95 151 253 152 78 149 131 83 132 239 216 52 191 141 154 156 124 124 153 71 9 245 27 172 88 160 249 110 17 201 111 180 32 142 199 217 139 212 49 90 177 197 135 28 13 241 129 200 108 91 108 218 113 23 203 134 56 141 166 151 34 237 102 19 225 72 29 212 117 179 3 151 67 155 14 188 229 150 88 71 187 38 72 235 190 126 144 15 101 84 47 81 174 73 201 60 60 98 90 74 32 226 85 204 163 223 145 164 177 135 100 150 247 60 157 27 208 179 196 200 147 242 225 55 166 148 250 96 73 43 135 247 123 113 11 22 91 58 253 229 205 37 91 105 227 53 207 196 24 50 37 115 61 178 123 28 245 116 198 3 33 229 59 111 144 192 109 129 105 198 23 175 4 171 108 178 60 103 207 199 109 186 73 114 237 143 27 54 255 0 109 147 248 27 136 120 62 243 242 217 176 114 246 159 148 136 189 47 111 223 6 209 139 209 125 252 247 224 131 25 250 92 228 216 54 127 88 43 115 60 31 206 28 177 211 63 161 245 225 158 167 198 126 55 27 189 183 221 253 62 191 32 195 63 192 250 74 241 159 57 101 151 14 196 105 36 243 242 184 34 200 255 0 33 216 145 235 240 77 239 34 53 103 95 132 120 67 155 239 252 207 118 13 142 103 228 29 37 151 221 229 24 46 159 127 237 237 46 169 234 219 190 15 103 135 190 44 222 18 208 56 127 191 36 61 93 24 30 1 129 201 177 251 226 4 114 57 194 204 255 0 226 36 37 237 209 30 191 207 255 196 0 34 17 0 3 0 3 1 0 2 3 1 1 1 0 0 0 0 0 0 1 17 16 33 49 65 32 81 48 97 113 64 177 129 255 218 0 8 1 2 1 1 63 16 252 28 219 58 204 65 232 116 48 227 22 232 246 152 151 76 77 63 240 37 216 214 13 217 181 209 73 101 68 156 13 177 10 174 49 132 103 56 122 252 202 123 190 21 39 69 190 201 88 180 95 240 56 166 245 13 99 99 154 132 145 244 191 137 185 154 23 34 218 47 163 38 40 82 74 59 137 163 232 49 168 74 79 196 131 107 54 199 48 157 14 144 161 244 35 20 161 216 193 54 40 186 49 140 45 111 205 27 134 49 176 212 154 217 234 31 161 222 138 7 77 148 98 112 44 122 122 45 224 248 16 85 243 138 142 142 65 161 201 16 142 144 218 27 165 162 18 99 96 221 139 131 19 216 189 30 136 103 180 107 223 229 97 140 107 29 67 217 186 28 137 66 75 66 210 28 61 16 209 64 183 17 244 92 25 118 57 15 228 158 8 93 193 7 80 72 194 158 152 148 66 116 104 178 236 36 147 17 49 142 6 122 35 72 89 104 204 216 141 209 240 98 98 51 123 49 214 13 48 109 209 50 141 142 68 104 52 76 37 180 53 74 124 13 115 100 67 229 29 122 68 27 28 15 238 38 99 99 102 241 74 54 48 151 161 53 6 132 160 220 217 187 199 17 187 10 56 130 54 12 48 232 208 70 177 40 214 32 169 250 25 97 176 79 13 104 221 131 113 54 81 120 35 70 55 131 17 225 5 162 139 9 161 209 66 218 134 155 130 97 226 26 163 96 55 91 194 139 176 239 37 135 132 33 41 8 53 112 64 91 203 26 82 30 217 40 23 71 58 52 163 118 45 21 141 8 223 134 157 42 110 15 8 106 16 81 210 136 165 25 233 65 44 150 106 27 120 110 99 13 189 65 198 55 45 229 96 236 76 12 245 209 94 133 159 49 98 213 136 106 141 230 44 78 131 123 43 240 160 27 22 177 175 82 29 35 96 28 218 225 71 11 134 120 77 141 25 195 131 112 244 240 19 9 168 34 26 75 135 86 133 121 15 222 12 61 161 87 68 245 39 122 116 162 162 106 178 23 11 133 216 220 13 192 176 93 56 11 15 98 161 213 225 91 122 32 238 159 120 54 76 33 54 201 117 81 162 130 208 132 46 87 7 210 67 254 39 131 84 227 192 176 222 6 108 98 244 145 222 43 244 33 50 9 98 147 236 119 160 117 139 25 71 149 193 244 232 38 191 195 132 104 122 36 66 101 152 110 133 54 197 250 26 90 232 170 16 233 13 230 145 55 20 18 172 144 158 199 132 120 62 138 87 3 246 41 8 97 8 110 108 210 16 216 223 131 163 109 127 6 55 247 103 114 15 118 132 125 68 77 244 68 184 46 141 229 109 97 123 58 184 112 45 161 133 132 114 21 163 44 58 21 219 74 219 98 211 52 55 56 62 192 32 4 94 30 28 12 164 208 195 19 116 209 147 69 70 8 101 7 2 210 134 241 230 141 177 85 246 61 240 88 207 162 100 211 69 66 2 70 49 161 243 22 104 41 153 111 133 40 213 142 216 103 165 255 0 176 133 61 41 160 179 71 11 18 96 225 145 84 158 147 43 8 29 0 148 103 3 197 120 107 12 113 225 190 29 240 78 247 4 166 197 55 112 123 118 133 66 173 141 211 110 200 15 164 194 26 176 32 195 165 20 114 45 40 178 76 108 209 13 122 34 170 223 69 70 106 134 73 167 162 167 186 162 249 20 63 130 54 102 176 182 169 112 144 162 146 15 102 17 42 30 176 37 92 21 208 84 197 133 15 1 40 75 65 61 104 86 205 198 144 78 158 140 178 248 111 130 248 238 224 231 1 8 52 154 141 81 133 104 205 178 81 39 24 209 162 105 22 79 164 29 142 150 56 44 233 244 66 30 108 232 35 64 44 194 55 153 184 132 217 96 33 34 204 66 104 209 111 201 245 132 84 62 132 142 153 224 104 180 218 30 111 130 46 9 37 204 33 25 98 72 66 86 95 33 180 70 138 28 227 23 60 23 7 41 122 109 33 112 239 74 214 151 195 184 55 188 99 220 177 5 210 66 236 92 196 248 67 69 40 99 211 249 141 93 11 143 198 93 15 160 136 104 224 159 47 248 13 172 125 249 37 102 204 230 190 81 11 236 4 55 243 50 130 237 68 105 178 252 102 143 68 203 231 177 212 182 22 39 193 182 182 106 208 233 240 132 33 6 226 167 163 191 133 163 91 52 206 13 215 195 129 49 157 67 235 203 99 129 180 240 81 105 126 39 8 198 189 70 205 225 225 97 67 23 153 105 193 239 88 145 63 35 73 168 63 163 122 4 135 10 35 76 95 244 173 184 134 90 22 180 191 63 64 98 13 45 162 191 161 93 108 122 87 78 98 28 8 32 85 127 133 13 5 31 164 86 225 236 31 226 255 196 0 42 16 1 0 2 2 2 2 2 1 3 4 3 1 0 0 0 0 1 0 17 33 49 65 81 97 113 16 129 145 64 161 177 32 48 193 209 225 240 241 80 255 218 0 8 1 1 0 1 63 16 253 14 62 41 117 23 132 210 19 84 12 174 30 132 81 143 193 17 255 0 68 59 144 250 155 64 247 20 204 11 101 74 199 153 147 255 0 132 252 35 226 38 82 32 135 62 35 51 224 119 45 206 12 234 51 167 247 89 134 234 232 185 35 64 171 237 3 113 181 140 198 133 22 169 212 186 114 34 163 188 50 247 114 148 111 84 43 48 140 23 228 204 202 180 238 40 114 126 191 50 229 42 21 185 133 46 183 226 22 21 29 222 2 31 5 27 28 68 26 95 84 127 48 160 64 235 17 118 42 112 60 192 90 0 52 226 225 10 101 251 68 119 147 77 26 171 167 137 172 7 21 44 2 198 174 3 121 173 12 81 121 54 197 27 77 57 132 213 191 38 72 101 126 67 81 236 32 166 95 235 41 98 42 8 181 83 8 203 246 79 127 234 46 80 240 5 2 55 23 110 152 193 116 94 229 39 138 220 116 40 53 151 11 3 99 41 4 248 148 19 87 162 144 129 171 76 116 11 11 176 84 26 22 153 86 59 181 50 132 67 182 2 174 251 203 75 15 189 79 12 2 61 30 91 142 131 241 207 234 67 130 24 3 126 117 8 6 46 67 4 47 202 229 219 8 68 144 215 253 144 149 9 164 228 234 46 189 180 240 203 73 170 20 194 238 224 81 246 137 91 67 185 138 158 151 17 161 180 95 148 120 145 255 0 161 51 56 112 197 70 26 208 170 215 201 17 170 158 72 77 86 161 21 146 170 160 85 152 42 13 181 81 220 66 214 77 63 167 230 87 80 208 114 225 174 32 212 151 45 248 144 240 188 80 223 87 49 142 13 158 37 165 29 146 153 160 170 69 98 199 46 153 165 161 195 152 242 155 203 112 226 45 49 196 166 92 78 44 194 64 223 23 196 72 227 129 97 169 211 8 6 242 53 3 162 112 210 70 238 212 226 86 141 238 2 174 147 155 155 172 241 24 19 38 87 8 11 109 51 78 153 89 37 58 199 218 71 150 51 60 254 150 229 46 165 34 174 61 6 183 184 13 55 161 240 199 4 106 135 204 1 133 143 196 194 184 13 16 61 40 213 37 86 130 52 79 251 209 140 31 18 144 52 118 68 171 184 18 178 65 108 254 4 64 64 171 55 184 2 165 220 183 51 28 118 238 51 227 69 38 165 110 175 17 84 118 255 0 16 74 5 83 225 138 250 37 138 253 70 30 76 17 217 96 35 37 173 159 237 30 14 58 56 148 138 149 95 164 99 128 71 124 24 197 50 64 215 9 113 120 204 69 66 179 9 27 26 58 117 15 231 129 9 212 124 156 48 196 38 132 32 48 25 6 53 29 114 129 139 135 28 67 152 20 140 119 43 52 57 117 16 105 98 130 40 182 160 37 237 114 177 156 5 98 47 92 34 173 118 110 100 214 200 181 102 97 236 152 79 84 99 26 41 10 51 81 91 3 161 252 34 128 161 244 49 82 254 47 244 12 171 99 152 27 220 176 99 28 12 162 164 166 48 70 25 83 74 72 95 66 218 171 204 106 6 136 15 62 239 41 96 17 176 113 49 42 157 16 65 65 13 102 245 154 25 129 110 63 2 179 2 169 110 142 162 58 13 169 161 151 83 136 4 77 186 32 68 40 221 93 74 242 70 235 168 206 60 32 21 219 152 46 106 18 19 107 98 142 200 209 7 59 142 13 141 39 100 206 135 28 53 105 43 244 40 177 43 206 185 68 20 80 49 16 127 186 3 2 241 17 197 25 223 48 197 18 212 43 42 110 159 48 37 199 18 33 72 88 64 134 216 158 163 210 121 87 112 220 84 108 204 33 77 129 72 202 159 193 28 171 249 64 129 179 62 96 200 190 129 212 34 3 76 194 56 70 234 29 70 71 35 28 50 12 253 66 200 7 8 19 108 194 235 205 192 148 234 166 89 71 72 220 96 94 226 30 134 14 192 216 202 137 222 194 85 12 142 152 48 39 232 1 96 21 93 178 152 39 103 204 45 167 6 161 165 128 77 214 64 184 181 134 234 246 68 214 37 126 161 23 0 48 109 132 94 32 35 190 68 6 105 31 136 40 109 211 44 232 94 6 184 136 185 93 8 116 0 105 141 238 202 162 110 0 239 184 106 211 196 96 190 121 123 141 221 72 182 102 78 201 204 23 221 105 141 5 197 86 102 236 20 76 175 110 227 80 33 35 112 102 84 70 200 22 123 137 97 75 98 120 26 72 10 64 15 40 90 128 170 196 74 169 159 238 243 136 176 53 112 170 224 165 153 95 188 88 252 35 187 17 156 191 217 74 216 176 62 144 151 69 98 23 155 70 152 40 75 93 48 138 241 70 82 230 79 113 12 184 212 166 239 72 33 86 38 8 9 101 134 97 15 92 134 20 83 41 85 21 187 190 101 89 116 30 227 103 107 161 212 0 67 191 40 237 130 151 28 11 26 185 85 204 137 18 199 83 9 122 230 85 39 36 170 106 38 120 48 86 24 94 44 152 141 64 176 62 34 40 48 19 9 114 86 255 0 188 161 91 132 197 82 48 170 64 224 224 57 149 28 13 17 71 198 53 212 20 33 114 247 164 97 180 141 84 169 48 41 238 50 210 21 137 146 34 75 150 91 134 232 37 110 190 137 145 14 197 192 44 24 46 93 67 130 166 140 35 88 120 133 70 78 18 225 169 75 88 3 144 106 1 49 88 124 2 30 156 231 35 235 236 132 46 13 113 18 129 20 4 23 148 204 12 201 121 133 113 5 244 163 24 56 151 24 22 54 74 23 14 253 115 5 67 121 143 76 52 163 241 207 246 140 181 9 142 90 38 158 41 5 51 77 218 198 168 156 192 6 19 184 213 192 38 98 232 88 243 44 119 6 159 113 106 170 196 13 217 222 107 57 66 160 79 80 1 99 78 24 89 120 176 71 224 13 85 22 78 56 143 76 170 177 137 126 28 15 153 185 6 106 109 21 104 131 70 20 104 133 225 69 185 109 200 144 25 217 119 26 229 223 229 132 60 187 57 38 55 96 192 133 198 40 36 194 171 102 118 149 10 221 165 25 85 70 177 83 19 8 173 248 128 70 234 18 93 207 250 196 18 39 7 184 220 63 180 129 68 3 30 52 247 18 235 204 179 11 13 192 176 25 80 199 9 89 20 68 92 75 230 51 25 99 6 168 211 132 160 212 223 18 131 176 102 41 107 212 48 201 196 43 46 241 28 178 1 191 168 127 16 253 163 12 101 197 70 202 36 193 22 245 106 0 34 197 15 12 87 22 86 218 136 208 246 60 68 58 161 173 198 74 25 25 140 109 121 64 96 160 22 80 249 37 157 54 30 99 208 92 170 149 223 114 182 150 100 230 38 35 1 83 149 234 21 55 50 10 206 167 19 24 196 107 170 91 247 6 27 5 190 25 66 137 168 127 100 221 74 48 57 106 38 225 86 194 86 209 5 81 106 0 180 94 233 143 136 21 18 33 150 13 251 28 188 90 72 10 220 193 238 154 124 202 188 65 87 19 5 102 162 42 163 165 69 81 156 44 76 75 46 19 92 102 200 70 141 221 250 133 105 91 172 181 16 25 98 253 230 238 44 68 50 25 158 172 51 129 113 178 46 8 57 151 165 21 153 128 50 168 166 160 46 140 151 50 143 128 27 42 199 120 64 142 139 110 195 185 202 128 127 245 204 89 57 254 183 127 0 180 76 227 28 41 116 85 232 241 12 232 92 139 139 0 97 113 212 195 189 194 83 37 11 81 201 47 28 48 150 124 66 183 11 7 131 104 238 2 128 191 184 139 248 25 171 172 126 98 244 197 7 187 121 150 161 168 46 24 72 21 38 130 111 88 98 56 26 98 168 11 7 18 161 203 184 3 173 93 194 83 189 37 112 195 144 159 74 197 195 100 22 96 199 146 2 76 253 34 189 72 192 98 18 89 27 150 7 204 6 56 109 247 27 185 227 250 152 110 32 21 149 196 93 104 90 194 128 223 48 216 54 51 42 218 52 148 42 70 10 45 228 72 219 21 226 93 233 170 38 155 43 92 158 72 68 41 66 121 37 75 166 19 130 37 188 102 121 165 9 124 67 206 225 11 89 75 35 36 89 153 152 140 110 0 116 64 13 64 86 167 130 33 46 179 24 80 140 108 16 122 32 26 164 172 16 246 92 163 210 84 250 176 192 246 165 29 105 205 70 162 48 97 109 220 66 4 14 243 43 50 177 108 204 177 27 76 218 90 149 89 156 179 159 233 230 5 181 47 98 193 107 150 10 232 120 150 112 96 212 182 238 92 84 164 181 153 187 220 173 47 88 245 116 217 82 196 123 32 44 104 225 151 26 147 71 168 207 116 88 213 181 236 151 43 23 41 136 28 154 50 234 92 192 151 25 78 101 85 129 156 92 69 234 23 248 178 226 13 96 157 129 80 47 1 43 122 130 204 253 67 173 35 128 17 241 50 214 122 153 3 194 121 155 226 112 43 49 37 112 99 240 201 21 187 195 14 220 66 187 98 80 173 103 232 134 84 200 178 37 47 245 63 0 76 166 113 255 0 112 175 240 70 234 72 202 132 212 91 74 178 53 153 88 149 33 180 226 99 133 138 72 96 33 6 59 132 234 201 179 12 183 102 174 52 81 117 139 29 126 120 139 89 226 101 102 92 185 133 220 6 102 196 177 142 85 152 73 2 163 128 155 198 49 106 108 142 226 143 81 134 165 255 0 145 18 87 200 102 95 69 246 71 162 27 135 147 185 112 58 142 9 97 250 30 229 172 103 43 212 5 242 252 31 211 172 68 62 163 134 99 37 141 104 200 57 150 28 76 16 116 197 226 12 69 40 195 130 1 15 70 33 81 57 76 69 105 45 228 180 9 193 230 36 215 113 243 139 188 49 171 44 198 230 110 204 118 243 17 54 132 29 32 185 70 173 197 185 197 65 136 223 136 36 8 240 248 148 43 145 112 168 141 108 115 2 52 104 16 210 234 95 196 71 105 225 133 3 2 187 85 1 2 135 153 101 156 175 178 53 238 103 136 107 227 159 131 96 132 127 253 146 161 54 164 172 148 86 230 109 151 107 46 76 17 17 200 219 7 25 83 48 148 181 45 107 145 238 84 223 40 115 28 24 197 74 239 23 220 191 113 243 142 51 12 226 185 230 131 41 16 70 156 195 206 22 132 39 48 70 61 146 187 135 63 21 92 144 65 245 43 41 233 13 196 92 169 40 194 231 68 6 120 100 158 41 137 37 197 145 48 255 0 32 197 22 114 92 38 208 138 94 167 6 34 51 40 83 238 37 48 215 199 63 12 50 162 216 254 212 64 161 228 152 214 96 53 47 162 215 65 25 97 168 141 171 143 49 222 177 212 104 53 109 113 80 246 130 128 109 153 24 6 34 199 113 113 81 199 115 12 183 48 30 227 241 45 113 163 150 224 230 98 97 168 48 182 120 149 151 5 91 152 159 8 75 54 245 169 175 167 40 194 80 129 198 211 108 42 229 153 40 217 119 16 157 166 161 185 131 216 108 149 101 179 21 50 25 3 113 132 120 76 203 152 138 109 235 137 85 97 243 196 172 133 219 26 242 132 167 146 90 72 57 130 135 37 192 93 67 82 211 192 230 81 27 188 7 48 168 107 254 97 48 182 170 205 78 39 25 181 128 92 178 144 167 184 194 19 6 97 60 192 84 200 203 47 224 72 171 220 185 51 147 92 186 24 71 102 101 110 94 34 144 220 142 255 0 111 217 29 49 146 158 162 230 132 40 92 170 196 142 174 198 98 8 132 154 84 34 134 18 57 110 168 245 16 138 150 29 133 209 152 29 169 23 213 220 62 118 32 138 171 147 0 97 121 140 16 155 110 112 48 92 200 244 153 35 167 64 101 132 56 128 64 250 200 32 178 0 254 19 19 40 89 145 135 148 40 68 62 229 252 252 10 201 138 154 153 147 153 117 151 80 35 225 19 68 194 46 37 192 49 48 110 14 222 208 128 236 8 225 168 176 196 140 30 124 203 232 254 116 72 121 129 141 193 114 51 40 102 222 179 46 159 156 203 140 16 118 148 42 224 204 180 30 24 239 228 217 234 17 12 10 76 188 203 220 196 69 137 160 238 28 51 12 221 4 167 168 35 15 18 130 139 241 165 215 241 22 9 141 129 108 173 220 173 225 152 55 10 183 51 110 90 238 54 34 196 73 189 220 84 204 18 237 136 96 138 7 152 187 51 30 140 21 93 207 44 243 198 50 186 170 188 76 26 183 108 175 190 75 49 159 13 175 196 160 91 148 33 247 52 35 100 38 116 199 150 228 66 39 163 82 234 215 49 211 104 202 78 129 125 195 84 135 197 65 220 1 188 159 194 88 81 166 174 25 142 190 168 234 243 221 66 182 77 56 93 77 56 73 122 63 246 38 94 43 16 133 153 66 230 53 57 131 161 180 102 203 46 28 206 196 185 152 35 196 86 78 4 88 153 163 18 217 140 58 17 242 139 189 195 202 56 213 196 140 204 76 221 82 162 1 54 160 208 96 48 17 211 50 234 200 208 138 212 174 47 24 78 151 73 192 141 63 48 192 145 149 155 140 35 230 159 220 224 16 23 219 49 106 86 61 202 174 117 81 229 178 181 136 34 160 157 207 230 88 229 34 160 133 112 64 22 102 103 50 145 204 21 23 204 238 76 142 101 175 49 230 96 71 136 247 21 90 197 67 22 99 160 142 196 122 68 119 41 112 21 17 241 1 119 15 48 243 30 96 220 165 239 68 84 115 102 24 33 12 136 42 184 39 5 231 27 141 57 189 61 143 137 115 14 37 18 185 141 122 181 9 90 151 49 155 210 120 58 48 236 137 146 96 140 1 160 171 239 48 196 209 63 105 145 40 28 196 87 49 133 45 181 5 85 20 194 91 11 82 144 89 1 121 130 218 60 84 44 233 31 90 139 36 38 162 162 36 215 47 198 38 213 124 76 155 152 230 54 16 140 252 76 219 150 155 150 21 114 163 188 225 59 232 168 180 49 48 49 225 130 212 60 11 149 202 39 75 196 195 41 0 106 100 55 192 222 10 235 77 190 163 163 181 130 186 178 52 1 205 199 130 189 196 133 108 96 59 149 220 71 0 23 91 47 152 74 250 2 87 212 0 106 111 137 108 199 186 103 72 199 119 43 164 203 45 2 225 226 62 55 230 28 90 253 198 2 46 42 108 120 51 114 131 240 40 160 12 113 97 13 194 134 210 54 96 224 226 99 192 191 180 91 57 149 164 153 103 180 187 156 115 30 203 38 190 162 210 235 16 202 50 166 19 86 102 36 202 242 141 98 101 229 4 60 23 55 50 110 181 140 170 245 184 51 5 205 1 50 38 29 251 110 108 27 140 198 207 185 90 140 233 134 16 47 145 154 93 6 226 167 212 197 22 169 145 142 213 64 37 104 105 22 30 102 132 77 156 74 171 222 137 64 35 229 82 221 147 194 184 248 34 187 88 28 15 170 38 95 44 81 42 21 154 165 9 12 4 40 185 136 246 176 101 1 138 134 120 124 169 113 100 154 210 4 105 236 87 16 88 123 151 55 136 246 129 77 176 202 198 33 106 98 71 134 115 141 9 110 4 202 138 238 3 147 151 16 240 75 241 24 102 70 27 152 110 144 125 23 229 8 163 168 177 185 112 80 32 14 218 230 31 160 196 92 18 225 81 183 170 130 3 130 103 102 91 113 218 130 196 151 23 178 52 160 8 121 209 14 224 197 142 31 244 164 87 83 190 38 219 125 226 253 115 113 48 14 42 37 104 206 251 133 120 193 55 2 194 6 38 124 196 233 131 104 146 82 252 215 50 201 89 26 224 110 136 237 143 87 137 142 47 141 192 104 44 133 179 153 187 152 150 242 124 99 31 15 56 240 202 135 146 12 51 49 228 148 4 163 102 216 40 115 186 96 160 178 121 154 165 161 95 83 243 36 160 232 155 15 112 52 225 136 77 54 229 81 137 40 24 75 114 255 0 196 112 67 140 68 166 229 151 21 172 38 238 19 88 25 32 224 194 102 112 87 198 161 77 152 232 102 34 210 49 118 26 58 128 128 194 52 161 242 220 82 209 231 51 178 50 139 114 149 213 74 10 204 206 102 5 146 157 63 16 234 238 32 7 120 149 11 93 215 153 134 176 93 65 180 242 48 208 58 168 241 177 153 17 211 67 10 67 80 28 74 196 198 7 184 64 149 83 186 100 149 43 141 137 220 121 112 150 139 220 199 217 229 140 220 210 193 76 234 88 30 97 81 20 176 149 156 98 153 117 157 61 79 221 75 217 131 136 167 211 73 48 220 29 51 61 112 0 251 184 120 53 54 102 44 177 90 195 40 174 146 13 152 170 48 248 104 152 131 49 249 69 56 62 163 255 0 96 145 12 130 84 180 89 166 42 145 109 149 227 206 33 130 244 171 255 0 168 156 196 166 84 76 144 68 221 179 236 128 108 164 72 20 122 63 238 100 106 143 24 80 165 90 119 40 75 204 232 127 234 20 93 153 95 179 19 51 100 144 141 184 245 22 143 181 0 70 92 16 87 65 73 225 212 33 173 86 9 64 76 98 148 199 184 236 163 152 199 154 49 161 120 130 192 11 153 168 193 177 21 14 137 251 195 84 119 50 15 153 106 106 216 195 217 126 101 4 90 184 148 76 144 11 113 206 98 4 112 115 2 105 48 205 96 25 124 46 88 178 205 152 205 202 216 201 82 200 172 144 241 13 189 118 65 97 201 223 195 140 17 30 234 20 219 27 18 175 172 97 68 229 117 10 45 167 65 149 9 0 121 33 251 97 35 57 95 80 101 211 234 161 12 227 205 203 148 24 183 164 210 198 184 149 225 114 102 130 197 81 12 178 26 247 43 14 175 185 104 44 132 7 4 229 2 135 207 51 70 112 24 156 102 140 88 102 234 142 140 183 9 179 196 8 157 24 144 4 182 235 137 88 32 82 90 101 52 191 222 81 11 12 82 142 19 35 123 204 8 92 123 243 73 108 124 23 55 134 44 113 112 80 39 197 103 69 107 40 220 34 92 59 101 17 58 101 164 231 35 2 84 1 25 8 13 140 213 216 221 184 34 214 72 251 151 192 229 201 83 132 18 83 114 191 10 188 15 128 162 227 67 224 168 157 147 178 226 168 210 133 85 21 135 22 62 245 254 165 220 214 140 198 108 6 77 194 22 113 162 158 33 32 169 196 191 66 73 73 121 28 66 88 88 204 126 162 212 87 115 148 221 149 166 80 230 48 34 23 106 15 67 67 115 48 49 180 94 81 63 16 87 178 92 62 16 180 64 32 32 222 25 50 183 29 29 21 46 23 76 100 90 156 165 31 241 54 211 51 51 51 35 29 220 241 149 147 86 195 160 11 241 35 150 168 73 111 2 192 32 247 125 179 2 134 203 6 11 156 202 161 94 24 39 36 1 161 204 174 166 218 183 52 11 183 136 207 84 85 25 82 107 187 153 16 57 154 114 204 71 240 48 137 110 39 131 254 17 79 189 145 70 221 255 0 48 208 10 160 27 218 10 141 69 5 193 5 84 26 143 17 97 142 174 110 148 71 48 8 1 148 126 94 26 128 146 130 155 255 0 28 208 234 108 121 131 11 85 37 197 52 67 112 77 47 185 71 114 84 75 172 112 75 84 227 113 91 65 183 143 95 18 173 98 203 54 99 220 22 39 51 64 104 180 35 85 139 184 106 192 108 135 251 110 102 230 119 168 220 87 213 198 96 28 55 168 67 133 155 170 191 185 107 103 171 201 6 9 135 165 11 70 14 21 185 96 15 166 163 118 203 229 133 194 194 87 136 56 188 64 185 172 97 56 235 138 49 11 28 56 32 38 52 234 60 207 121 101 125 98 8 176 154 159 177 74 209 48 71 185 178 38 102 54 87 94 234 60 124 55 150 21 157 144 174 224 49 238 8 193 79 248 103 238 224 251 24 195 166 156 204 213 102 107 209 133 1 220 72 13 100 196 1 89 72 192 192 198 240 196 69 22 171 212 205 214 37 23 54 99 203 5 226 34 40 204 188 112 76 227 67 130 146 1 74 182 6 65 112 37 3 128 160 43 168 107 75 188 232 135 64 40 14 24 133 103 210 194 47 118 82 72 56 218 241 146 74 223 49 88 148 111 48 185 128 175 78 53 27 105 119 25 168 173 100 216 167 40 78 87 162 123 142 209 10 83 55 204 23 81 159 19 44 2 7 43 198 114 247 73 164 84 71 185 178 61 202 150 98 145 84 35 213 97 10 21 83 115 8 108 216 92 47 73 51 191 80 85 125 205 31 48 67 82 142 221 48 169 91 16 8 112 68 134 131 12 183 207 102 24 10 22 200 0 49 77 49 187 55 96 203 17 133 192 184 113 210 80 253 203 184 157 32 10 164 151 174 51 236 89 68 0 30 70 88 91 110 182 155 245 44 23 81 31 202 100 200 233 80 254 201 130 82 42 237 153 51 80 118 40 113 11 148 206 150 33 152 9 18 212 52 178 5 207 113 248 84 29 157 164 31 92 74 153 105 114 180 193 201 21 211 79 114 179 113 2 244 147 9 245 32 135 17 110 44 49 238 34 210 198 186 37 175 165 196 205 18 209 22 51 237 16 168 151 63 137 251 184 191 60 170 46 170 176 244 87 5 202 234 185 80 14 72 197 249 71 45 192 178 34 21 219 152 134 98 176 166 14 102 208 242 193 212 116 65 69 115 16 211 15 190 221 195 107 42 27 191 81 102 202 149 16 102 225 138 238 175 184 109 1 115 19 41 49 80 80 189 91 218 49 232 21 169 151 51 184 221 13 220 182 243 45 59 24 75 135 221 69 162 113 117 1 0 40 136 239 128 94 186 130 23 166 113 45 16 38 194 91 221 136 107 212 154 66 133 87 48 51 157 75 219 44 57 90 98 37 27 85 40 193 6 63 55 95 225 248 116 240 220 96 156 133 128 105 92 217 30 47 140 203 34 119 18 64 184 171 190 88 169 198 22 184 33 40 179 152 250 151 201 207 49 82 141 204 89 53 82 183 5 152 64 75 182 80 220 17 232 132 241 40 100 49 70 18 88 109 144 55 203 139 103 251 204 64 216 61 3 152 37 60 141 35 11 241 51 218 103 215 58 149 247 46 200 82 189 202 98 252 31 243 20 19 74 117 150 52 88 41 181 198 224 158 110 0 61 137 128 195 162 103 255 0 107 149 85 69 42 134 0 86 100 69 241 137 169 6 161 45 205 88 247 5 172 58 159 40 5 98 18 216 43 182 141 30 108 63 104 239 219 29 73 136 149 221 47 95 202 92 81 213 86 32 161 220 51 105 151 85 38 97 156 67 96 68 104 139 135 42 40 214 163 203 58 136 181 177 210 214 125 198 172 181 37 15 50 221 11 233 11 7 138 185 145 81 172 237 212 122 10 251 99 175 233 220 240 1 139 98 117 33 45 192 155 79 59 74 135 6 1 124 190 226 121 147 196 126 20 116 112 194 80 39 184 108 45 16 213 26 18 238 14 2 153 105 107 55 182 37 153 169 252 132 209 159 120 52 25 113 30 179 14 136 251 32 76 234 16 0 224 142 130 110 6 230 140 217 150 44 95 0 163 81 118 204 180 18 164 34 173 53 83 27 130 255 0 218 49 247 68 133 243 45 87 65 5 90 179 83 42 213 74 135 100 57 150 66 74 70 11 226 29 192 176 145 96 56 35 41 51 33 187 134 163 82 101 111 48 148 135 19 0 60 108 76 71 164 191 169 105 96 138 31 37 5 133 157 87 17 26 0 162 144 69 4 28 137 101 172 174 80 75 45 238 27 95 126 35 230 126 40 212 231 122 8 15 101 78 121 184 178 200 150 243 142 165 254 222 77 192 89 97 230 226 96 222 216 128 73 104 212 165 224 108 134 217 81 113 5 122 162 131 24 153 137 153 152 46 226 5 202 166 4 214 226 166 240 11 220 77 209 112 104 92 147 243 21 183 152 241 240 203 6 89 85 14 87 23 29 160 129 67 46 200 102 20 19 114 195 85 238 62 120 49 217 11 3 26 178 151 169 154 199 41 86 34 3 2 242 234 178 234 165 143 17 134 196 241 9 100 14 249 220 178 192 27 196 61 70 187 134 170 32 114 229 106 56 25 20 117 19 244 70 98 2 143 88 16 50 147 10 27 135 43 112 170 251 23 97 247 45 56 88 51 125 192 73 184 164 217 217 26 34 73 105 130 163 75 37 206 170 43 83 108 42 114 48 178 180 104 46 17 83 89 190 38 97 23 153 149 168 109 22 144 224 47 80 243 74 69 217 114 67 32 112 255 0 49 218 142 148 238 40 107 18 0 91 230 84 51 216 207 22 108 166 213 8 160 37 143 152 21 11 48 110 165 215 153 75 189 203 150 110 184 80 220 42 189 222 34 74 101 163 16 171 97 222 28 78 38 176 217 118 132 80 51 92 157 93 17 232 97 104 47 17 92 42 197 19 229 112 181 84 105 86 26 90 129 45 117 183 199 152 20 181 128 156 95 76 102 187 44 152 21 190 166 45 252 198 177 20 99 151 238 34 23 148 241 95 81 205 24 244 253 225 9 93 137 114 229 150 240 189 70 182 26 106 227 199 104 213 177 49 24 85 1 80 41 204 42 105 148 49 184 182 50 198 205 168 182 208 227 165 14 20 194 44 131 76 10 250 252 8 173 245 8 51 135 212 175 185 68 217 25 150 138 161 196 203 141 115 130 11 201 138 81 98 155 220 50 216 16 108 17 142 192 113 83 102 97 3 240 93 48 150 65 172 199 167 185 46 95 19 25 32 138 196 165 83 5 27 46 60 244 246 67 71 33 212 76 203 130 170 159 125 74 135 3 148 96 107 226 216 37 201 11 216 60 199 224 116 112 75 225 53 130 135 181 68 243 214 77 33 190 27 145 170 241 11 182 86 78 42 6 178 156 12 130 1 64 244 73 112 60 196 130 29 25 196 160 244 96 86 37 225 68 166 166 114 238 243 114 131 112 1 185 120 228 151 42 220 191 58 142 24 196 190 156 243 20 132 5 97 7 44 156 92 1 87 216 64 173 184 187 113 75 13 179 248 38 77 111 16 106 172 205 23 220 0 68 181 3 178 113 230 42 4 208 11 203 47 248 70 42 140 196 212 75 71 51 60 188 198 61 119 48 183 13 107 226 224 85 68 86 162 190 88 191 110 35 82 173 112 188 186 131 218 169 153 17 98 37 134 176 84 90 7 11 5 138 169 6 165 107 137 97 196 49 228 38 106 4 82 78 8 188 39 239 152 151 99 154 151 12 117 7 72 74 136 5 11 129 77 165 113 222 49 48 57 168 226 50 224 147 153 91 129 209 42 53 0 94 229 0 104 64 166 206 87 51 138 58 149 185 139 150 201 207 46 239 191 148 25 156 91 25 38 129 136 68 119 48 27 163 5 148 175 81 167 81 107 58 21 51 17 81 112 171 196 23 167 17 74 161 192 17 84 118 252 136 9 138 19 22 229 87 152 141 230 34 110 100 106 88 39 128 144 170 165 170 142 176 44 170 161 241 166 23 158 127 226 4 9 113 158 99 29 93 196 50 160 89 238 84 8 110 8 162 9 205 240 199 232 76 228 62 8 21 90 212 171 224 112 34 189 99 180 81 11 75 252 132 60 17 182 118 66 5 163 83 196 55 120 187 37 170 252 24 128 192 61 124 65 40 140 202 123 166 97 224 184 129 254 148 93 149 81 220 84 146 216 184 184 68 43 77 203 236 208 98 101 226 114 193 100 88 187 132 168 32 139 193 11 55 130 24 24 66 118 97 107 65 247 20 19 243 69 218 49 66 222 235 80 21 195 199 196 87 153 97 184 207 196 157 140 45 54 75 192 33 177 118 114 75 91 60 141 165 27 170 107 140 188 77 112 14 140 174 184 93 132 77 156 114 135 123 178 200 55 208 21 35 225 0 116 98 202 3 193 9 53 59 185 80 131 108 54 110 80 137 134 10 46 163 12 18 244 22 20 14 101 251 165 191 81 46 195 70 32 54 84 91 0 224 136 3 27 196 56 96 66 120 31 86 202 195 102 20 241 241 7 44 101 142 244 202 9 232 18 107 122 136 171 231 112 150 194 45 123 140 163 141 47 196 200 92 132 214 136 132 27 150 225 157 72 23 24 247 185 115 123 142 188 76 65 198 31 81 152 99 82 140 23 16 228 128 172 152 230 33 64 75 63 100 97 168 89 202 68 133 64 186 165 204 52 229 138 193 141 230 2 134 202 77 35 53 115 43 64 42 179 158 101 42 137 109 72 78 186 228 200 248 135 192 61 172 7 1 220 4 183 111 48 135 102 21 166 155 144 3 96 201 5 22 0 145 115 43 81 209 50 248 232 192 59 245 48 65 91 60 68 14 43 164 189 78 126 48 61 161 24 142 173 24 56 106 25 119 157 2 122 0 135 201 150 152 22 179 27 137 169 182 97 129 200 204 238 90 122 39 70 59 149 169 88 148 198 227 184 218 25 26 59 131 207 55 101 165 197 133 11 113 6 0 238 149 246 224 163 40 125 93 194 128 174 226 48 50 119 8 102 10 25 191 168 144 194 148 216 193 234 195 134 212 16 160 70 101 240 49 22 203 42 80 226 46 8 23 248 137 151 218 184 234 226 217 46 138 166 44 204 137 226 185 137 108 81 118 192 65 247 240 131 225 4 216 171 117 137 66 116 196 251 80 194 246 6 225 149 75 12 254 101 30 216 234 204 89 103 56 211 153 162 246 205 164 224 125 106 33 128 2 171 249 136 137 184 68 22 179 49 0 198 0 11 215 125 67 2 10 105 93 38 123 80 218 186 254 32 1 182 155 214 99 207 73 98 98 243 89 6 58 20 147 14 226 21 2 166 183 119 226 92 24 215 4 86 99 115 130 191 118 27 150 41 105 19 85 10 141 40 139 197 35 223 54 110 44 200 187 207 136 198 251 153 18 136 201 20 120 102 1 198 98 250 52 96 170 67 126 35 191 155 160 145 77 202 128 121 140 41 131 79 184 142 237 114 225 108 211 29 198 177 82 101 120 38 84 202 192 201 54 230 41 111 151 168 34 66 213 182 112 128 7 15 51 26 184 50 163 25 155 105 129 74 26 94 77 146 139 212 49 142 37 208 243 194 140 182 225 7 69 205 204 212 189 66 217 27 67 9 209 16 141 89 16 89 101 109 87 55 1 21 70 10 197 205 244 6 225 34 210 158 25 83 69 222 161 97 168 241 42 64 30 160 71 152 240 216 95 19 85 113 83 166 92 237 151 52 148 204 83 36 69 163 167 117 169 95 38 218 129 71 101 247 138 175 200 210 76 165 172 198 32 255 0 153 24 30 47 114 191 172 31 168 118 17 105 141 197 89 57 155 38 200 9 204 50 237 132 225 59 14 57 49 5 97 138 66 109 185 87 113 59 96 26 130 243 48 206 110 11 30 88 253 155 209 111 130 92 131 216 140 66 77 23 123 116 196 66 15 136 21 21 117 153 67 117 10 167 108 43 154 241 59 241 18 240 12 87 76 91 166 188 46 161 17 26 229 30 218 58 184 88 12 115 136 237 172 38 198 96 1 41 45 111 115 57 89 228 236 149 131 43 185 146 59 81 153 216 131 59 55 110 56 39 171 191 188 230 254 121 34 123 145 136 160 127 41 16 173 164 171 87 22 243 4 53 55 125 252 4 20 2 217 137 173 192 84 193 158 252 159 100 172 2 180 210 62 33 214 70 127 104 21 174 66 233 177 150 1 115 16 76 74 196 38 239 47 140 224 130 119 164 10 162 27 231 109 194 59 26 246 46 49 187 27 53 81 100 13 67 15 175 44 118 100 204 176 0 43 196 36 242 11 0 79 41 185 91 248 131 74 36 8 170 169 102 225 11 96 206 101 193 118 212 199 28 137 187 138 153 134 55 28 38 104 237 138 92 160 121 149 171 15 230 255 0 200 125 205 191 209 92 198 128 48 184 148 67 178 167 142 99 64 182 229 136 185 67 201 44 246 193 168 15 178 84 178 155 132 136 230 86 153 33 187 34 29 123 69 63 115 143 253 175 217 31 210 225 160 250 132 213 57 121 168 156 212 19 196 60 75 178 88 93 167 168 146 203 16 205 203 190 143 156 198 81 34 31 80 32 27 46 226 236 74 68 128 230 68 131 230 87 117 66 213 234 225 6 122 167 54 87 240 199 234 31 37 192 142 56 37 171 110 35 199 152 194 151 152 5 126 56 140 133 107 155 212 60 97 203 17 109 209 32 168 70 3 229 182 69 60 192 37 200 85 161 238 107 63 167 105 97 175 164 137 205 205 51 213 209 100 118 162 175 50 215 21 45 74 6 3 110 41 134 243 12 188 65 72 196 194 197 18 184 155 151 24 109 78 7 249 166 164 216 155 63 99 112 21 44 119 0 21 251 151 98 193 248 255 0 212 64 121 45 247 44 9 74 204 168 244 150 174 231 50 145 116 207 161 122 97 223 110 143 41 168 236 21 78 201 99 132 15 80 170 238 167 17 136 254 4 91 84 185 184 8 4 102 212 106 222 37 155 168 246 83 42 230 61 199 5 101 168 15 49 12 218 82 155 131 240 129 245 220 12 64 12 7 85 29 195 250 57 196 99 122 138 3 73 135 164 181 186 128 99 30 62 1 111 46 188 192 93 241 17 185 206 38 18 229 203 195 159 242 92 116 225 229 130 194 209 21 248 149 84 10 163 248 78 107 168 160 246 74 38 86 248 129 147 3 115 254 101 44 87 224 157 72 83 48 22 65 106 35 99 34 59 78 169 20 125 145 254 241 27 4 161 107 168 30 6 68 119 227 220 41 116 8 104 134 85 72 131 197 128 33 67 213 219 95 188 68 229 109 54 203 155 91 235 224 105 47 125 10 224 26 56 156 71 156 198 90 155 35 8 162 178 237 156 121 135 245 107 28 240 24 10 215 32 148 51 141 218 1 84 91 248 49 108 37 209 217 129 43 17 101 230 91 45 234 91 212 179 74 41 220 204 51 182 211 246 128 249 99 24 201 94 29 183 168 231 42 16 237 148 203 168 17 133 197 4 66 128 116 148 167 138 138 219 22 205 92 113 40 121 104 42 104 114 71 162 88 13 155 106 154 101 112 216 244 140 88 97 70 200 204 107 220 146 169 48 66 189 142 32 105 2 253 165 203 248 140 63 161 206 38 16 64 118 196 52 214 213 47 44 182 110 21 87 226 98 47 153 106 48 23 134 33 0 221 48 253 80 34 98 10 142 226 203 113 45 207 194 252 70 214 102 105 45 27 56 138 210 200 85 66 16 103 249 38 21 90 138 152 178 75 150 203 152 71 57 100 86 13 238 47 129 73 139 34 178 13 9 184 106 232 112 145 56 231 212 3 128 23 247 25 203 118 199 43 253 135 186 9 151 121 77 99 71 28 177 104 89 239 18 192 20 109 101 32 206 52 62 229 108 177 109 241 5 4 6 12 204 34 183 44 238 52 106 92 62 9 136 199 126 209 79 149 98 92 234 197 45 236 138 21 165 193 168 84 191 49 133 141 84 185 120 143 194 171 166 24 185 22 178 70 11 253 58 150 69 15 5 74 2 112 28 203 219 250 254 195 16 124 194 207 45 73 0 33 52 3 99 125 75 113 103 4 101 236 167 114 171 67 18 213 244 43 14 166 40 27 138 109 21 34 199 193 114 153 172 51 17 154 84 68 123 84 160 214 24 50 120 154 114 230 46 37 252 63 54 203 143 83 164 177 92 203 86 11 162 84 208 96 151 14 2 47 226 9 147 238 26 254 193 220 107 7 63 195 56 245 122 243 217 245 95 188 91 110 82 43 134 165 56 155 109 132 189 203 24 214 54 249 92 145 211 8 111 225 238 92 99 161 132 62 234 18 174 230 9 11 148 92 203 241 47 196 88 176 254 135 115 104 253 29 44 8 102 22 14 132 38 24 142 92 195 251 85 44 161 174 167 228 39 183 121 69 204 83 90 168 87 166 98 129 97 133 195 137 207 230 211 225 248 84 169 218 44 87 159 18 165 55 46 217 27 149 93 190 51 184 61 50 252 252 7 50 234 47 147 184 231 19 53 225 4 91 224 71 204 105 78 119 212 94 209 67 196 86 255 0 109 94 35 225 25 151 198 110 243 93 122 128 46 162 229 84 114 197 68 32 85 76 112 185 249 247 41 226 109 152 136 132 98 183 27 158 161 121 34 200 133 87 130 102 210 57 126 88 132 58 101 230 4 60 203 172 69 252 205 185 248 43 127 47 24 12 91 132 129 59 141 86 25 125 34 163 220 63 183 204 72 225 175 171 136 37 181 167 115 105 3 54 212 18 55 125 84 27 4 171 218 98 72 66 226 207 192 24 13 76 196 248 233 18 227 230 56 139 115 7 246 107 20 113 151 222 109 97 178 161 47 17 215 199 48 196 231 228 231 21 99 152 138 53 91 124 190 35 222 98 128 37 185 248 63 182 204 205 195 113 117 95 16 149 248 202 99 169 205 66 12 88 169 136 179 47 207 192 32 98 81 40 152 137 57 155 124 65 157 18 46 110 150 8 171 168 26 220 77 254 26 135 18 222 229 189 69 199 199 63 28 199 159 133 249 219 0 72 43 125 140 189 113 191 239 153 13 177 181 128 19 251 164 180 10 174 9 81 107 112 177 51 101 48 32 74 196 78 224 149 52 131 227 98 205 153 143 166 51 238 92 179 152 59 161 47 50 123 49 176 130 215 198 147 79 147 81 227 220 23 96 8 254 97 127 207 10 163 171 123 227 175 17 253 0 182 70 28 7 15 98 20 16 119 163 137 118 220 81 8 7 55 150 226 53 247 42 17 94 103 220 175 48 74 196 78 56 130 25 168 67 86 135 137 196 74 180 149 167 182 24 112 252 104 156 196 184 21 24 57 151 230 54 49 158 225 85 101 196 109 212 176 7 6 0 224 234 46 10 158 127 190 234 106 40 35 85 152 174 233 31 54 107 8 171 64 164 118 148 230 11 113 2 82 124 87 194 74 126 7 31 1 204 22 235 23 45 108 21 212 202 117 234 63 23 57 142 33 159 135 82 156 167 159 19 59 21 125 254 8 4 9 64 126 254 229 197 238 30 127 68 84 109 159 243 28 13 240 88 176 60 102 12 185 184 22 192 34 77 63 6 216 146 160 131 16 226 60 203 100 138 206 37 68 143 203 186 156 215 19 18 136 88 239 100 224 148 156 213 92 175 108 116 87 244 149 12 56 248 93 231 1 146 188 170 124 76 21 231 246 211 42 190 29 71 108 197 184 234 84 193 137 112 196 194 96 62 98 168 241 43 18 179 52 132 230 231 153 185 104 201 103 173 227 204 162 170 223 62 79 152 183 223 185 207 233 121 151 204 64 96 133 125 222 207 80 107 22 200 155 133 200 119 168 215 19 73 66 102 1 81 212 186 35 159 113 33 133 255 0 82 130 67 129 140 214 62 25 76 117 159 204 172 120 129 44 224 189 198 130 100 4 100 173 223 199 63 165 126 46 34 2 149 4 168 76 43 76 76 43 102 215 212 216 141 4 212 91 128 214 161 168 234 39 51 152 220 19 74 35 58 33 23 244 35 170 156 66 49 163 184 174 115 128 253 224 101 11 71 71 184 249 128 48 13 17 213 195 121 253 87 136 46 80 72 104 221 48 56 253 15 187 253 64 150 56 182 126 34 37 17 30 152 71 229 72 49 46 62 8 210 247 18 84 171 149 33 94 130 229 64 189 162 253 74 180 13 188 167 142 162 235 47 222 165 181 175 142 127 91 112 140 225 118 243 45 128 158 22 27 37 122 36 120 125 77 144 113 77 67 121 95 81 230 114 130 216 160 120 150 132 213 214 31 88 158 48 213 42 40 57 136 101 152 232 119 158 51 40 69 220 223 207 63 171 169 95 40 93 204 168 227 80 147 134 83 63 232 156 71 108 255 0 37 203 243 249 211 248 34 154 255 0 185 226 21 240 205 213 223 196 74 42 41 222 106 98 134 19 60 243 78 111 222 81 64 180 5 69 86 199 220 69 189 61 199 51 143 140 255 0 240 207 9 99 37 254 96 12 40 25 252 13 68 57 153 106 247 57 67 241 29 227 249 151 218 55 220 227 244 159 255 217) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glassPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 128 0 0 0 128 8 3 0 0 0 244 224 145 249 0 0 3 0 80 76 84 69 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 235 235 235 235 235 235 235 235 235 235 235 235 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 141 239 228 83 0 0 1 0 116 82 78 83 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 221 220 219 219 219 219 219 219 219 219 219 219 219 219 219 220 220 220 220 220 220 220 220 220 219 219 219 219 219 219 219 219 219 219 219 219 219 219 219 221 222 222 222 223 223 223 223 223 223 222 222 222 222 222 222 222 222 222 223 224 225 225 225 225 225 225 225 225 225 225 224 224 224 224 224 224 223 224 224 225 225 225 225 225 225 226 226 226 226 226 226 226 225 225 225 225 225 225 225 224 223 222 223 222 222 222 223 223 223 223 223 223 223 223 222 222 222 222 222 221 221 221 221 221 221 221 221 220 220 220 220 220 221 221 220 220 220 220 220 221 221 221 221 222 223 223 223 223 223 223 223 223 223 223 223 223 223 223 223 223 224 224 224 225 225 225 224 224 224 223 223 223 223 223 223 225 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 226 225 225 224 224 223 223 223 223 223 223 223 224 225 226 227 227 227 227 227 226 225 225 225 225 225 226 226 226 227 227 227 227 227 227 227 126 165 57 16 0 0 16 219 73 68 65 84 120 218 141 156 205 109 235 202 14 199 181 73 13 246 34 173 88 91 3 94 58 157 120 35 64 163 30 82 131 23 86 9 18 160 6 92 138 19 3 167 135 55 36 255 252 146 148 139 55 192 187 247 158 19 199 252 137 195 225 215 80 175 41 101 24 46 151 161 174 199 99 28 95 19 173 66 127 153 86 41 245 175 231 186 186 174 187 133 85 255 216 245 117 125 213 213 221 158 207 231 191 186 234 191 228 167 203 243 253 254 39 127 115 235 250 235 249 242 113 164 117 58 181 109 123 191 15 143 97 28 75 99 194 88 190 1 148 29 128 105 34 89 125 96 232 186 42 88 1 132 128 151 254 60 2 124 101 128 74 64 0 99 99 210 70 146 239 0 165 140 81 190 0 8 193 151 34 176 252 175 254 202 43 18 200 15 43 192 115 5 112 8 242 239 244 200 21 64 228 137 120 6 40 88 46 191 254 112 12 0 32 232 88 126 21 125 150 117 37 237 220 244 249 9 135 0 222 6 64 4 27 128 169 193 19 211 191 86 0 133 5 99 77 17 128 183 1 226 73 244 133 86 37 184 18 193 13 242 43 165 26 1 51 9 192 225 208 202 74 0 121 233 227 139 94 92 184 254 76 17 104 227 171 252 143 143 11 214 249 92 192 38 38 209 117 139 168 128 181 2 21 252 127 0 182 243 227 14 92 111 171 62 255 7 86 125 52 58 75 197 44 146 9 150 197 205 146 113 235 103 68 56 137 39 19 152 154 250 15 88 216 60 139 13 186 2 202 174 114 202 190 124 69 40 78 208 59 193 77 85 64 39 30 242 9 96 20 0 67 240 83 232 242 103 252 117 48 15 150 95 74 253 58 145 79 135 139 17 6 70 192 169 160 237 88 1 148 51 31 248 135 138 103 128 112 206 179 24 72 199 10 187 131 159 155 124 1 224 173 173 94 109 192 161 224 83 161 4 2 208 203 239 171 112 6 200 158 70 236 60 202 95 120 205 166 156 224 157 76 254 199 103 5 128 113 209 95 179 65 130 96 137 4 252 213 99 90 141 124 147 18 244 189 1 68 249 70 32 142 91 215 65 229 7 128 186 14 225 80 204 65 5 183 78 190 220 45 27 0 252 113 70 80 243 50 249 63 1 128 127 64 159 102 115 99 128 3 228 127 126 158 108 17 1 127 64 78 229 12 21 220 160 130 62 26 117 221 127 2 144 207 15 98 193 88 83 86 0 1 204 12 192 242 109 29 143 34 255 83 36 51 1 105 67 143 68 125 164 25 8 236 157 251 68 64 246 215 12 248 42 59 250 101 31 64 194 30 3 152 205 51 192 39 0 88 251 167 128 64 95 71 187 234 0 55 249 146 125 128 67 235 8 68 17 9 230 78 195 110 33 95 118 76 4 71 87 0 201 231 63 177 73 12 70 208 45 55 211 65 215 205 118 174 201 162 26 21 175 103 72 17 204 7 96 247 97 28 6 192 31 175 191 199 4 144 79 4 80 136 18 140 133 44 187 18 220 16 164 4 128 17 10 233 179 9 242 197 128 21 97 21 126 20 0 4 173 124 127 117 172 71 81 123 117 110 17 224 164 31 24 201 14 58 34 64 146 226 103 42 0 248 17 106 7 71 96 8 58 18 87 93 236 124 88 241 248 122 70 128 124 34 80 0 38 24 214 4 172 4 1 160 111 230 35 149 0 78 244 96 236 78 157 161 202 60 83 200 59 235 186 72 68 171 30 157 29 42 17 180 26 96 50 64 205 186 224 227 132 64 3 211 147 8 232 193 200 1 52 46 95 237 23 166 160 139 162 61 31 119 119 64 23 122 184 59 92 58 8 84 5 42 63 18 76 61 116 176 2 160 175 110 72 227 173 19 156 162 118 197 71 169 191 11 12 18 81 216 149 18 193 112 23 249 190 7 167 72 64 91 73 71 193 131 243 178 116 12 112 6 192 16 206 240 233 164 4 112 118 65 254 7 92 32 7 20 73 226 234 63 107 118 59 220 239 247 164 2 245 137 119 61 9 66 144 0 122 5 8 59 112 210 35 173 10 128 179 179 160 39 14 46 230 176 18 77 7 142 240 108 5 102 4 14 48 170 79 113 43 0 192 185 2 232 14 40 64 48 224 33 203 255 52 0 86 62 114 104 39 168 107 216 87 1 92 74 72 144 58 221 3 3 56 25 64 32 128 171 243 152 215 90 150 60 38 135 170 89 198 160 4 25 96 163 2 137 140 149 96 80 128 83 2 0 1 253 64 124 45 66 30 188 91 202 83 53 71 48 128 163 169 224 14 128 45 65 0 16 57 71 23 175 71 200 1 142 241 104 75 42 185 3 64 12 76 13 223 12 128 125 2 132 230 0 112 52 23 98 218 195 146 98 74 143 21 167 210 211 31 0 230 156 21 32 168 96 228 147 96 145 177 19 128 82 1 46 2 112 252 11 64 213 227 213 212 107 63 139 55 2 0 235 209 52 143 60 245 226 13 180 170 251 3 32 100 54 121 73 46 253 109 37 108 46 99 178 10 130 252 93 130 46 2 16 193 14 192 26 2 242 191 163 6 202 182 142 84 147 130 115 118 0 164 124 29 214 151 0 156 25 224 16 0 78 167 53 129 29 242 135 40 64 141 96 91 196 59 129 70 135 71 0 136 4 95 40 171 9 128 146 172 86 77 253 116 218 0 12 9 64 179 233 141 116 78 183 3 0 62 95 215 61 126 72 19 11 6 232 107 124 111 40 40 187 6 246 229 179 147 93 1 88 180 16 223 44 37 190 3 120 180 124 228 62 199 42 193 17 128 161 85 203 221 3 120 132 5 241 144 142 130 80 9 198 49 170 196 195 229 35 53 90 86 4 141 84 75 33 24 102 0 215 228 70 190 229 230 151 203 101 107 8 249 211 214 233 216 16 52 253 84 130 225 108 20 160 138 199 247 161 156 129 124 77 143 87 0 173 3 188 240 241 33 184 163 105 13 32 4 138 208 238 0 228 46 9 71 31 147 47 9 250 206 89 176 158 219 180 233 179 0 129 243 227 134 242 67 216 179 36 182 237 102 7 198 181 247 31 57 80 30 185 44 58 134 178 48 213 56 27 151 29 22 137 231 228 124 153 155 37 19 220 35 129 43 96 229 253 21 224 147 203 210 184 54 0 161 187 144 8 102 20 61 205 115 153 53 160 240 161 149 196 110 189 3 83 238 161 12 74 112 212 80 37 94 76 16 0 192 125 47 170 111 165 18 209 38 28 8 52 63 105 106 122 52 247 136 40 226 55 148 128 99 25 8 214 10 112 27 12 226 63 81 166 187 189 189 94 63 63 191 191 191 252 168 63 63 145 0 129 241 253 110 222 4 224 141 3 16 180 167 208 205 123 108 19 16 3 8 121 140 16 36 249 36 254 93 215 47 173 229 39 108 7 1 144 252 10 240 70 134 232 4 126 34 218 251 198 8 208 162 56 36 0 67 112 5 240 6 64 190 48 160 32 82 43 92 1 20 180 75 199 20 79 182 0 246 248 216 129 211 233 180 206 38 77 101 164 0 52 139 171 20 42 71 44 130 42 192 191 127 9 224 47 130 65 195 79 9 46 240 152 1 78 146 51 198 156 133 1 254 201 122 63 117 171 169 188 83 130 138 87 109 128 90 233 20 151 86 13 106 15 169 15 222 83 23 111 141 177 227 42 130 168 120 164 44 1 128 31 179 67 41 112 17 2 6 120 55 79 52 146 165 133 151 150 230 19 0 208 0 244 223 242 191 191 191 213 218 171 157 253 106 179 26 143 137 190 242 229 92 212 8 20 160 223 1 176 52 96 11 112 220 2 176 250 33 126 180 44 152 141 16 165 72 21 114 254 184 112 137 57 20 105 95 41 0 154 152 161 246 52 4 11 107 182 3 193 239 229 176 65 143 207 238 230 165 142 95 206 154 230 225 212 170 53 128 26 22 217 19 52 214 196 188 158 45 196 171 51 203 65 184 232 9 8 226 63 179 252 151 201 183 107 30 111 145 1 224 66 53 182 0 208 15 155 69 179 244 235 217 250 63 71 71 24 211 17 100 37 12 234 1 66 25 35 230 103 242 67 6 54 163 59 195 89 224 245 10 27 24 10 20 180 52 53 73 126 74 7 15 13 40 56 212 97 167 8 179 42 4 17 203 11 185 42 127 84 249 40 22 57 77 32 4 92 240 124 117 162 231 243 112 137 165 18 3 72 169 70 70 112 64 114 10 2 200 79 113 132 191 62 167 46 164 127 151 143 104 141 254 125 233 61 23 71 41 16 30 173 230 3 104 96 177 10 8 0 133 40 19 192 161 241 242 150 57 11 184 167 188 225 110 234 127 241 207 125 47 47 131 94 163 216 21 159 181 171 153 160 145 46 162 168 64 0 52 170 88 72 117 249 64 24 135 7 55 164 246 1 68 62 58 10 85 11 131 109 131 53 74 29 160 111 208 57 17 130 0 80 253 42 84 64 98 53 168 3 96 181 11 25 128 159 195 122 26 2 208 51 192 194 4 33 75 35 0 237 221 220 96 134 71 7 32 195 182 110 233 50 175 54 33 17 60 220 2 50 0 107 82 84 176 104 195 215 1 234 89 108 216 35 81 193 184 2 192 131 141 249 218 100 150 70 182 158 133 160 130 42 155 118 138 0 206 218 88 227 47 106 185 79 55 123 191 57 16 16 128 228 38 117 117 124 187 27 1 156 128 51 40 255 130 178 6 160 83 72 0 51 119 86 21 192 182 18 122 244 92 124 146 200 75 189 216 102 82 2 142 21 4 240 17 27 125 15 254 109 189 41 76 242 3 129 0 76 232 236 158 47 65 1 188 63 171 203 152 184 26 171 218 233 251 175 180 123 161 74 165 254 198 166 152 225 238 237 186 81 44 230 226 0 225 34 67 225 240 155 178 204 87 54 5 4 252 124 190 7 167 68 176 5 56 199 180 129 99 166 86 61 220 124 59 120 181 205 218 193 133 164 69 99 255 253 198 203 246 93 128 86 234 206 191 1 188 116 103 163 234 149 128 191 7 219 243 141 59 233 243 217 219 206 1 32 148 237 215 196 174 42 88 85 213 182 5 108 72 169 114 149 47 34 27 169 21 183 117 138 56 73 160 132 66 239 249 180 227 75 255 107 134 63 8 130 155 31 198 68 64 0 233 106 55 94 178 235 71 176 59 172 157 111 238 171 112 40 247 150 175 118 157 27 68 222 162 0 186 9 225 136 63 114 85 45 201 105 188 89 142 57 136 157 51 107 162 127 19 0 165 85 210 250 246 18 142 255 220 104 254 81 226 165 80 104 149 96 212 34 148 213 241 102 119 154 197 253 73 30 96 53 135 184 154 208 88 225 38 197 197 147 233 163 213 178 13 255 201 9 74 145 152 124 114 31 227 205 201 4 0 23 249 195 37 87 76 25 212 99 39 130 187 134 232 99 32 160 213 224 79 102 7 148 21 120 175 51 3 36 2 92 173 210 154 95 89 62 106 32 35 144 78 153 221 15 218 24 7 53 244 26 240 184 37 178 5 159 162 6 214 4 73 190 221 65 37 0 16 120 27 127 176 238 129 23 158 162 129 214 84 128 203 157 85 203 72 1 198 45 128 94 45 175 90 0 8 157 104 189 132 59 237 245 5 157 1 152 199 1 65 9 14 78 221 204 30 128 106 27 97 38 204 65 224 162 57 3 180 107 241 119 1 48 149 192 231 105 168 185 223 219 0 48 4 130 226 42 152 147 120 67 232 205 156 182 143 28 250 168 116 195 162 0 70 48 105 180 123 220 239 25 160 100 128 146 110 86 61 188 5 91 61 199 185 29 27 112 240 162 143 8 154 160 37 187 224 66 161 140 78 43 234 67 247 5 24 49 137 0 114 173 170 4 46 255 178 217 118 143 32 242 229 141 92 251 137 86 72 76 137 215 251 2 129 126 179 170 192 134 108 12 64 239 117 131 6 234 127 92 119 1 218 84 116 61 30 13 59 41 238 202 120 76 13 62 214 20 97 4 113 204 8 178 86 242 161 67 25 177 194 96 192 138 192 67 24 77 209 212 111 95 25 187 24 216 75 25 180 229 60 230 203 1 223 119 21 111 179 9 18 50 113 243 89 101 174 84 16 42 206 102 178 214 84 108 71 241 1 51 39 91 63 224 50 209 168 206 4 43 249 76 160 217 135 183 59 236 254 225 225 69 95 19 246 58 54 4 171 127 249 253 53 47 155 251 224 94 196 103 249 166 59 111 230 89 230 209 198 227 30 53 221 76 41 166 35 172 16 128 180 214 204 173 231 251 236 3 230 110 182 0 62 31 33 31 205 242 133 96 15 32 47 106 109 252 166 222 154 19 232 53 129 116 223 237 206 40 58 71 105 255 98 226 134 30 57 182 160 89 5 90 244 206 83 51 239 54 115 209 196 139 221 53 35 240 30 6 158 163 4 199 160 99 47 162 129 48 27 113 218 2 112 193 217 136 51 159 195 217 223 2 204 94 13 233 125 114 4 152 160 2 249 69 1 144 82 215 194 191 95 140 115 146 247 208 62 46 55 40 4 33 88 2 218 55 6 176 72 69 87 244 94 193 226 167 3 12 58 179 35 26 152 21 192 219 73 225 82 95 220 141 200 95 154 223 56 40 86 236 102 71 154 120 210 222 89 186 72 128 219 220 255 2 96 249 50 64 26 165 219 5 52 87 42 36 191 154 121 195 143 136 232 169 46 102 5 160 173 133 73 227 43 0 30 43 128 161 120 44 150 250 236 15 249 82 72 114 35 253 41 0 29 162 183 158 112 42 103 137 32 3 88 182 189 7 96 19 121 200 5 46 62 245 240 25 0 164 157 196 57 44 1 80 155 206 228 171 235 164 175 130 25 234 77 55 234 210 0 96 91 233 78 199 236 176 87 5 64 7 167 168 0 111 103 209 22 84 0 152 216 213 130 167 180 150 86 0 171 122 3 147 209 118 139 92 224 157 173 64 37 249 141 1 156 246 228 191 36 159 51 0 174 219 236 136 23 87 129 222 245 203 192 131 140 197 182 173 110 101 54 130 13 0 210 111 62 132 167 44 255 37 7 166 145 167 187 174 0 120 15 126 5 64 218 107 212 79 199 38 181 230 208 109 20 92 53 48 6 0 86 64 253 164 223 132 73 55 91 90 57 232 123 117 141 77 232 158 173 81 203 39 108 154 104 135 180 203 43 159 8 241 21 242 95 121 134 194 92 163 0 136 169 234 45 80 27 228 191 180 136 138 0 248 122 121 190 81 84 128 94 250 87 20 47 25 6 84 169 38 112 14 237 71 86 149 212 160 18 120 172 64 177 118 182 223 220 24 0 89 225 128 185 46 113 214 47 5 224 137 100 30 41 11 179 143 161 45 102 142 72 229 151 65 147 49 81 148 87 241 27 249 10 96 69 47 238 126 217 91 207 203 51 76 133 187 252 131 216 91 4 56 159 181 95 32 55 11 166 42 40 138 17 116 130 223 76 55 3 36 95 8 128 197 182 32 152 168 40 96 212 22 106 214 0 110 157 176 155 182 83 47 77 55 94 249 29 6 234 17 245 113 146 86 103 211 24 224 69 4 139 2 184 124 109 226 146 47 1 64 9 10 240 217 130 54 155 74 232 122 243 111 240 237 85 35 37 105 234 194 74 122 166 177 21 54 224 71 196 108 228 69 41 155 180 6 3 64 152 109 200 135 117 221 245 231 110 25 0 180 200 3 130 102 167 51 8 196 8 227 240 43 2 58 157 101 43 39 7 187 245 187 184 174 238 122 225 179 157 61 146 118 93 83 138 93 101 27 129 55 211 103 206 6 228 162 225 98 133 158 152 8 123 211 80 134 110 0 248 163 114 233 181 122 87 0 247 79 220 35 26 82 157 27 50 84 207 240 216 21 151 179 123 225 1 25 197 203 106 83 36 101 233 8 28 98 41 54 164 164 221 178 123 6 72 99 252 253 38 59 101 43 144 222 13 2 209 128 140 2 206 52 212 166 10 144 42 178 45 65 60 111 141 86 92 147 87 218 107 0 35 192 132 142 102 20 91 128 144 27 108 202 65 7 72 39 190 145 75 201 60 90 146 1 158 79 16 32 22 11 128 134 147 208 65 207 145 49 212 66 232 126 148 117 61 111 157 210 77 55 182 143 253 30 153 1 85 2 241 82 47 211 128 37 11 253 102 190 111 165 131 12 128 251 122 5 216 48 232 166 232 4 162 100 77 241 157 176 191 1 118 8 118 0 112 105 96 0 151 21 130 202 151 2 225 137 59 126 15 186 102 2 129 32 142 173 39 0 13 149 37 190 37 195 213 142 0 80 255 200 107 61 69 48 5 0 64 166 12 108 58 36 0 116 246 11 97 110 221 9 248 2 58 12 193 57 192 36 179 100 67 107 111 68 164 247 120 102 29 52 225 244 216 6 61 242 85 94 167 4 179 191 16 51 165 225 168 123 28 134 42 190 219 178 91 0 64 173 133 105 118 39 240 45 144 81 224 94 131 10 135 1 7 224 183 6 236 109 140 88 70 137 47 140 83 96 232 137 78 1 224 160 173 202 18 250 47 174 130 167 77 0 8 1 139 7 64 215 57 129 148 244 54 58 31 230 218 52 32 105 141 29 28 115 163 111 141 160 73 134 11 114 35 8 227 216 246 122 196 143 172 5 0 114 229 214 205 58 188 190 132 19 227 242 95 122 223 136 206 70 0 24 12 192 210 25 125 111 13 106 117 2 209 241 175 62 169 202 215 181 11 16 222 164 28 181 189 179 15 240 64 60 71 121 38 4 34 224 230 0 207 95 44 121 249 101 35 223 14 204 176 29 106 219 2 244 2 112 224 126 57 199 56 16 72 169 217 235 67 222 110 254 126 4 6 147 184 168 84 193 42 255 109 62 67 188 125 73 125 191 209 95 170 26 29 64 234 120 201 50 94 177 23 163 165 102 39 87 223 46 158 199 114 222 10 96 175 12 60 13 64 204 53 52 174 94 211 186 111 181 7 32 46 126 242 118 212 152 95 180 21 65 255 108 48 72 8 158 113 133 145 153 62 156 89 187 213 70 170 224 85 28 111 1 78 1 107 128 0 40 240 31 108 247 236 37 83 33 248 23 1 86 98 223 111 188 223 169 0 189 94 42 101 249 210 222 9 0 7 51 66 5 184 4 251 113 130 32 95 228 4 155 136 234 193 48 0 162 131 248 140 201 186 86 89 5 21 64 103 103 218 1 213 110 177 183 108 198 68 176 252 7 192 115 3 208 169 43 253 161 134 231 140 185 130 3 94 141 180 211 177 11 224 42 176 78 160 190 60 153 196 219 193 200 242 241 146 109 71 67 171 139 157 216 169 231 139 203 112 65 36 117 92 2 144 246 93 41 241 69 35 143 78 170 130 248 126 119 50 193 0 240 228 182 74 183 88 191 179 122 103 18 244 113 204 4 53 26 14 218 205 242 158 143 122 99 127 215 201 6 0 227 218 2 56 129 244 117 22 121 241 249 45 83 155 84 92 125 28 63 142 254 166 26 169 183 209 233 172 208 116 218 25 154 231 153 168 57 29 186 219 122 69 35 216 0 240 136 76 4 104 109 126 64 8 36 217 30 95 127 16 64 5 240 202 235 255 3 0 89 78 128 192 117 91 240 242 59 17 208 116 4 181 12 62 164 195 37 47 159 84 21 252 15 162 132 180 171 88 99 65 153 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glasscornersPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 160 8 3 0 0 0 73 195 222 234 0 0 3 0 80 76 84 69 0 0 0 0 0 0 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 2 6 6 6 11 11 11 23 23 23 34 34 34 48 48 48 59 59 59 70 70 70 83 83 83 91 91 91 99 99 99 105 105 105 108 108 108 112 112 112 115 115 115 118 118 118 120 120 120 123 123 123 124 124 124 125 125 125 129 129 129 133 133 133 136 136 136 138 138 138 141 141 141 143 143 143 145 145 145 148 148 148 150 150 150 153 153 153 155 155 155 157 157 157 158 158 158 160 160 160 161 161 161 162 162 162 164 164 164 167 167 167 169 169 169 171 171 171 171 171 171 171 171 171 173 173 173 174 174 174 169 169 169 167 167 167 166 166 166 168 168 168 171 171 171 177 177 177 179 179 179 180 180 180 182 182 182 183 183 183 186 186 186 188 188 188 190 190 190 192 192 192 193 193 193 195 195 195 196 196 196 197 197 197 198 198 198 199 199 199 200 200 200 201 201 201 202 202 202 203 203 203 204 204 204 206 206 206 208 208 208 208 208 208 210 210 210 211 211 211 212 212 212 213 213 213 214 214 214 215 215 215 215 215 215 216 216 216 219 219 219 221 221 221 222 222 222 224 224 224 225 225 225 226 226 226 227 227 227 228 228 228 228 228 228 229 229 229 230 230 230 230 230 230 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 232 232 232 232 232 232 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 233 233 233 234 234 234 233 233 233 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 236 236 236 236 236 236 236 236 236 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 236 236 236 236 236 236 236 236 236 237 237 237 237 237 237 238 238 238 238 238 238 238 238 238 239 239 239 239 239 239 240 240 240 240 240 240 240 240 240 241 241 241 241 241 241 241 241 241 242 242 242 242 242 242 243 243 243 243 243 243 244 244 244 244 244 244 245 245 245 245 245 245 246 246 246 246 246 246 247 247 247 247 247 247 247 247 247 255 72 31 111 0 0 1 0 116 82 78 83 85 86 86 84 81 78 76 73 70 68 67 64 61 59 56 53 49 47 45 44 43 40 38 35 33 31 30 29 27 26 25 24 23 21 19 19 19 18 17 16 15 15 14 13 12 11 10 10 10 10 11 10 10 9 8 7 6 4 1 0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 2 2 2 2 2 3 3 3 3 4 4 4 5 6 7 10 17 25 45 61 81 95 106 118 124 133 142 145 147 150 151 138 126 117 111 109 113 115 120 125 116 115 108 104 104 114 122 126 128 119 108 117 131 138 144 150 156 167 175 188 201 208 209 208 208 207 208 208 209 210 214 211 210 213 215 218 218 218 217 217 216 215 214 213 212 211 211 212 213 212 212 213 216 218 219 218 217 217 220 221 221 221 220 219 217 215 213 214 214 215 217 219 220 221 221 222 223 224 224 224 224 224 225 225 224 223 222 222 221 221 221 222 221 221 220 219 220 223 225 226 226 226 226 225 225 224 223 222 222 220 219 219 218 218 219 219 218 218 218 217 216 216 215 215 214 213 213 212 211 211 211 212 212 211 211 211 210 209 209 208 208 208 42 115 171 35 0 0 7 208 73 68 65 84 88 195 237 152 207 143 27 73 21 199 191 239 85 117 183 127 100 198 54 118 58 130 221 201 32 193 117 111 160 36 4 237 97 255 2 196 133 127 3 9 254 28 4 18 132 11 39 174 156 17 18 210 10 33 20 1 34 27 101 147 205 46 155 241 204 100 236 137 221 238 238 170 122 143 67 183 61 158 118 123 18 16 199 244 197 118 233 227 87 85 93 245 126 124 31 61 196 187 61 140 247 224 123 176 241 216 119 129 244 109 224 61 67 136 223 110 241 7 73 87 112 11 12 208 77 224 131 164 43 195 132 13 17 1 128 238 3 31 14 220 164 155 152 216 212 187 149 118 240 94 167 55 184 213 75 190 253 65 204 44 128 236 155 250 254 64 210 195 248 123 195 216 26 5 68 32 237 224 189 97 56 58 232 221 63 180 4 0 2 221 179 235 239 119 194 209 97 255 135 183 8 128 74 80 236 179 24 119 239 28 244 63 238 215 152 8 80 180 110 230 193 224 240 176 87 113 94 68 80 8 66 235 235 233 248 131 248 126 15 64 16 145 50 72 128 2 217 238 212 15 186 163 238 119 110 17 16 68 188 15 14 154 1 68 187 32 107 55 186 27 3 42 94 10 9 138 140 0 156 236 130 157 195 168 147 16 212 123 41 69 52 20 4 156 180 189 158 36 142 63 178 128 136 148 226 17 74 194 73 235 237 121 24 91 78 24 65 196 139 243 65 81 115 45 107 52 81 135 85 188 243 226 3 206 54 46 176 11 178 97 8 188 72 208 185 110 134 93 211 103 98 98 0 16 13 193 3 136 160 241 30 231 34 98 120 17 17 175 23 56 247 132 218 25 184 233 70 68 16 192 3 128 59 171 134 226 189 238 42 194 33 96 58 7 230 53 233 246 249 181 84 62 186 38 93 155 69 189 254 115 14 64 123 251 34 69 181 202 1 0 140 45 0 2 232 125 158 121 15 254 239 121 70 155 62 179 15 252 4 0 80 106 241 180 26 152 237 161 109 10 40 84 53 124 184 90 230 159 34 189 13 135 153 238 162 118 4 64 85 69 124 247 208 79 46 167 79 238 38 47 83 184 89 19 181 35 212 49 83 188 43 19 30 77 254 72 116 66 233 237 38 74 151 0 16 224 194 244 171 220 23 249 98 185 252 247 95 186 196 148 54 72 91 197 1 73 164 255 129 251 107 20 71 54 124 139 255 108 184 155 76 83 55 219 34 41 223 56 158 120 191 122 156 173 22 175 226 39 127 138 76 215 208 53 210 252 220 123 15 17 81 5 195 164 231 68 246 188 51 248 28 18 236 88 227 124 67 90 7 112 216 216 231 143 254 46 146 46 87 165 72 188 122 113 140 225 198 166 249 153 170 136 72 168 30 213 201 25 225 205 96 240 68 9 178 220 178 105 151 87 129 132 64 154 132 196 119 190 241 101 207 43 0 188 224 20 90 145 230 167 68 20 148 20 128 156 46 178 188 67 75 17 28 28 126 166 74 20 81 54 170 77 178 247 222 3 162 170 138 9 220 242 75 116 77 212 149 196 5 87 186 44 28 69 195 234 218 216 41 0 32 5 0 76 1 32 131 137 34 234 139 135 35 90 189 224 244 90 176 159 98 82 125 241 128 33 182 157 111 6 128 60 27 161 122 231 188 123 143 3 179 53 248 177 72 8 222 175 116 122 253 134 79 0 156 85 51 24 16 17 76 144 32 193 7 209 106 149 60 1 128 201 100 219 108 151 152 193 34 26 36 132 188 54 89 89 60 59 91 227 108 1 192 16 179 138 4 17 145 218 87 248 172 221 231 136 84 84 37 4 209 163 104 107 141 147 70 82 34 176 66 84 84 164 248 2 67 109 113 215 106 110 16 84 85 85 195 102 234 234 227 108 99 88 42 78 17 84 161 10 213 106 55 44 34 114 69 110 185 55 105 77 110 89 108 33 171 18 79 161 161 38 27 121 70 63 73 199 163 143 45 100 229 116 133 19 192 89 8 128 73 107 236 169 150 153 109 141 76 110 14 82 39 245 45 185 41 154 137 104 130 216 57 119 83 216 147 202 142 59 215 30 0 120 110 7 85 214 223 34 160 119 67 32 21 65 128 8 60 1 243 121 111 115 30 205 114 166 84 117 65 0 143 249 249 141 149 189 168 4 185 54 18 129 101 171 80 90 63 121 240 82 136 0 58 192 96 176 181 190 38 248 204 57 121 236 192 6 243 49 48 64 191 15 16 184 101 51 203 178 112 206 67 73 157 189 58 120 222 5 203 165 43 191 86 40 13 34 167 64 85 72 17 120 7 60 165 172 124 185 8 198 168 163 74 39 212 100 19 124 50 159 231 217 227 18 136 199 68 87 73 200 239 30 225 185 185 92 173 190 202 3 0 100 170 10 196 49 0 115 183 89 226 126 62 54 100 151 179 201 121 146 195 69 117 252 54 166 1 82 222 95 38 189 34 38 57 243 179 132 92 77 174 32 77 139 232 143 159 246 110 207 13 163 16 191 10 90 116 0 92 66 120 167 116 117 83 254 20 223 125 237 14 146 80 50 152 151 93 0 64 216 177 216 57 92 250 231 29 99 23 36 1 18 130 20 69 81 22 69 209 4 41 239 143 23 225 249 223 62 60 204 75 95 4 39 46 4 175 33 236 90 68 172 89 16 125 124 144 29 248 60 148 69 81 230 101 145 23 197 78 89 168 184 157 60 207 138 220 121 247 163 206 173 73 21 136 218 234 112 82 7 238 138 170 234 239 37 132 159 48 51 96 218 20 18 205 134 196 86 3 64 30 244 59 85 129 34 180 171 184 52 121 161 29 128 136 2 139 144 66 25 187 155 1 229 177 142 179 192 74 32 16 49 49 17 83 11 184 33 137 136 152 136 153 13 155 54 176 38 133 137 136 200 48 49 49 183 75 82 154 13 193 189 176 50 222 135 32 170 10 109 181 8 80 30 31 102 199 89 164 198 88 99 216 176 217 167 134 105 134 81 193 212 151 188 78 33 123 245 53 233 108 152 98 74 61 213 66 117 191 190 6 8 51 12 71 209 20 71 95 224 70 176 66 49 66 113 7 211 183 117 21 8 58 3 48 28 189 189 253 64 235 10 240 157 250 20 244 223 84 164 244 135 171 127 25 12 0 144 94 44 138 249 155 207 126 193 108 109 28 37 189 190 25 205 182 66 138 174 185 117 46 108 79 166 219 213 106 182 43 188 0 88 88 191 118 137 129 2 140 178 142 209 129 174 137 53 174 24 11 140 199 10 102 140 170 28 164 212 208 116 53 133 113 173 17 71 27 197 217 222 239 25 195 97 188 229 178 90 231 37 109 128 99 184 26 187 208 94 6 168 136 92 153 60 90 172 95 248 216 185 43 115 232 65 188 64 90 166 30 95 77 123 161 152 203 82 67 104 1 199 91 82 247 162 146 170 226 5 191 185 98 94 142 0 240 24 142 121 180 206 228 10 0 193 149 249 215 218 56 6 134 99 92 113 115 64 22 226 29 22 87 213 202 186 106 94 155 195 9 92 4 193 42 132 34 167 18 74 68 4 50 187 217 213 161 55 23 32 132 213 234 85 246 91 24 128 64 4 162 235 137 253 228 4 184 4 176 116 101 158 165 89 21 23 137 64 117 93 107 55 229 72 117 198 75 31 86 139 233 226 17 24 196 196 100 136 43 139 150 244 2 46 170 184 176 242 193 47 151 207 146 95 66 171 240 68 108 146 187 197 140 0 174 207 211 121 95 204 150 165 203 23 111 254 117 252 90 97 136 12 19 25 195 244 210 1 128 125 77 96 41 128 85 80 145 80 172 222 60 59 254 231 35 40 17 19 25 54 188 206 191 118 1 37 18 168 138 250 178 44 150 167 201 63 30 65 45 51 51 179 97 219 65 122 10 0 182 168 178 172 74 8 165 47 94 165 151 191 82 192 18 49 179 53 54 98 38 87 53 1 231 80 168 168 138 136 3 22 103 143 0 48 113 21 235 34 219 165 180 122 29 246 13 20 80 85 224 36 43 127 173 85 39 135 153 217 24 27 25 195 84 203 36 251 84 0 81 21 121 180 190 222 150 152 141 49 214 88 27 117 143 139 186 142 35 91 95 249 218 233 212 162 10 238 214 196 113 220 51 119 214 186 203 214 187 87 214 117 101 205 204 108 172 137 162 168 103 200 205 214 151 194 172 157 72 107 142 152 201 178 141 226 200 26 74 79 55 215 204 94 247 95 34 34 99 216 218 40 54 61 74 221 230 234 90 179 211 105 98 50 198 70 113 67 24 218 120 187 205 67 32 34 54 198 90 219 105 8 72 27 53 202 116 38 75 214 116 249 184 192 233 118 184 176 221 198 212 204 76 93 98 42 154 34 55 1 104 189 21 2 136 18 34 162 93 133 109 251 215 99 53 225 46 94 166 174 69 136 55 118 157 162 112 163 83 236 145 246 219 245 209 222 102 193 236 93 219 15 244 255 238 124 252 7 225 143 14 53 46 197 157 233 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glasslrPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 80 0 0 0 128 8 3 0 0 0 171 241 30 176 0 0 3 0 80 76 84 69 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 2 9 9 9 29 29 29 61 61 61 88 88 88 103 103 103 111 111 111 113 113 113 114 114 114 115 115 115 115 115 115 115 115 115 116 116 116 116 116 116 117 117 117 120 120 120 127 127 127 138 138 138 153 153 153 161 161 161 164 164 164 165 165 165 166 166 166 166 166 166 166 166 166 167 167 167 169 169 169 173 173 173 175 175 175 177 177 177 178 178 178 178 178 178 179 179 179 179 179 179 181 181 181 186 186 186 190 190 190 191 191 191 191 191 191 192 192 192 193 193 193 194 194 194 196 196 196 197 197 197 198 198 198 199 199 199 200 200 200 202 202 202 204 204 204 210 210 210 213 213 213 214 214 214 214 214 214 214 214 214 215 215 215 215 215 215 215 215 215 216 216 216 220 220 220 224 224 224 225 225 225 227 227 227 229 229 229 230 230 230 230 230 230 231 231 231 231 231 231 232 232 232 231 231 231 231 231 231 232 232 232 232 232 232 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 234 234 234 234 234 234 233 233 233 234 234 234 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 236 236 236 237 237 237 237 237 237 238 238 238 238 238 238 238 238 238 239 239 239 240 240 240 240 240 240 240 240 240 241 241 241 241 241 241 241 241 241 242 242 242 242 242 242 242 242 242 242 242 242 243 243 243 243 243 243 243 243 243 243 243 243 243 243 243 243 243 243 244 244 244 244 244 244 244 244 244 244 244 244 244 244 244 244 244 244 244 244 244 229 27 35 135 0 0 1 0 116 82 78 83 84 84 83 82 80 79 77 75 73 71 70 68 67 64 62 61 60 58 56 53 51 51 51 49 46 43 40 40 40 39 37 34 31 30 29 29 28 26 23 21 20 20 20 20 19 17 15 14 13 13 13 12 11 10 9 8 8 8 8 8 7 7 5 3 1 1 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 2 3 3 3 3 3 3 3 3 3 3 5 15 42 86 123 143 154 158 158 158 158 158 157 157 156 152 144 130 113 103 99 98 97 97 98 107 130 169 193 207 216 219 220 221 219 213 208 206 206 206 209 211 215 218 220 220 221 220 217 212 208 207 208 211 216 219 220 221 221 221 222 222 221 221 220 220 220 220 220 219 218 216 213 212 210 209 209 210 213 217 217 219 221 222 223 223 223 223 223 223 224 224 224 224 222 222 221 221 221 222 223 222 221 221 220 220 221 223 224 225 226 226 226 226 226 227 227 227 226 225 225 225 225 225 225 223 222 221 220 221 221 221 220 220 219 219 218 218 217 216 216 215 214 213 212 211 209 208 208 209 210 212 213 214 214 213 211 210 211 211 211 211 210 233 152 48 82 0 0 8 187 73 68 65 84 104 222 165 218 205 107 28 71 22 0 240 216 242 71 236 221 216 249 0 59 1 39 236 226 93 114 72 32 129 28 114 9 193 248 79 200 223 144 32 176 79 11 241 105 229 156 114 136 229 195 174 67 236 181 45 9 186 71 16 27 19 230 214 48 116 211 215 153 158 153 203 92 71 163 185 12 66 146 19 89 160 145 189 135 193 100 247 125 86 85 143 165 169 106 165 14 142 9 228 151 215 221 213 175 222 123 61 175 93 45 173 43 55 190 255 215 227 221 201 100 119 123 99 152 231 245 40 138 154 205 188 149 21 69 210 128 149 166 221 94 175 15 171 215 235 165 105 99 249 225 189 219 223 205 31 155 123 253 141 119 46 253 245 195 79 63 255 242 171 43 87 175 190 118 32 184 111 65 16 17 44 26 70 164 149 150 193 247 254 242 225 39 51 193 103 4 54 201 107 182 90 10 90 209 128 223 4 129 207 5 108 90 16 131 5 15 86 183 219 163 127 198 75 213 192 209 176 57 13 70 13 38 105 53 12 120 218 15 190 220 57 24 140 162 68 185 6 129 139 0 30 175 2 18 135 94 177 28 199 113 20 101 89 34 28 130 15 66 193 151 14 216 18 48 166 69 100 194 34 128 119 43 128 91 163 225 176 213 82 78 193 56 206 137 60 2 8 17 26 76 65 186 139 57 144 244 151 120 233 254 221 197 133 0 240 17 128 255 221 222 28 173 175 23 69 9 148 231 2 98 9 244 61 229 59 22 28 12 6 7 128 104 25 48 96 31 26 208 229 138 172 86 55 11 49 224 67 193 31 25 220 24 149 60 2 65 34 145 184 88 193 19 152 28 102 129 63 143 1 124 58 5 230 53 242 68 100 146 158 242 60 128 231 48 219 248 192 205 209 218 218 90 155 185 36 201 242 85 6 1 171 193 34 113 69 192 51 231 46 28 158 190 254 33 224 14 130 109 88 236 161 20 73 132 181 26 147 43 2 158 244 128 119 30 25 112 173 4 210 171 109 193 186 68 120 252 84 16 184 141 96 135 188 52 201 16 164 23 209 130 181 122 109 229 193 189 219 55 67 193 157 205 141 81 191 3 98 154 82 128 156 106 65 156 6 175 205 29 1 140 28 48 18 112 117 21 192 187 4 158 5 240 242 225 103 138 185 135 253 126 183 211 73 13 216 44 95 51 131 139 4 158 159 13 62 158 2 211 196 122 54 68 137 112 33 28 220 0 176 107 193 156 114 35 221 69 185 137 116 15 143 6 38 148 99 56 194 92 67 252 5 192 159 252 224 183 223 255 219 5 249 0 1 49 203 50 78 183 185 138 149 193 209 52 152 25 48 214 75 70 240 68 56 216 37 176 65 119 49 227 213 202 50 16 227 88 30 74 69 176 79 1 18 152 100 102 81 136 117 7 60 253 167 243 23 47 93 254 200 3 226 171 199 155 6 15 119 23 228 16 49 235 172 192 65 191 112 29 192 55 67 192 141 89 96 68 96 13 192 155 12 190 63 19 220 147 8 219 114 166 155 167 98 65 20 163 149 96 112 194 17 226 139 76 37 87 163 81 6 229 216 171 2 226 185 60 40 164 232 128 63 241 154 147 132 14 23 3 230 241 81 192 84 119 34 120 40 90 16 30 13 130 215 170 128 174 136 17 26 144 22 129 223 133 108 27 2 55 203 96 234 222 66 89 12 6 188 122 248 80 158 78 131 185 235 69 71 5 69 196 211 47 159 94 89 164 224 204 35 64 55 54 130 28 34 106 237 78 91 138 26 169 233 28 208 115 72 221 48 224 6 85 14 232 117 112 197 238 170 4 222 121 242 42 8 121 71 242 180 1 51 5 61 7 253 1 32 122 253 190 230 125 42 235 208 43 178 138 224 200 128 232 25 176 166 158 128 215 3 192 221 151 230 41 195 83 17 112 213 68 168 96 18 26 161 214 135 235 5 214 251 6 92 213 146 38 202 185 248 6 240 63 8 66 245 53 179 156 83 112 216 226 14 2 69 2 81 172 83 51 137 220 192 130 88 31 6 116 1 195 102 206 162 1 177 68 20 174 24 184 224 27 94 240 197 206 54 244 61 144 84 178 68 175 25 57 246 214 169 154 47 131 239 121 193 173 17 22 131 2 98 136 84 98 131 167 156 125 40 21 65 72 89 180 19 169 187 199 240 6 3 1 121 219 204 7 128 99 2 135 212 51 17 136 162 120 3 235 69 203 80 44 73 23 224 7 233 30 194 126 163 162 29 69 126 28 198 131 68 134 224 98 80 3 62 150 109 131 41 176 80 17 188 162 112 226 131 240 165 53 243 69 120 71 207 101 216 190 10 130 168 222 154 122 212 248 220 170 2 150 122 199 54 93 238 26 46 106 132 32 51 174 132 130 143 198 175 182 102 69 138 224 154 130 25 117 102 15 239 255 196 160 239 213 59 160 53 43 131 9 7 8 224 15 0 250 147 195 171 32 236 29 3 22 46 8 17 114 198 246 150 196 124 46 59 96 179 5 255 3 105 255 160 68 142 151 21 196 83 111 198 185 60 5 210 225 78 127 194 83 70 176 141 41 210 5 231 61 149 195 13 83 206 173 19 100 22 129 156 114 177 136 95 22 240 159 8 190 117 241 131 191 125 244 217 23 135 130 187 147 23 59 156 15 205 66 80 38 26 10 198 10 190 254 103 4 63 62 4 252 150 192 231 248 46 55 169 38 82 146 222 20 11 242 62 12 5 247 159 83 182 161 177 133 1 37 239 23 169 17 1 92 92 184 126 18 192 119 63 248 187 7 124 182 53 202 235 145 12 66 176 25 205 101 36 68 135 2 136 216 161 174 40 248 182 7 220 155 236 19 168 211 41 234 163 236 22 215 130 145 178 77 16 184 75 224 176 46 98 76 37 141 221 230 44 194 102 92 198 94 47 236 146 9 164 16 77 133 164 121 171 224 211 63 149 35 0 42 88 255 67 217 3 112 27 193 186 51 78 42 165 30 154 110 36 166 130 245 130 60 131 109 234 24 137 162 44 123 216 235 87 7 155 214 43 69 200 21 94 59 229 67 106 238 20 191 122 33 96 228 172 169 75 198 105 4 130 11 243 199 48 57 248 186 128 9 130 67 5 233 159 178 253 18 123 19 27 203 15 233 76 161 124 24 0 142 24 212 62 158 57 67 242 28 155 15 169 153 249 176 4 58 43 79 109 226 145 189 216 128 141 125 107 225 107 60 2 60 69 251 20 136 47 93 179 137 61 154 21 93 112 246 183 128 105 176 165 203 1 57 66 124 83 170 131 45 23 44 221 67 200 56 203 247 43 131 118 234 92 8 151 154 55 250 136 160 61 167 202 30 136 149 192 93 2 221 57 182 189 90 220 134 244 111 204 83 254 131 96 155 115 131 128 166 114 8 1 245 24 193 211 83 250 101 243 38 183 9 228 234 43 96 31 150 64 154 197 38 22 164 222 207 1 207 248 193 125 247 146 177 254 232 116 116 232 80 176 7 201 166 161 151 92 1 180 94 135 143 103 19 97 123 10 188 28 8 14 8 236 64 159 82 6 113 2 19 45 241 182 57 17 144 109 24 28 106 197 5 94 55 115 196 54 141 102 227 234 224 250 64 193 110 23 71 207 114 27 201 3 240 225 253 187 63 4 130 147 221 223 182 70 252 253 131 110 161 128 185 62 23 202 13 149 192 241 111 91 80 100 15 24 164 167 138 96 164 69 60 85 116 75 75 22 124 63 8 28 49 200 143 85 230 115 7 128 39 207 4 156 41 227 95 5 44 248 19 67 59 61 44 194 111 20 156 121 234 77 94 252 186 41 160 148 10 58 89 50 111 54 131 183 232 212 123 115 246 185 252 100 111 242 242 197 211 50 152 166 89 228 128 84 207 65 193 137 224 241 83 190 131 254 9 77 150 168 81 177 94 106 182 33 103 158 76 191 154 205 207 157 174 0 202 127 143 32 149 158 154 17 233 131 72 21 240 119 11 234 73 231 70 72 189 40 131 55 231 253 181 205 147 241 255 126 199 65 16 129 9 5 19 177 168 1 146 39 224 181 16 144 39 75 35 235 161 104 65 241 36 66 255 37 63 62 8 204 18 115 201 56 68 164 34 52 244 30 58 211 57 138 139 155 11 23 204 75 32 150 115 135 55 62 229 249 161 60 12 206 51 122 8 240 35 70 240 129 1 103 191 41 99 59 251 74 204 140 221 150 13 137 220 66 3 158 245 77 137 29 48 53 162 3 146 8 151 189 18 10 238 217 110 148 171 66 4 233 111 230 203 38 13 179 143 0 106 217 154 20 25 245 38 246 212 199 39 77 199 232 53 189 135 193 96 90 152 138 176 40 137 6 60 27 56 105 215 198 142 59 122 182 181 12 41 76 107 22 20 33 131 235 22 148 191 165 210 161 176 72 163 170 10 17 66 3 158 144 99 50 142 78 160 249 27 108 194 17 206 207 249 219 138 177 59 225 44 76 10 51 30 214 33 169 128 55 171 128 173 204 150 132 60 115 239 96 13 161 223 96 5 60 238 7 117 100 218 178 9 139 193 14 141 200 187 242 201 84 46 249 216 169 51 231 47 92 154 57 21 41 205 96 21 148 139 61 16 60 55 19 180 67 221 166 3 166 142 39 159 76 21 60 233 7 39 2 230 153 45 209 213 195 155 200 98 163 2 248 92 64 43 166 120 161 93 3 106 39 101 126 69 224 5 113 110 35 35 122 5 187 234 245 122 252 209 20 154 199 219 213 192 200 1 251 202 209 175 190 42 131 207 4 52 98 218 231 159 103 9 137 33 86 1 121 204 66 243 26 5 123 37 176 231 128 39 60 243 67 254 101 26 141 89 156 16 19 188 98 245 12 120 79 190 86 92 240 252 212 109 95 64 43 38 175 128 93 243 83 183 217 141 207 52 200 98 194 160 43 166 46 24 240 99 60 3 146 200 31 86 82 43 150 193 160 95 247 41 136 239 75 166 9 182 171 143 197 130 60 186 183 223 83 254 15 41 136 67 170 194 183 90 220 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glasstbPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 128 0 0 0 80 8 3 0 0 0 230 222 141 214 0 0 3 0 80 76 84 69 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 8 8 8 23 23 23 53 53 53 75 75 75 94 94 94 106 106 106 111 111 111 114 114 114 114 114 114 114 114 114 115 115 115 115 115 115 115 115 115 116 116 116 116 116 116 116 116 116 118 118 118 119 119 119 125 125 125 135 135 135 142 142 142 150 150 150 157 157 157 161 161 161 163 163 163 163 163 163 164 164 164 164 164 164 164 164 164 164 164 164 164 164 164 165 165 165 167 167 167 169 169 169 172 172 172 176 176 176 177 177 177 178 178 178 178 178 178 178 178 178 178 178 178 179 179 179 179 179 179 180 180 180 182 182 182 185 185 185 189 189 189 190 190 190 191 191 191 191 191 191 191 191 191 192 192 192 192 192 192 193 193 193 196 196 196 198 198 198 198 198 198 199 199 199 199 199 199 200 200 200 200 200 200 202 202 202 206 206 206 209 209 209 211 211 211 211 211 211 212 212 212 212 212 212 213 213 213 213 213 213 214 214 214 214 214 214 214 214 214 215 215 215 216 216 216 216 216 216 217 217 217 218 218 218 222 222 222 223 223 223 225 225 225 225 225 225 226 226 226 226 226 226 227 227 227 229 229 229 229 229 229 229 229 229 229 229 229 229 229 229 229 229 229 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 230 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 232 232 232 232 232 232 232 232 232 231 231 231 232 232 232 231 231 231 232 232 232 231 231 231 231 231 231 232 232 232 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 233 234 234 234 234 234 234 235 235 235 234 234 234 234 234 234 234 234 234 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 234 234 234 234 234 234 234 234 234 235 235 235 236 236 236 236 236 236 236 236 236 237 237 237 237 237 237 238 238 238 238 238 238 238 238 238 238 238 238 239 239 239 240 240 240 241 241 241 241 241 241 242 242 242 242 242 242 242 242 242 243 243 243 243 243 243 243 243 243 55 151 24 211 0 0 1 0 116 82 78 83 85 84 83 80 78 77 75 72 71 69 65 64 62 60 56 53 52 49 46 42 42 41 39 36 33 31 30 29 28 26 23 22 20 20 20 20 19 17 14 13 13 12 12 11 9 7 6 6 7 7 7 7 7 6 5 3 3 3 3 3 2 2 2 1 2 2 1 2 1 2 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0 11 33 75 106 133 150 157 160 160 160 160 159 159 158 157 157 155 152 143 127 116 104 93 87 85 83 83 83 83 83 84 91 106 132 160 198 213 217 219 221 222 222 221 220 217 213 208 207 205 205 205 205 206 210 216 219 221 221 222 221 221 219 213 209 207 206 207 207 208 212 215 218 219 221 222 222 222 222 221 221 221 222 222 222 221 220 221 220 218 216 214 211 209 208 207 207 207 208 210 212 216 219 220 220 220 220 220 220 220 220 220 220 220 220 220 220 220 220 222 225 225 225 225 225 224 224 225 225 224 224 224 223 222 222 221 222 222 223 224 223 223 224 224 224 224 223 224 224 225 224 222 224 224 223 222 221 220 219 219 219 219 218 216 214 212 212 211 211 212 211 212 62 224 168 107 0 0 7 126 73 68 65 84 104 222 237 154 203 107 84 87 24 192 79 18 211 68 19 211 20 170 208 88 232 194 82 164 216 109 87 133 174 251 63 52 56 24 252 3 196 93 155 68 23 197 85 163 164 171 46 154 144 128 9 177 163 96 68 12 77 22 179 153 221 108 239 133 123 153 205 12 179 153 97 208 49 32 245 1 181 253 158 231 113 31 81 106 97 22 205 79 77 102 206 249 238 247 253 230 188 238 29 90 243 221 144 49 199 2 199 2 199 2 199 2 199 2 199 2 67 23 248 118 200 152 171 202 181 107 87 139 184 86 210 254 95 97 110 18 63 221 28 22 230 215 33 99 30 17 15 75 216 221 221 219 123 240 96 111 111 119 247 225 195 71 62 208 247 248 241 227 93 132 35 109 146 71 229 248 153 181 205 188 26 50 230 77 57 127 7 148 247 190 121 31 76 105 193 28 127 225 159 119 136 43 147 42 14 52 47 0 28 10 252 253 50 224 117 128 182 190 120 93 64 46 30 226 52 241 171 87 71 196 190 124 105 254 44 39 84 242 155 115 248 209 244 46 76 19 70 6 152 67 98 48 160 95 207 15 3 158 7 60 123 230 53 194 165 207 75 57 60 34 77 166 239 208 12 6 45 97 192 4 111 6 207 148 39 79 158 230 218 6 33 97 115 107 96 147 12 180 154 86 240 46 50 173 62 208 108 54 251 125 21 233 19 242 166 219 125 66 116 9 118 123 42 216 16 238 232 118 159 74 168 100 105 105 22 91 205 166 111 89 12 150 175 3 218 108 125 250 237 118 187 213 193 236 61 250 33 224 107 91 167 3 116 115 244 58 112 105 63 237 247 251 153 98 250 225 164 181 141 152 36 77 155 245 90 77 20 144 180 137 164 100 0 5 122 25 252 66 153 110 105 134 246 56 78 32 113 154 102 12 250 208 132 185 57 185 21 104 212 128 122 147 98 219 86 32 77 88 64 138 68 121 131 94 30 105 142 98 52 72 72 0 198 145 160 81 225 220 205 64 32 33 129 58 9 180 72 64 135 64 12 34 160 23 69 239 80 222 9 136 65 34 117 120 180 81 160 1 80 242 82 1 171 153 114 80 140 68 36 241 118 1 109 143 200 32 150 234 58 0 56 216 52 218 54 57 79 65 195 77 1 9 36 32 80 179 227 20 199 86 33 92 1 221 92 89 215 44 2 104 208 201 215 7 3 43 16 27 30 0 25 2 17 160 81 210 165 226 12 194 21 24 174 137 112 21 246 84 64 119 73 71 4 106 34 96 13 64 64 173 72 160 45 129 186 84 124 131 222 17 2 189 156 0 25 224 250 245 4 180 62 124 88 93 135 133 2 58 4 52 6 9 65 67 224 9 244 130 141 17 214 23 129 40 142 160 190 221 153 237 24 39 160 234 4 216 32 9 5 250 34 160 67 0 36 206 64 106 104 89 183 48 123 57 1 234 196 110 123 100 196 49 22 170 214 66 131 36 49 105 78 0 231 192 51 192 55 36 144 61 146 242 2 206 64 235 187 17 64 129 42 8 28 176 0 27 36 40 160 187 192 19 72 82 187 21 5 52 200 28 138 81 22 127 17 228 4 96 73 36 129 0 25 64 94 35 155 163 174 39 161 53 80 9 9 180 67 16 21 212 206 24 228 4 160 133 70 0 102 224 64 234 195 29 135 134 192 244 112 120 218 116 110 234 237 163 206 224 11 189 63 180 125 188 13 45 217 246 21 111 126 233 102 214 114 75 150 111 146 154 67 198 179 219 53 60 63 120 110 186 59 85 221 82 36 144 248 2 28 182 239 12 130 250 225 77 178 11 167 66 40 208 69 129 174 189 119 104 181 102 51 39 208 207 148 111 212 2 1 171 16 108 177 172 64 207 171 207 19 234 9 208 94 163 155 49 77 125 169 64 18 142 191 21 96 3 90 92 54 190 213 205 28 220 29 206 144 216 21 149 21 16 131 102 214 128 22 7 5 164 97 121 79 160 206 245 245 113 163 72 128 167 26 239 135 106 208 229 53 128 199 102 67 12 220 234 247 70 128 230 212 149 175 34 57 1 127 192 90 69 2 17 109 69 134 182 53 11 208 142 166 182 134 110 122 217 125 77 93 18 34 144 202 228 31 93 191 101 239 126 109 123 18 203 217 136 59 81 73 116 14 84 32 22 129 166 143 125 72 203 9 212 138 4 92 121 89 4 106 32 231 86 3 143 2 56 12 170 141 70 154 17 136 120 4 84 207 87 176 22 5 11 160 172 126 75 215 33 239 181 158 173 225 9 192 227 22 157 4 134 79 45 28 130 134 183 189 244 94 232 147 20 236 128 253 178 250 116 122 182 165 136 214 32 1 252 43 2 29 22 224 94 154 31 239 195 241 141 32 179 5 249 54 165 229 237 206 211 229 103 235 211 92 202 29 36 226 115 185 17 144 38 58 64 56 2 124 247 142 229 198 44 7 42 9 100 15 97 62 7 236 38 117 6 126 125 121 176 174 213 232 131 202 3 37 24 200 56 195 64 167 122 82 129 129 209 187 11 10 208 35 139 158 104 222 227 123 203 63 197 41 125 189 126 196 250 199 0 30 37 94 109 206 161 161 223 23 82 187 76 77 36 67 132 6 40 224 206 84 125 106 226 188 252 13 65 159 174 155 253 178 245 71 253 110 46 225 67 37 206 128 158 211 236 153 79 6 6 231 72 135 192 19 216 71 129 212 9 116 148 182 126 237 42 21 224 250 7 200 62 41 184 105 32 3 26 69 21 136 81 192 62 72 39 158 0 204 173 251 122 214 225 175 97 86 32 59 11 129 0 125 14 40 46 35 201 179 16 201 215 155 136 191 45 216 49 136 77 108 13 100 25 58 1 187 153 233 235 89 39 51 9 25 131 150 247 252 239 9 208 72 242 16 244 114 67 128 223 189 12 44 12 183 77 112 232 246 239 19 168 192 91 137 238 28 10 31 228 248 211 127 14 168 227 145 133 219 30 111 106 152 165 122 239 190 0 31 4 15 57 255 24 110 36 250 200 213 192 71 178 70 108 13 106 158 192 31 190 1 6 197 225 78 14 4 244 171 36 223 236 66 129 253 58 238 198 36 72 128 81 124 178 39 198 62 42 87 153 123 191 223 181 215 30 28 72 111 181 24 59 206 180 216 252 44 119 17 205 18 228 207 98 182 33 114 7 254 220 221 1 182 183 183 182 238 108 121 236 108 109 239 108 115 159 101 91 240 162 8 42 202 221 208 118 231 142 215 235 117 101 49 235 235 27 27 27 235 155 248 99 125 125 141 248 13 88 23 54 240 47 245 249 172 173 249 239 54 60 214 109 22 202 195 189 155 155 155 220 183 102 177 23 155 219 183 87 111 175 174 226 79 96 5 249 89 184 5 172 222 130 62 237 117 172 232 139 213 44 210 189 178 114 107 69 50 172 174 254 98 187 86 28 154 193 44 1 203 75 203 203 75 194 226 143 192 15 2 188 188 14 44 11 75 33 212 118 221 114 195 15 90 92 164 68 156 224 6 192 61 212 12 63 232 21 254 91 52 149 249 249 10 252 187 52 63 255 189 0 239 23 22 174 40 11 11 151 47 87 42 149 75 192 124 8 180 94 38 22 108 100 197 69 85 130 44 87 160 175 98 43 80 21 193 20 49 58 58 54 54 118 2 129 223 99 163 163 35 35 166 152 145 145 145 209 81 138 150 64 191 15 219 49 199 248 56 230 25 45 203 97 47 166 50 35 124 217 248 7 30 152 224 132 6 49 114 17 57 66 1 27 73 113 210 127 130 179 76 32 212 167 215 143 5 152 137 9 13 193 82 227 116 201 228 73 224 20 113 146 152 156 180 49 12 95 52 201 156 180 80 156 244 79 122 89 48 205 228 132 119 45 39 68 204 52 51 117 202 50 53 61 125 154 152 153 153 225 23 167 57 4 144 136 169 169 105 143 211 14 13 116 237 51 51 146 70 106 132 151 78 79 155 89 226 67 2 99 225 215 236 236 71 25 188 24 101 214 35 19 56 43 189 153 20 254 149 26 57 59 107 206 158 17 62 86 206 156 57 91 64 16 69 47 207 22 163 249 242 237 122 105 16 106 206 205 9 159 40 115 115 231 128 79 29 248 54 23 51 199 97 5 72 190 115 126 22 106 246 211 219 72 115 222 227 51 192 190 249 92 57 255 94 188 45 135 185 160 124 97 161 183 95 122 92 200 7 93 200 225 135 121 141 94 138 194 11 205 197 18 190 242 184 248 239 41 201 224 90 204 215 67 198 124 51 100 134 255 159 239 255 247 255 7 197 63 242 7 91 91 199 192 20 36 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glasstitlecornersPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 160 8 3 0 0 0 73 195 222 234 0 0 3 0 80 76 84 69 0 0 0 0 0 0 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 2 6 6 6 13 13 13 24 24 24 34 34 34 48 48 48 59 59 59 70 70 70 80 80 80 89 89 89 97 97 97 103 103 103 106 106 106 109 109 109 113 113 113 116 116 116 117 117 117 118 118 118 120 120 120 124 124 123 127 127 125 129 129 127 132 131 128 134 133 129 136 135 132 138 137 133 140 139 136 142 142 138 145 144 140 147 146 143 149 149 146 151 150 148 152 152 150 154 154 151 156 156 154 158 158 156 160 160 159 161 161 161 162 162 162 163 163 162 165 164 161 167 166 160 168 167 159 170 169 159 170 169 160 171 170 161 172 171 163 172 171 165 171 171 164 169 169 163 166 166 158 164 163 155 163 162 148 165 163 139 167 164 134 168 164 127 168 163 120 167 162 115 168 162 109 171 165 102 173 166 96 177 170 94 180 173 93 184 178 94 188 182 96 191 185 96 195 189 97 198 192 98 201 195 99 203 198 101 205 200 102 208 204 104 213 209 108 216 212 111 220 217 117 223 220 124 224 222 128 226 223 131 226 223 133 226 224 134 227 224 135 227 224 135 227 225 137 228 225 138 228 225 139 228 225 140 228 225 140 228 226 141 228 226 142 229 226 142 229 226 144 229 226 144 229 226 145 229 227 145 230 227 146 230 227 148 230 228 149 230 228 149 230 228 150 231 229 151 231 229 152 231 229 153 231 229 155 232 230 158 233 231 161 234 232 165 234 232 167 235 233 170 235 234 173 236 234 176 237 235 180 238 236 182 238 236 184 239 237 186 239 238 190 240 238 193 240 239 195 240 239 197 239 238 198 235 234 197 228 227 196 216 215 196 202 201 194 196 195 193 195 195 194 198 198 197 201 201 201 206 206 206 209 209 208 211 211 211 213 213 213 215 215 215 216 216 216 219 219 219 223 223 223 226 226 226 228 228 228 229 229 229 230 230 230 231 231 231 232 232 232 232 232 232 233 233 233 233 233 233 233 233 233 233 233 233 234 234 234 234 234 234 234 234 234 234 234 234 235 235 235 235 235 235 236 236 236 236 236 236 238 238 237 239 239 237 240 240 238 241 241 238 242 242 236 243 243 233 244 244 230 245 245 226 245 245 223 245 244 219 245 244 217 245 244 217 60 172 233 4 0 0 1 0 116 82 78 83 85 86 86 84 81 78 76 73 70 68 67 64 61 59 56 53 49 47 45 44 43 40 38 35 33 31 30 29 27 26 25 24 23 21 19 19 19 18 17 16 15 15 14 13 12 11 10 10 10 10 11 10 10 9 8 7 6 4 1 0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 2 2 2 2 2 3 3 3 3 4 4 4 5 6 7 7 11 18 28 48 65 85 99 110 117 123 131 140 142 142 144 147 151 150 141 131 123 118 114 111 116 124 125 132 134 122 106 92 97 104 116 125 127 118 110 116 125 132 137 144 154 165 176 185 193 204 208 207 207 204 203 203 204 204 205 207 210 211 211 213 211 212 211 211 211 211 211 212 213 214 216 216 216 217 217 218 218 219 220 221 222 223 222 222 223 224 224 224 224 224 224 225 225 225 224 223 221 220 219 218 218 218 217 216 215 214 213 213 212 212 211 211 211 211 211 212 214 217 217 217 217 218 217 216 217 217 217 218 218 219 221 221 221 221 220 221 221 221 220 221 222 223 223 223 223 222 222 221 221 220 218 216 215 214 212 211 210 209 209 209 209 208 133 172 95 139 0 0 7 113 73 68 65 84 88 195 237 152 203 143 28 87 21 198 191 239 220 91 213 211 61 19 79 15 142 123 18 135 216 70 121 109 29 33 86 72 147 93 246 8 33 177 96 3 43 254 25 150 65 98 193 2 156 13 171 72 16 76 22 236 65 8 133 177 68 164 56 6 252 130 128 199 2 58 201 60 186 186 238 61 31 139 170 238 233 233 174 30 27 196 210 189 24 245 180 126 117 110 157 115 207 155 95 199 211 125 12 207 192 103 224 210 39 62 13 164 39 129 123 32 202 39 75 220 235 245 29 220 52 59 31 220 43 55 211 14 105 32 1 64 235 192 183 182 211 48 6 99 43 15 222 13 238 21 131 157 80 216 165 231 162 153 3 190 238 232 189 11 126 177 180 47 111 22 215 221 4 220 10 107 192 189 11 190 91 198 107 253 235 57 81 231 216 113 175 240 221 114 248 194 215 114 34 13 183 0 135 119 130 236 63 95 14 47 191 153 5 195 45 184 3 169 83 153 189 225 118 25 47 191 233 64 220 135 59 146 195 59 205 211 75 209 174 125 53 3 97 31 158 220 29 2 180 122 244 222 96 24 71 253 44 196 125 36 247 4 9 168 59 222 145 30 108 251 122 70 220 87 78 238 130 106 0 211 85 176 191 105 189 50 171 225 36 161 6 166 93 230 233 245 194 46 1 32 39 101 40 59 166 157 118 124 171 36 195 117 183 125 185 146 28 104 185 85 137 102 44 97 251 74 217 229 152 64 235 110 166 117 152 148 221 189 154 95 32 38 203 49 83 54 238 7 200 27 106 186 86 34 12 251 144 187 188 194 97 185 46 10 5 16 205 237 2 213 23 167 34 105 221 17 76 119 124 62 5 166 32 166 0 170 117 113 173 198 173 103 100 213 149 0 228 103 254 157 130 152 114 93 166 16 32 52 33 189 85 2 40 1 62 171 51 207 192 255 189 206 104 57 165 172 3 223 110 220 83 147 219 205 15 227 53 116 220 5 32 72 186 122 116 116 242 91 140 46 161 198 88 171 104 220 152 129 218 216 78 163 207 63 189 125 165 247 112 132 122 188 140 198 30 0 9 130 43 231 13 110 95 254 53 249 136 163 75 203 40 127 7 0 142 228 39 255 174 149 83 117 120 244 240 247 125 26 71 75 100 44 154 104 42 243 198 115 105 252 185 89 244 55 236 55 193 250 189 131 81 61 94 32 195 247 27 193 132 89 232 111 85 176 141 127 190 184 241 23 164 67 30 95 40 39 167 100 248 94 206 89 238 46 129 228 96 34 108 125 186 185 125 23 158 227 69 45 144 49 1 54 15 121 218 238 35 224 218 103 213 212 189 60 185 127 21 195 249 233 225 187 146 187 123 118 119 119 23 6 135 68 216 218 250 68 132 31 45 200 140 62 191 9 1 117 1 152 98 241 96 59 9 0 238 219 8 106 200 240 29 119 247 108 201 221 243 36 215 117 84 13 109 110 109 221 145 200 130 199 59 173 200 54 145 214 2 128 114 58 97 69 208 162 111 212 0 121 60 248 74 213 190 102 172 154 140 12 0 168 0 81 38 51 187 224 9 53 121 114 223 70 103 82 243 20 189 230 75 6 98 54 218 75 25 96 178 224 108 53 95 114 220 30 128 68 24 195 55 221 115 78 233 68 7 103 61 188 215 156 140 0 68 144 8 33 123 246 156 178 171 24 10 128 245 154 186 6 104 193 215 105 12 238 202 158 243 164 21 217 72 172 42 9 40 75 160 23 26 187 210 212 222 66 251 188 85 107 27 50 151 60 103 215 203 197 194 59 150 103 3 140 64 20 92 46 247 234 1 134 234 8 215 230 108 0 146 36 229 249 209 88 172 120 101 163 58 64 32 75 144 32 53 218 196 170 177 205 180 92 233 25 212 146 11 18 171 133 42 122 70 31 65 185 37 151 234 140 222 254 86 111 240 37 8 114 101 36 204 156 44 118 230 30 45 252 157 123 196 121 73 42 45 242 214 41 144 144 200 160 133 107 237 4 217 84 236 198 155 181 14 212 194 55 157 155 72 165 25 147 146 230 111 187 12 78 127 217 180 39 130 159 228 243 58 123 97 81 131 121 40 167 21 137 135 84 67 186 33 132 115 146 253 159 179 235 200 65 192 251 64 64 140 235 148 57 254 69 158 122 227 127 243 174 170 19 172 145 27 3 26 80 160 9 183 78 240 239 204 233 48 139 4 234 186 40 230 228 10 120 251 179 159 231 116 228 128 89 81 212 167 214 88 53 248 163 248 94 170 14 155 8 96 93 215 104 180 95 1 71 127 252 23 166 117 245 133 167 217 75 215 53 4 134 43 103 173 59 217 60 42 158 255 248 13 161 206 53 130 55 106 123 50 44 129 192 230 197 63 21 163 143 94 23 29 158 178 187 1 72 240 176 2 150 143 112 111 227 242 71 175 185 32 185 148 61 103 73 121 5 220 184 112 148 238 22 241 175 183 95 117 135 164 166 98 72 203 32 39 155 23 15 243 221 63 140 46 125 124 231 149 166 2 200 229 238 43 18 81 234 56 187 62 26 28 93 250 228 206 171 238 217 179 231 156 243 74 91 40 92 234 221 59 174 38 117 170 191 177 241 250 105 2 88 29 42 84 195 250 46 73 239 121 206 223 54 51 34 118 77 72 28 15 105 81 25 96 2 127 38 57 132 220 61 197 141 122 247 181 1 144 204 230 78 65 29 6 7 56 41 117 241 56 155 8 130 52 26 105 236 0 231 36 73 26 105 102 193 66 23 216 146 110 36 201 96 52 154 117 143 164 28 15 97 131 124 18 82 202 217 37 65 157 18 1 78 202 11 199 87 143 11 133 16 67 176 96 97 221 52 204 49 118 42 227 166 79 218 18 178 118 190 166 198 195 17 14 56 144 42 105 253 124 13 16 99 12 119 138 3 188 252 0 231 130 13 138 29 84 187 56 120 210 86 129 208 24 192 112 231 201 235 7 206 58 192 167 218 83 240 191 233 72 249 183 197 7 3 136 162 174 83 158 230 119 126 100 22 99 89 244 6 155 97 103 204 69 137 45 183 174 25 102 247 251 119 44 93 154 197 1 1 132 178 237 83 0 32 103 158 169 18 17 160 0 2 253 217 213 1 0 110 114 169 152 196 86 90 255 236 185 90 49 71 107 199 126 99 169 133 122 144 151 170 147 205 56 179 166 18 77 5 64 98 62 213 233 229 185 196 62 96 167 15 75 114 81 29 71 247 1 107 127 87 141 36 135 230 202 47 28 221 239 159 190 139 144 18 32 57 240 211 83 230 33 0 88 127 65 215 132 26 128 148 117 243 83 45 25 223 206 114 9 240 12 247 240 217 220 92 60 53 248 188 51 104 234 175 178 223 180 10 34 73 48 172 86 87 65 73 144 43 229 131 163 119 17 0 130 108 151 87 167 23 144 18 144 0 185 39 255 224 197 67 128 13 68 96 52 151 120 218 142 200 221 243 251 7 227 27 48 208 104 12 108 253 203 170 105 83 159 5 64 57 123 174 243 189 151 126 12 53 233 137 22 122 87 48 38 16 155 46 29 170 225 146 43 229 252 195 87 62 20 2 25 140 12 193 248 112 7 0 98 6 146 32 52 137 53 231 247 239 189 114 235 6 68 26 25 44 216 108 195 22 211 105 47 225 217 253 131 131 215 62 188 1 69 51 51 179 96 113 3 163 199 11 160 55 174 112 243 241 11 227 31 8 136 164 153 197 16 11 51 214 32 128 56 157 181 58 192 175 24 198 255 184 209 108 104 154 92 87 196 62 71 245 108 250 184 57 27 145 238 76 127 162 102 229 99 102 22 66 44 66 48 182 3 85 124 39 183 253 241 187 179 11 138 52 11 33 196 16 99 209 191 90 181 93 0 99 171 75 235 209 138 104 146 123 12 101 89 14 194 238 108 66 139 54 235 25 90 191 34 205 204 66 12 69 81 12 2 235 241 204 41 194 194 242 4 32 73 51 70 139 69 89 196 192 209 227 185 155 197 179 241 75 146 33 88 140 69 25 6 28 213 115 39 140 97 41 159 208 140 33 196 162 236 7 46 142 144 177 92 236 47 9 146 22 66 140 113 227 44 55 27 73 79 29 223 24 25 67 223 174 86 120 188 152 175 98 127 233 104 51 99 159 198 106 121 200 237 1 156 169 66 128 236 145 228 234 132 29 55 207 102 70 226 10 30 142 234 142 65 124 73 235 17 170 122 231 113 71 54 141 59 75 237 227 218 101 193 248 105 215 15 252 127 111 62 254 3 236 213 220 248 116 109 15 64 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glasstitletbPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 128 0 0 0 80 8 3 0 0 0 230 222 141 214 0 0 3 0 80 76 84 69 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 26 26 26 50 50 50 73 73 73 91 91 91 102 102 102 107 107 107 111 111 111 113 113 113 114 114 114 114 114 114 114 114 114 115 115 115 115 115 115 116 116 116 117 117 117 119 119 119 124 124 124 132 132 132 144 144 144 152 152 152 158 158 158 162 162 162 163 163 163 164 164 163 164 164 164 164 164 164 164 164 164 164 164 163 166 165 156 168 166 143 172 168 120 175 169 103 176 170 95 177 170 92 178 171 91 178 171 91 181 175 93 191 185 96 198 192 99 202 196 100 202 196 101 203 197 101 204 198 102 213 209 114 221 219 124 223 221 126 223 221 127 225 222 129 226 223 131 226 223 132 227 223 132 227 223 133 227 224 136 228 225 139 228 226 139 228 226 139 228 226 140 228 225 140 228 225 140 228 225 140 228 225 141 229 226 143 229 226 143 229 226 144 229 226 144 229 226 144 229 226 144 229 226 145 229 226 145 229 226 145 229 227 145 229 227 146 229 227 146 229 227 146 230 227 147 230 227 149 230 228 149 230 228 150 230 228 150 230 228 150 231 229 151 231 229 152 231 229 153 232 230 156 232 230 157 233 231 157 233 231 160 233 231 163 234 232 163 234 232 163 234 232 167 235 233 170 235 234 172 235 234 174 236 234 176 236 234 176 237 235 178 237 235 179 237 236 181 238 236 182 238 236 183 238 236 184 238 236 184 238 236 184 239 237 185 239 237 187 239 238 189 240 238 193 240 239 195 241 239 197 241 240 198 241 240 198 241 240 198 240 239 197 233 232 195 217 216 190 194 194 183 182 182 180 179 179 179 179 179 179 180 180 180 184 184 184 191 191 191 196 196 196 199 199 199 199 199 199 200 200 200 201 201 201 204 204 204 209 209 209 212 212 212 214 214 214 215 215 215 216 216 216 217 217 217 219 219 219 222 222 222 224 224 224 225 225 225 226 226 226 226 226 226 227 227 227 227 227 227 228 228 228 230 230 230 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 231 232 232 232 232 232 232 233 233 233 232 232 232 233 233 233 233 233 233 233 233 233 232 232 232 232 232 232 232 232 232 232 232 232 232 232 232 233 233 233 233 233 233 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 234 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 235 234 234 234 234 234 234 195 53 138 7 0 0 1 0 116 82 78 83 84 84 84 83 80 78 76 74 71 69 65 63 62 59 56 50 46 45 45 43 41 37 34 32 30 28 28 27 23 20 19 18 17 17 15 12 11 9 9 8 7 7 6 5 3 2 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 36 70 102 126 142 150 155 158 159 160 160 160 159 157 156 152 145 133 114 101 92 86 84 83 83 83 83 83 95 118 157 185 199 204 205 205 205 205 206 206 206 206 206 207 209 209 209 212 217 219 220 221 222 223 223 223 223 223 223 223 224 225 226 226 226 226 226 225 224 223 222 222 222 222 223 225 226 226 226 225 223 222 222 222 222 221 220 220 220 220 219 218 217 217 216 216 216 215 214 213 211 211 211 211 212 214 213 213 212 212 212 211 212 211 213 215 219 221 221 221 221 222 222 221 221 222 222 222 221 222 221 221 221 222 222 221 221 221 222 222 222 222 221 220 220 220 220 220 220 220 220 220 221 222 221 221 222 223 224 224 224 224 223 222 222 224 225 225 225 225 225 224 223 223 223 223 223 223 223 223 223 131 190 208 184 0 0 7 16 73 68 65 84 104 222 237 154 65 107 27 71 20 128 135 200 118 157 216 109 2 77 73 8 77 15 205 33 133 210 254 131 254 137 216 68 110 206 201 173 199 230 80 131 145 64 160 131 46 146 192 96 44 129 131 3 105 15 14 41 129 208 208 220 226 64 98 247 16 217 52 49 110 12 58 73 218 93 131 79 130 5 93 76 223 155 55 51 251 102 118 118 157 54 5 29 234 47 70 246 206 188 125 239 219 55 179 163 67 43 190 27 51 226 84 224 84 224 84 224 84 224 84 224 84 96 236 2 223 142 25 113 91 115 231 206 109 31 119 50 198 255 43 196 15 99 70 252 248 15 184 123 55 249 204 143 179 99 238 230 220 34 126 58 145 197 69 235 98 209 243 167 255 54 25 176 168 126 103 33 30 75 126 125 47 84 220 201 225 20 241 56 33 243 166 199 226 89 54 191 91 100 207 62 251 16 80 224 169 196 45 152 226 55 248 247 52 45 230 7 178 230 63 143 70 60 100 60 178 120 98 161 71 31 62 241 144 138 135 184 132 156 216 71 143 196 47 94 126 70 54 54 54 152 143 28 194 185 13 15 60 90 94 177 92 100 161 35 121 1 140 19 235 235 247 129 123 247 224 99 125 253 193 186 197 3 11 107 16 238 125 144 137 138 188 175 240 205 25 196 218 90 91 177 70 88 23 107 38 112 45 193 55 198 199 85 158 181 118 214 76 155 221 36 218 205 102 115 185 82 169 44 47 107 145 166 164 221 110 17 20 215 74 48 247 182 92 248 112 3 82 96 22 254 52 107 38 189 201 222 18 16 88 41 1 203 203 20 14 215 77 240 105 54 27 64 171 142 49 53 249 161 48 133 240 143 58 144 210 104 213 234 120 111 181 217 212 143 98 170 181 245 24 164 6 71 68 84 171 213 74 105 105 9 20 168 102 163 89 173 32 85 121 1 5 106 14 188 144 51 173 134 97 188 92 174 74 116 45 69 3 171 65 110 74 110 4 160 62 24 200 135 70 43 37 32 163 234 117 93 164 108 202 172 74 88 83 24 56 131 193 101 101 32 107 168 226 152 154 114 87 60 2 37 41 32 195 170 186 5 202 0 179 65 202 164 196 202 202 10 213 201 21 40 27 1 122 46 18 192 213 182 12 114 4 40 168 108 160 18 43 132 95 64 213 175 169 59 26 118 3 176 148 236 54 95 4 161 7 109 129 37 99 89 182 13 86 140 192 106 170 236 170 236 14 19 64 131 122 186 62 24 24 129 178 80 91 64 182 64 11 200 46 121 91 176 98 176 31 123 149 183 135 181 64 191 37 117 37 176 164 4 140 1 8 104 43 41 208 80 129 124 171 248 26 224 10 212 252 2 184 127 153 128 174 143 15 120 130 64 201 108 3 122 157 220 14 212 172 23 195 174 159 8 64 125 243 102 54 202 166 18 9 144 65 213 18 104 170 173 106 90 144 192 90 160 203 38 27 179 150 18 168 233 166 181 90 242 149 173 193 187 100 234 51 131 170 45 96 94 22 199 160 36 5 220 35 41 45 144 24 152 69 195 109 137 43 228 10 144 65 21 5 244 91 96 11 84 211 45 112 14 197 178 11 223 4 41 1 60 23 44 129 146 202 46 212 203 81 74 78 66 189 238 250 216 170 232 53 168 235 149 47 251 49 6 92 64 31 26 188 3 37 121 240 83 11 196 112 56 140 163 227 48 12 131 32 56 38 6 4 254 113 236 3 66 123 189 174 6 67 187 140 193 160 223 215 169 70 196 16 161 63 117 142 40 142 105 80 140 80 32 138 192 32 169 48 48 120 235 115 1 10 203 175 175 53 70 113 28 219 2 35 20 0 131 200 54 232 247 115 4 168 124 175 107 9 48 133 28 129 33 171 31 69 142 64 24 42 3 88 137 126 98 144 255 248 76 96 96 174 250 38 214 41 15 2 148 1 200 16 80 6 125 215 32 48 55 6 118 121 38 48 160 11 93 219 39 64 75 125 4 104 131 17 237 1 92 129 67 101 16 4 212 2 165 64 233 100 75 147 242 7 72 74 128 55 108 228 19 144 11 13 213 123 61 50 80 2 67 156 57 4 194 163 64 209 87 232 45 161 4 2 181 248 249 245 71 201 110 135 125 198 250 47 31 19 203 35 71 161 94 3 45 16 41 129 62 71 63 80 90 160 235 19 176 203 51 3 85 31 138 28 29 244 224 238 94 47 112 4 34 234 64 79 193 21 250 124 251 57 27 32 171 190 121 219 233 93 27 154 26 76 0 246 155 60 9 132 234 13 218 177 215 11 139 155 131 201 24 164 223 128 110 86 125 144 149 123 90 22 209 53 164 64 15 126 148 64 76 2 52 43 215 135 61 28 10 56 10 106 27 246 117 121 222 132 99 107 253 229 90 162 2 52 58 146 249 101 121 52 160 30 7 161 110 16 118 128 34 96 135 242 167 147 2 254 115 200 188 164 137 129 93 255 24 183 82 183 43 31 52 210 28 170 62 67 163 77 102 48 144 2 67 37 16 184 6 252 68 73 36 2 118 84 122 247 127 208 87 93 162 221 150 56 28 226 65 16 176 214 198 177 136 116 3 96 142 4 212 30 31 244 173 3 53 150 232 183 162 127 156 183 255 216 131 244 130 35 174 64 135 62 235 104 44 112 141 116 11 120 7 80 32 72 4 98 141 57 26 179 5 100 26 115 90 216 77 0 172 37 141 80 64 111 211 40 236 217 95 107 129 106 83 28 143 134 150 128 187 10 150 128 124 142 131 3 109 192 4 134 62 129 136 25 216 219 112 96 214 9 25 198 206 34 56 6 73 3 28 1 120 142 144 149 183 12 96 49 4 110 12 243 150 118 205 157 7 122 31 170 239 174 100 31 193 145 21 226 137 202 191 132 7 120 100 225 210 226 151 26 102 121 39 145 137 6 3 56 120 15 205 123 72 9 104 39 194 254 8 69 120 200 82 219 2 137 129 12 74 18 28 185 2 120 108 161 0 212 167 199 72 234 31 116 7 248 54 134 86 2 252 78 194 250 240 173 36 160 36 13 66 44 121 255 197 244 97 182 203 172 178 144 155 173 171 35 101 18 64 167 233 118 115 114 136 183 251 251 251 123 240 111 127 15 120 3 252 137 31 111 222 18 123 248 67 115 6 24 54 243 42 74 242 110 31 83 237 225 44 166 49 121 248 20 205 189 97 247 139 78 103 103 103 167 179 139 31 157 206 107 67 71 177 131 63 114 142 147 204 203 24 70 199 202 242 154 102 119 119 119 105 46 157 191 35 182 182 182 183 182 183 241 147 120 101 177 253 10 230 216 172 203 182 203 150 155 6 198 254 64 244 212 203 151 48 200 50 136 231 192 230 243 205 205 231 25 108 50 114 166 128 23 222 32 140 122 1 108 102 148 16 197 185 185 98 113 126 254 230 252 252 13 5 92 47 44 124 175 89 0 138 197 226 77 96 222 166 136 113 24 185 96 34 139 73 84 81 101 185 117 235 22 77 22 139 115 55 24 115 10 113 198 67 161 48 49 49 49 137 192 239 137 66 225 76 14 133 130 140 246 4 226 56 230 152 154 194 60 89 73 132 185 185 192 110 155 154 250 200 48 133 9 38 117 16 161 110 146 142 16 76 225 83 84 105 66 205 79 58 89 38 245 253 19 22 98 26 209 149 40 213 244 244 89 224 156 228 172 196 196 48 166 13 103 13 44 108 154 103 193 52 211 233 59 241 66 204 206 16 231 12 51 51 179 179 31 91 204 2 60 74 254 57 203 72 7 206 240 97 154 162 187 217 157 50 78 156 55 124 66 152 235 11 200 249 15 229 2 79 195 178 107 196 69 198 167 0 253 245 153 205 197 19 200 8 204 76 193 6 196 149 203 140 75 151 46 225 175 43 105 46 123 184 226 39 99 214 115 31 94 136 171 140 207 1 115 241 133 230 234 7 113 82 14 113 77 243 165 225 90 54 239 19 147 127 179 59 40 174 103 240 21 227 250 191 39 35 67 50 34 190 30 51 226 155 49 51 254 255 124 255 191 255 63 40 254 6 172 215 173 137 176 62 182 155 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
gradientPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 10 0 0 2 88 8 3 0 0 0 108 53 135 90 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 153 80 76 84 69 0 1 0 2 0 5 0 1 4 6 0 0 4 0 6 0 2 0 7 0 0 0 3 6 9 1 0 5 2 7 6 3 9 14 1 9 15 2 10 8 5 10 16 4 12 17 5 13 23 4 14 20 5 20 18 7 14 23 6 15 21 6 21 26 5 22 24 7 17 22 8 22 27 7 22 23 9 22 27 8 23 31 7 24 28 10 24 30 9 29 32 9 25 34 8 30 36 8 26 31 10 30 36 9 26 35 9 30 33 10 26 33 11 26 37 10 27 36 10 31 40 9 32 38 11 28 40 10 33 36 12 32 41 11 34 47 10 36 42 12 34 48 11 37 43 13 35 44 13 36 45 14 37 94 146 151 39 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 4 21 10 41 33 110 26 236 73 0 0 4 254 73 68 65 84 88 71 237 143 109 139 226 88 16 133 11 177 165 97 20 243 33 66 219 136 24 66 212 47 105 141 255 255 199 205 121 169 27 99 219 179 12 11 11 187 179 93 38 185 79 157 123 234 220 107 188 140 21 19 156 189 204 190 80 23 47 11 44 51 124 131 240 2 152 193 176 152 81 66 7 117 54 163 73 42 22 240 98 17 244 121 39 22 150 104 192 4 104 102 3 145 59 28 227 138 204 224 148 246 117 112 86 200 40 135 188 186 18 212 57 85 30 40 131 166 120 29 228 200 28 243 151 249 108 174 45 226 194 63 121 57 138 92 125 197 84 103 243 185 144 65 0 116 60 66 218 204 104 247 52 193 219 108 137 105 161 193 1 229 8 169 218 159 26 116 132 140 122 105 240 88 170 242 151 35 230 26 179 200 211 242 56 121 237 212 105 2 25 138 213 6 63 58 66 229 211 92 191 137 175 95 170 207 72 159 222 84 95 209 196 107 206 255 122 140 69 107 25 227 192 212 144 227 196 137 250 141 223 248 71 227 234 73 93 17 127 76 212 149 60 43 224 74 140 247 97 204 219 216 99 194 143 249 15 122 98 53 22 145 251 30 155 170 217 201 48 81 19 151 143 184 196 111 181 132 97 73 90 62 122 41 22 164 85 118 170 52 211 203 143 44 74 16 44 237 117 133 135 24 60 162 198 92 24 115 146 12 229 6 121 132 67 194 23 76 52 148 59 200 228 127 33 206 92 93 82 171 74 9 119 204 42 119 88 221 113 162 126 227 4 215 248 25 177 250 249 228 245 254 250 238 93 203 235 90 143 152 6 123 148 176 38 173 169 250 161 215 219 242 90 75 85 131 10 91 187 60 102 67 38 209 224 113 29 81 230 125 201 50 38 105 205 65 142 217 83 84 10 33 205 6 77 72 119 130 116 122 243 104 25 28 61 122 11 230 125 199 26 177 228 150 211 74 253 63 176 34 86 119 204 2 86 79 170 177 146 61 176 77 71 69 76 170 132 108 106 170 181 176 170 165 214 246 4 22 79 86 233 101 133 199 249 56 87 141 114 211 48 210 3 142 244 5 214 159 85 10 137 226 186 126 26 163 132 189 192 90 243 133 170 41 54 66 137 117 45 131 221 161 93 27 68 153 160 93 62 196 156 227 17 218 174 39 7 23 149 117 191 164 212 108 136 190 219 182 92 71 71 248 0 94 167 218 250 136 122 235 4 185 148 160 251 40 183 150 71 215 145 170 59 120 72 170 198 120 201 140 242 17 62 128 127 62 139 55 115 40 195 184 108 41 226 102 245 22 35 124 113 29 238 243 22 65 218 110 183 188 36 124 219 45 158 45 188 91 238 178 9 246 172 138 87 231 66 63 213 74 89 197 0 177 178 202 184 137 74 148 116 87 81 155 59 190 9 55 226 240 34 228 22 229 141 199 222 240 179 97 227 38 54 20 222 38 42 187 208 222 102 3 93 200 14 42 63 111 106 66 171 90 161 187 130 19 117 196 7 239 103 116 238 103 245 25 255 250 136 223 193 119 226 251 123 170 185 18 167 42 65 141 177 24 40 162 127 135 154 50 80 10 123 37 168 101 46 137 21 154 49 122 165 131 9 89 70 102 37 178 241 17 119 204 18 150 176 71 116 141 248 60 246 140 187 103 117 39 228 198 78 6 252 244 33 238 40 238 118 49 138 54 188 107 71 97 110 96 96 241 27 166 59 170 128 123 174 248 4 65 13 208 140 133 134 189 245 32 169 217 75 85 201 43 131 80 13 126 244 154 247 193 143 59 171 42 121 63 161 14 46 252 149 225 63 139 13 158 103 245 111 34 194 186 232 138 216 89 85 79 213 15 189 73 192 142 216 225 1 242 135 186 171 10 163 68 71 116 29 227 247 93 67 236 216 225 3 220 55 108 132 92 240 54 129 181 105 154 238 208 52 209 181 173 220 135 46 142 109 35 199 225 16 109 119 240 6 188 135 3 204 199 166 69 66 115 132 114 60 118 173 188 45 85 24 80 192 174 61 70 11 235 177 193 4 80 187 45 186 208 23 205 145 99 71 116 237 145 232 106 219 54 216 243 33 18 84 66 137 68 173 232 139 202 4 105 146 67 169 163 87 118 171 89 28 203 100 171 121 240 212 240 75 60 25 185 156 248 165 122 66 129 133 110 97 176 3 134 147 152 111 134 209 45 131 178 78 193 113 154 78 68 173 198 82 113 188 227 68 253 87 225 113 170 158 209 39 226 61 223 81 117 126 72 56 115 255 124 62 167 129 205 233 28 148 210 235 113 126 67 95 189 193 125 143 6 73 226 153 94 139 57 198 92 122 61 196 131 165 120 204 177 105 48 49 76 187 84 229 204 48 23 13 10 53 106 95 85 12 127 6 126 24 63 138 154 48 241 126 60 143 125 60 171 101 14 9 44 124 207 145 43 54 169 166 101 234 85 14 93 244 74 198 151 99 25 17 20 221 17 83 79 195 57 13 182 142 99 159 176 76 141 99 82 31 240 90 176 192 245 57 236 122 165 202 143 252 87 122 165 165 225 170 146 42 199 181 140 93 149 123 45 134 92 229 253 135 112 120 84 221 70 1 226 32 28 138 58 240 71 175 64 134 34 19 61 57 32 183 207 38 134 193 17 246 66 30 250 76 24 248 244 209 19 135 161 239 49 214 15 220 165 129 138 84 221 193 5 175 68 164 0 111 214 250 62 110 55 13 162 11 46 253 112 163 119 184 245 124 168 246 183 27 124 220 128 58 220 46 151 139 188 151 254 130 182 191 93 226 130 253 219 229 6 91 112 193 51 72 165 21 159 62 184 194 206 211 46 204 1 223 134 160 168 177 11 13 23 230 93 250 159 26 177 13 184 74 164 114 96 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
logoPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 1 244 0 0 0 147 8 3 0 0 0 79 142 27 238 0 0 3 0 80 76 84 69 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 30 26 5 139 120 21 178 154 26 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 181 156 28 181 157 28 181 157 28 181 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 180 156 28 180 156 28 180 156 28 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 180 156 28 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 179 155 27 179 155 27 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 27 179 155 27 180 156 27 179 155 27 180 156 27 180 156 27 180 156 27 180 156 28 180 156 28 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 179 155 27 180 156 28 180 156 28 180 156 28 179 155 27 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 27 180 156 27 180 156 27 180 156 28 180 156 28 179 155 27 179 155 27 179 155 27 180 156 27 179 155 28 179 155 28 179 155 28 179 155 28 179 155 28 179 155 28 179 155 28 179 155 28 179 155 28 179 155 28 180 156 28 179 155 27 180 156 28 180 156 28 179 155 28 179 155 28 179 155 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 180 156 28 182 158 28 182 158 28 182 158 28 182 158 28 182 158 28 183 159 28 183 159 28 183 159 28 184 160 28 184 160 28 184 160 28 183 159 28 183 159 28 181 157 28 181 157 28 180 156 28 181 157 28 180 156 28 180 156 28 179 155 28 179 155 28 180 156 28 179 155 28 180 156 28 177 233 194 44 0 0 0 232 116 82 78 83 0 0 0 0 0 0 0 0 0 1 1 1 2 1 1 1 0 1 1 1 1 1 1 1 1 1 0 0 0 0 0 1 1 2 2 2 2 2 3 4 4 4 5 6 6 8 8 9 9 10 12 13 13 13 13 14 15 17 18 19 21 24 26 28 29 31 31 32 33 34 36 37 38 40 41 43 46 48 50 52 54 55 56 58 60 62 64 66 67 69 71 72 74 75 78 79 80 82 83 86 89 91 92 95 100 103 104 105 107 108 110 111 113 116 119 121 124 127 129 130 132 134 136 138 139 141 143 147 151 154 157 159 161 163 166 169 172 174 176 177 178 181 183 185 189 191 193 195 197 198 200 202 203 206 207 209 209 210 212 214 215 215 216 218 220 221 223 224 226 227 229 230 231 232 232 233 234 235 236 237 239 240 241 241 242 243 245 246 247 248 249 249 249 249 249 249 248 249 251 252 253 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 254 253 253 253 253 253 254 254 254 254 254 221 114 161 106 0 0 42 115 73 68 65 84 120 218 237 125 75 115 84 71 210 54 139 220 124 179 58 44 57 49 27 45 32 162 245 217 16 48 161 176 100 75 130 9 48 6 131 185 188 230 110 176 49 194 22 23 131 185 51 190 112 51 70 128 199 50 216 6 27 108 131 9 204 197 70 204 231 17 208 19 6 194 163 232 141 225 172 234 249 5 253 3 42 162 22 181 171 85 62 223 226 180 90 45 169 37 181 110 200 210 171 90 73 167 79 157 115 42 159 202 172 204 172 204 172 41 50 30 219 171 31 92 186 122 80 38 91 87 91 124 232 194 213 125 149 222 60 101 188 141 46 150 23 247 180 145 228 239 147 72 119 82 164 110 215 45 128 196 204 137 9 122 44 43 90 9 37 136 214 73 184 211 182 242 52 212 40 200 214 137 201 233 209 130 171 154 48 24 252 235 224 243 147 104 139 136 72 195 69 130 193 240 215 127 204 150 104 34 130 30 207 121 154 4 111 145 63 80 241 248 38 122 155 195 132 206 38 252 96 48 157 198 19 232 209 212 92 98 61 181 173 102 18 242 2 23 84 253 23 214 19 247 106 100 130 130 30 203 61 181 222 240 75 137 39 225 46 80 228 10 130 35 174 14 146 34 227 7 244 72 46 104 240 134 31 76 138 246 34 69 142 39 116 9 79 13 150 11 166 140 159 89 253 33 233 13 183 77 130 93 164 200 118 165 3 15 15 90 242 77 25 55 35 220 64 245 134 91 39 193 46 182 117 160 7 247 13 190 227 184 225 244 70 168 227 36 230 93 237 175 139 64 175 56 36 207 8 244 88 68 26 214 110 223 123 96 215 150 149 207 104 249 154 197 196 81 183 141 221 122 30 139 72 227 218 157 123 15 189 183 121 133 200 216 235 21 81 13 224 200 99 242 44 64 143 69 54 124 241 48 247 148 0 72 210 228 126 221 40 34 239 142 46 197 51 76 44 147 195 99 68 235 88 228 141 243 217 14 128 0 64 34 247 175 85 18 197 235 198 84 137 203 194 18 103 135 100 201 76 25 236 232 143 220 235 0 12 187 154 81 254 103 199 83 52 142 234 8 127 73 108 24 226 8 71 160 29 107 207 23 166 56 73 82 9 229 195 15 200 133 99 104 59 94 212 16 112 97 104 20 153 50 40 196 247 182 165 131 55 0 238 126 247 213 229 251 100 66 107 1 98 233 104 142 240 51 208 226 246 24 96 30 137 236 191 155 194 13 128 109 63 124 121 233 65 97 204 52 92 49 118 152 159 32 109 114 123 136 146 111 74 229 144 215 95 204 17 36 200 47 54 47 152 85 184 218 216 68 4 71 61 63 154 136 236 33 157 230 167 142 129 88 111 248 38 71 146 134 104 221 244 247 194 38 214 180 198 102 194 58 242 196 216 97 190 135 198 225 65 52 196 213 110 74 165 51 126 195 117 144 4 248 209 146 233 210 133 112 44 51 219 212 121 101 102 244 70 184 134 116 9 106 158 61 151 191 125 3 32 1 28 122 53 238 54 230 154 44 156 39 199 76 169 220 72 227 18 214 14 85 195 153 82 217 240 223 189 13 67 16 167 150 245 250 109 198 61 165 15 90 59 90 58 86 252 119 26 103 184 40 126 214 144 111 255 5 134 0 78 46 149 30 98 44 150 44 131 15 186 104 140 48 175 125 146 56 114 213 144 31 80 1 232 177 108 107 35 8 228 154 123 239 222 69 242 163 33 189 75 54 142 22 241 159 127 4 71 54 63 107 193 190 243 223 0 13 31 191 147 41 243 227 47 164 58 139 181 99 98 76 68 210 158 184 128 125 50 122 160 199 242 246 207 52 52 184 177 169 236 239 199 1 36 214 235 206 209 26 225 149 196 6 61 243 140 201 186 181 13 160 193 149 141 101 41 114 214 16 137 117 201 150 177 225 244 203 176 65 63 147 81 3 61 150 229 223 209 208 240 230 186 242 154 218 38 0 205 26 188 238 29 45 115 9 193 234 173 103 203 229 43 175 3 52 188 190 186 188 118 188 149 224 42 88 167 239 142 9 230 71 25 28 110 13 199 101 49 165 255 25 95 123 134 32 121 183 169 60 228 81 61 129 227 25 208 235 40 109 132 108 38 61 126 159 254 44 23 244 134 207 9 26 252 178 169 15 131 228 69 26 30 146 142 224 240 230 88 44 232 107 104 28 88 31 141 26 167 239 165 82 129 253 125 76 171 88 174 2 55 100 38 233 146 81 177 89 227 6 26 111 248 122 252 12 217 252 0 65 178 99 79 95 99 142 219 129 171 34 29 193 98 245 179 95 211 163 204 19 120 114 237 176 30 50 165 159 225 175 122 168 134 9 91 251 30 218 126 154 39 85 113 141 134 128 209 208 222 35 185 5 23 248 143 103 72 212 213 29 48 76 216 210 247 29 135 97 32 145 60 13 99 163 189 255 10 23 112 88 70 9 244 204 73 32 80 239 46 234 211 237 18 55 146 216 27 73 163 90 234 172 209 24 225 73 88 139 11 207 142 203 103 127 70 19 12 126 126 185 111 87 211 203 32 154 34 121 157 150 200 60 115 62 151 143 24 108 114 117 152 123 16 83 250 122 250 26 38 180 202 19 253 121 218 46 25 252 36 34 135 213 51 59 26 67 92 69 186 228 225 179 242 190 70 178 142 96 72 248 113 223 52 141 165 205 240 23 145 248 115 117 252 246 217 243 249 60 26 103 56 39 26 21 78 207 156 86 6 195 59 53 253 81 124 39 201 149 113 28 147 22 91 71 3 132 108 226 12 87 60 171 133 51 243 133 210 170 222 153 221 223 77 219 96 248 146 196 146 67 192 198 103 13 121 44 72 60 249 218 112 159 51 165 44 181 95 33 104 193 51 253 137 145 72 64 124 37 34 175 104 0 171 71 1 154 47 213 6 30 122 86 244 92 68 208 38 60 209 239 152 107 73 94 18 145 165 180 100 230 153 99 126 10 150 122 88 70 1 244 88 246 42 108 224 163 1 54 206 78 147 92 28 197 114 71 237 168 232 90 171 72 135 139 125 83 96 100 233 185 15 106 13 179 115 7 24 51 12 103 72 28 119 32 160 249 89 194 157 10 119 24 199 182 190 185 112 56 156 126 73 233 12 7 136 171 141 27 169 60 47 34 43 52 104 71 60 130 24 76 125 225 141 67 45 23 174 220 120 2 103 145 253 181 164 221 253 249 230 141 171 151 46 126 253 245 197 150 165 85 35 74 213 170 235 160 75 248 221 0 148 91 74 229 37 17 89 143 128 252 179 179 215 166 206 89 119 176 229 226 247 55 72 111 181 189 173 132 34 109 157 20 249 250 244 107 51 134 1 122 109 62 161 3 63 28 168 231 121 144 203 34 121 158 132 121 113 4 71 248 66 30 137 166 193 10 222 179 143 102 48 162 202 195 2 26 58 229 222 129 228 199 185 132 120 65 36 67 36 172 127 102 206 131 231 178 197 8 14 215 39 69 148 127 31 50 232 127 93 79 181 22 92 50 80 199 26 18 223 139 200 151 36 246 143 224 8 255 178 72 131 43 52 239 187 254 242 222 123 231 92 176 12 36 121 114 36 169 186 25 106 45 58 26 6 250 180 37 36 174 202 95 228 54 137 183 159 157 112 95 75 186 34 33 186 254 72 41 98 173 101 8 74 28 29 250 154 254 17 224 2 254 51 176 142 114 6 68 147 200 30 18 231 71 116 136 181 160 77 71 228 157 13 33 116 205 101 85 133 170 170 130 159 141 228 154 254 49 225 66 242 160 18 183 65 208 181 177 124 76 226 196 51 12 215 139 145 4 239 188 247 206 59 107 75 40 194 148 32 128 18 95 14 125 77 255 39 141 35 46 85 208 49 107 72 145 102 24 92 31 97 165 106 62 19 122 231 189 103 162 154 10 54 220 189 220 122 252 96 243 250 69 117 53 179 103 205 156 153 169 26 73 146 255 147 198 83 47 85 48 10 80 239 137 236 32 121 225 153 134 104 46 32 212 57 239 60 19 133 42 65 178 237 210 231 199 15 110 91 191 184 174 102 246 172 231 51 153 204 96 64 232 14 250 101 26 79 156 172 96 68 27 24 146 19 178 27 198 220 29 225 241 199 82 181 81 141 243 158 122 248 165 186 154 76 131 140 102 156 84 44 151 105 156 106 5 99 142 222 209 128 83 178 31 134 109 207 56 162 99 250 6 210 123 103 248 97 125 93 77 205 243 213 85 195 123 127 55 208 175 50 120 226 80 37 147 166 85 137 101 45 0 111 77 29 113 2 68 114 82 157 11 216 39 177 172 188 7 126 54 122 212 140 228 42 131 35 15 86 50 230 150 36 112 254 57 26 222 126 214 225 122 177 236 83 231 173 142 144 38 51 165 100 252 215 24 60 117 87 69 156 123 3 228 109 146 151 71 69 206 157 85 231 240 155 196 210 76 88 195 195 131 65 113 48 38 107 36 215 25 28 185 189 34 225 120 147 236 184 77 224 217 200 246 238 95 116 64 189 75 242 35 180 144 78 233 122 199 143 12 158 186 173 178 7 103 25 12 77 101 28 146 182 163 247 128 91 43 42 161 87 20 19 158 152 39 178 139 198 121 87 121 165 145 88 94 191 154 227 131 51 21 127 85 138 121 133 193 16 8 1 48 220 57 234 155 1 71 238 1 183 214 148 144 42 170 1 189 49 13 209 200 114 122 36 23 24 60 81 105 226 80 135 33 241 120 89 133 119 71 178 251 33 16 2 42 139 117 187 98 92 192 62 137 94 167 113 206 7 190 94 177 141 127 153 8 150 184 55 189 178 239 186 204 48 136 248 59 144 100 118 201 104 51 248 206 44 16 2 240 126 201 213 207 212 90 61 53 82 239 152 210 249 170 179 26 60 177 167 210 89 188 181 13 60 84 241 140 127 241 10 140 245 54 4 229 243 3 195 241 6 130 75 30 79 139 229 223 112 206 7 92 238 255 246 149 197 153 117 152 73 112 54 4 154 202 140 214 115 12 158 124 175 210 81 52 223 39 246 141 36 155 199 34 53 239 156 60 119 229 86 219 47 197 137 87 251 3 18 235 109 8 134 153 226 171 54 146 46 121 36 35 12 186 188 15 122 234 199 131 91 173 226 10 239 218 74 4 23 18 37 128 1 67 28 163 12 213 83 27 68 230 35 120 31 208 214 223 123 34 105 41 136 143 120 214 15 160 115 38 53 105 106 43 248 172 15 25 60 245 25 237 232 148 35 222 150 211 237 132 170 146 134 133 189 189 38 38 193 133 4 40 241 127 68 207 61 129 39 151 68 35 12 250 10 170 183 73 235 104 172 86 145 124 66 227 156 193 175 77 179 223 37 49 160 230 123 193 184 144 250 151 114 38 80 175 245 99 159 68 178 248 161 6 195 85 34 178 44 159 4 31 128 143 22 212 228 200 101 3 127 216 27 52 62 224 212 88 37 160 174 57 13 130 193 58 231 189 35 106 68 36 146 19 76 156 51 104 111 154 253 38 201 170 162 94 107 173 142 160 13 51 37 213 19 8 231 112 95 70 37 228 233 91 165 15 9 15 72 36 111 82 89 211 151 204 200 44 20 17 145 213 160 71 94 34 17 121 231 42 113 164 223 143 90 134 196 250 128 253 34 91 9 235 13 191 107 144 88 30 169 25 56 78 179 6 137 119 201 205 49 74 138 220 241 175 52 121 70 53 88 103 19 221 150 234 85 160 179 9 15 73 44 171 84 11 220 31 173 37 61 70 50 74 101 138 136 68 242 147 113 62 97 245 104 24 194 153 91 8 62 224 254 203 34 145 60 4 217 61 70 161 113 235 137 139 63 180 236 89 89 51 171 137 104 22 137 51 84 111 240 74 97 194 12 132 200 53 117 222 153 172 200 251 52 206 37 60 44 177 68 27 25 146 173 3 10 215 7 112 206 176 102 76 48 127 159 52 96 246 236 177 99 103 175 0 208 39 111 74 44 241 244 148 84 15 94 17 137 228 62 137 66 8 218 125 184 192 141 209 8 115 250 94 4 103 240 250 104 96 254 220 125 4 71 94 148 88 34 121 31 129 143 75 9 191 244 11 66 73 85 128 154 152 239 68 228 104 98 29 190 76 231 203 27 155 158 235 23 147 104 234 83 227 125 208 215 228 48 233 109 242 116 131 136 200 76 130 186 100 32 48 63 78 130 39 135 159 107 27 139 84 13 102 119 63 22 105 6 12 121 174 83 1 109 254 252 136 136 72 52 163 93 173 167 126 43 177 68 178 3 100 199 52 17 17 57 166 193 234 151 50 178 156 30 207 37 189 229 231 35 171 164 44 95 190 164 70 100 70 123 18 188 225 167 18 73 36 239 130 37 49 70 177 52 180 194 40 157 243 222 6 50 16 205 18 47 36 61 158 74 36 34 117 57 160 68 131 45 167 63 206 163 245 158 87 101 63 233 45 178 245 177 136 212 229 212 154 199 37 55 151 21 96 141 74 111 245 232 240 71 58 109 199 111 224 177 185 253 193 30 203 188 229 75 23 116 254 183 170 3 6 60 93 85 236 17 75 36 34 241 180 251 106 157 225 105 137 37 146 173 202 128 45 34 105 176 142 55 249 114 138 205 171 203 150 52 12 153 211 47 39 206 225 241 8 44 232 213 53 233 67 34 89 245 16 170 188 149 185 135 224 76 26 242 52 237 136 210 226 118 28 117 174 245 251 104 12 1 160 176 133 164 23 69 228 106 226 2 155 35 17 145 47 213 218 228 163 158 239 88 125 126 91 166 248 136 179 234 156 211 181 219 72 31 244 87 137 36 150 229 68 0 231 117 165 152 238 111 42 167 104 220 75 156 51 29 211 163 97 77 108 17 105 252 13 36 193 131 11 23 52 214 215 205 153 89 61 173 248 243 130 78 88 235 91 168 80 54 139 68 210 240 13 141 193 165 94 251 35 177 252 27 214 153 180 242 99 244 17 104 121 39 205 68 254 22 46 116 134 203 196 145 20 166 87 36 139 47 65 149 185 198 161 129 190 14 193 7 174 138 135 205 221 107 128 53 34 18 75 237 5 101 8 129 76 49 223 45 34 178 20 160 97 91 209 79 218 144 133 97 251 167 235 94 92 119 149 198 123 239 13 95 140 228 109 4 167 119 210 7 230 232 61 62 233 241 150 183 104 186 50 168 230 170 113 206 225 40 225 131 222 146 40 150 154 227 100 72 138 185 0 145 252 221 160 28 55 172 208 224 168 11 134 51 222 249 45 55 243 32 17 188 247 142 10 77 247 3 9 158 93 19 199 210 120 49 53 185 34 217 78 48 4 226 156 136 236 162 49 204 174 40 35 23 46 33 56 195 61 34 34 75 58 192 192 95 37 22 145 248 77 6 167 188 94 184 107 225 35 166 193 11 153 227 48 12 129 216 39 18 203 172 37 47 13 18 244 27 137 119 195 206 22 139 165 190 13 48 23 69 34 217 8 48 144 65 115 8 105 21 176 169 11 126 4 169 184 88 20 39 187 105 76 254 176 196 34 145 220 132 243 62 96 155 196 66 245 38 213 95 226 189 176 222 162 57 234 254 150 255 194 37 133 76 132 168 154 106 161 142 132 11 122 77 68 234 118 17 76 52 251 247 162 100 223 7 160 28 163 231 233 157 249 113 88 35 206 167 53 88 10 161 30 161 176 243 95 240 69 84 31 212 68 33 34 82 211 14 13 129 22 152 43 245 89 67 178 76 253 134 72 142 49 120 195 119 68 166 206 255 129 134 192 55 5 82 181 37 174 96 178 71 242 66 43 19 162 90 34 89 248 20 12 164 69 86 68 26 91 168 131 202 121 153 34 171 17 188 225 156 97 130 62 251 20 77 32 154 68 226 207 73 3 62 254 3 57 67 79 110 153 57 247 99 18 4 218 230 139 136 200 140 76 237 146 71 36 31 23 34 104 235 76 226 156 75 126 20 145 3 106 139 202 197 3 56 111 216 35 240 235 22 156 225 130 194 26 114 62 177 166 227 33 19 134 128 235 82 251 214 13 130 68 46 45 184 52 45 51 187 246 67 130 120 189 140 8 95 138 224 203 235 11 21 183 122 152 66 56 143 165 170 2 208 224 60 249 219 221 203 71 211 164 1 220 17 145 53 4 129 142 28 249 182 108 134 49 204 149 117 93 47 163 113 100 211 204 134 15 65 67 99 218 210 228 153 170 204 7 80 5 174 73 20 75 102 27 18 6 156 144 88 14 3 4 127 255 29 217 26 153 219 14 48 224 155 65 129 126 6 206 225 198 48 149 244 99 76 232 172 158 21 169 205 25 210 92 172 22 137 243 137 35 127 7 212 144 36 46 157 62 211 122 233 214 195 180 64 83 87 224 101 6 137 115 222 176 49 142 230 144 62 73 13 210 104 43 172 15 232 145 11 123 72 67 40 186 208 54 130 9 235 229 18 24 20 96 42 94 249 228 212 153 179 95 255 120 15 36 104 12 30 204 44 183 108 127 75 239 6 242 238 14 212 190 34 172 119 206 42 115 237 45 251 155 15 158 123 136 196 83 255 46 242 63 121 165 117 73 78 100 234 41 24 131 108 202 133 199 65 224 215 178 170 83 53 19 71 230 160 41 169 248 195 233 51 95 124 219 69 170 147 18 139 52 51 161 115 73 126 186 200 143 160 49 55 230 139 136 60 127 31 38 120 151 152 67 165 202 70 52 16 232 164 15 104 24 30 1 102 128 214 251 4 145 172 35 140 185 91 21 73 28 103 225 210 160 158 160 189 3 27 217 185 123 80 213 1 58 31 116 155 136 180 36 54 112 71 250 197 217 196 121 211 189 192 71 20 229 225 145 239 210 191 3 143 202 186 194 243 53 152 94 193 147 48 39 203 105 213 81 157 210 155 97 39 37 189 9 245 62 48 87 76 221 60 65 23 240 154 200 13 13 222 27 108 142 171 179 32 176 69 34 145 88 190 78 104 88 214 242 138 226 251 106 251 34 149 50 173 9 89 67 181 222 145 53 50 187 3 64 46 221 247 169 74 117 138 4 37 234 73 213 138 134 233 253 195 62 101 11 172 195 157 97 142 127 250 83 122 79 44 145 67 36 10 86 217 110 6 215 107 8 232 44 205 85 48 150 254 26 221 36 85 29 238 137 252 101 33 233 80 80 46 86 51 248 208 51 111 230 158 58 114 117 225 159 71 106 249 91 36 191 107 185 0 81 16 224 253 190 182 207 214 194 58 228 134 171 185 158 167 245 1 191 116 93 216 7 71 52 138 180 170 247 22 95 201 28 144 60 87 80 231 47 50 4 244 225 74 109 86 246 38 85 74 45 165 22 124 113 164 247 68 147 172 32 137 3 133 158 117 8 222 123 162 43 92 255 47 245 32 76 255 76 60 229 8 156 211 143 135 169 197 77 207 83 3 246 72 43 128 155 34 145 72 92 77 245 228 251 187 119 239 222 189 251 189 29 219 222 221 242 198 234 215 230 55 206 202 100 222 161 18 71 59 167 98 43 72 90 98 129 136 156 135 11 92 150 98 241 80 157 231 127 187 77 216 120 31 131 43 238 66 124 132 144 228 99 185 64 71 28 223 189 123 247 238 93 239 237 220 222 220 180 105 253 138 87 231 190 144 121 174 186 122 198 180 62 125 38 39 224 237 112 19 234 163 93 128 134 110 110 220 118 56 62 22 145 86 245 14 237 178 8 0 150 21 165 64 176 250 77 217 15 138 103 145 158 220 211 69 170 141 171 151 47 108 156 149 201 84 95 129 35 54 20 65 183 184 41 7 1 176 177 243 65 117 8 222 83 87 21 9 21 69 6 206 2 253 166 5 76 185 64 111 57 220 73 191 137 100 210 38 151 8 236 43 188 255 74 226 202 21 151 139 119 32 33 62 233 252 200 127 144 164 134 100 191 72 188 130 193 37 5 125 228 85 6 79 93 219 93 195 125 2 207 206 133 104 5 73 46 147 90 99 108 114 101 176 159 155 165 231 211 97 206 243 122 26 50 41 217 1 140 228 137 177 216 37 34 160 39 27 214 211 160 125 102 250 123 188 133 198 37 217 62 132 238 69 88 234 107 101 12 162 217 52 174 144 180 27 45 64 112 64 213 73 26 158 233 114 66 212 34 248 144 124 88 252 138 232 185 156 90 239 181 255 181 107 202 109 122 182 15 215 41 99 72 162 250 6 128 206 208 152 151 148 22 189 87 212 184 137 8 40 38 146 52 147 164 58 114 106 36 114 25 142 172 75 53 243 135 234 188 222 237 214 61 186 174 206 22 228 90 52 139 134 56 38 169 222 80 59 216 239 5 189 230 134 57 230 135 32 77 71 117 201 23 30 163 163 214 69 241 126 181 1 31 55 3 232 202 236 191 11 111 251 168 208 18 215 147 150 143 190 40 35 5 126 86 71 45 4 109 180 192 147 139 206 1 108 46 153 59 23 225 28 30 118 229 23 45 201 147 222 59 189 208 191 120 127 72 175 195 50 88 35 89 159 7 137 53 55 0 22 253 67 237 198 41 103 196 189 87 83 216 36 63 163 240 213 155 9 66 73 44 22 137 215 50 20 247 15 27 17 60 209 125 242 47 166 241 100 193 25 127 25 196 13 145 37 8 212 65 39 143 102 72 135 7 195 243 74 92 3 201 210 218 168 177 24 88 28 17 145 7 198 225 218 86 130 187 138 56 174 101 240 1 101 137 39 235 179 9 213 144 189 227 98 94 98 112 201 217 244 190 6 210 226 124 43 193 101 37 194 101 30 233 141 206 41 126 194 65 128 244 206 176 255 253 235 41 185 224 244 242 176 198 223 10 163 106 174 94 135 201 118 30 12 22 213 43 131 246 22 238 243 153 120 178 190 240 223 58 26 222 123 74 151 180 138 136 92 129 99 231 52 105 83 231 240 93 183 215 76 253 47 92 232 204 43 217 11 226 55 137 162 44 188 185 51 104 255 113 13 232 42 138 237 239 187 93 128 33 209 173 228 202 21 58 178 58 142 247 192 146 251 96 58 215 98 17 145 83 234 124 96 111 63 238 194 150 91 79 96 148 220 187 112 78 239 97 220 81 71 45 196 197 157 128 69 238 44 193 249 165 247 253 98 92 224 198 226 4 74 107 66 121 135 150 1 76 182 187 28 14 232 145 204 187 151 250 161 110 192 252 218 37 236 190 52 14 247 162 158 140 254 60 225 136 213 93 92 143 91 235 53 40 103 70 18 173 101 176 157 78 215 26 24 79 204 239 214 247 29 88 79 78 143 68 36 94 6 131 124 77 36 47 168 161 206 27 252 87 131 78 47 13 99 154 47 108 135 33 185 189 244 234 70 53 212 21 34 146 133 213 27 48 40 85 72 62 131 115 86 223 239 14 235 218 175 179 132 97 94 157 102 203 187 127 130 67 26 244 28 207 37 3 47 2 221 109 235 21 8 14 55 58 57 127 245 35 0 219 16 188 45 178 85 159 138 156 122 189 58 116 204 63 165 33 233 104 96 238 118 237 4 213 144 189 109 255 56 250 61 113 1 199 10 83 117 61 192 111 133 12 120 71 68 228 58 28 89 149 254 244 149 113 61 146 148 227 12 213 7 93 147 238 65 230 76 90 171 224 180 113 230 251 33 124 118 150 78 239 13 157 205 207 2 84 38 165 145 208 113 13 149 56 38 113 124 24 150 134 232 94 207 177 69 157 119 184 86 66 183 197 159 255 6 26 226 224 50 50 176 220 196 141 219 212 177 51 77 242 76 98 213 160 231 62 194 99 227 76 65 79 143 229 36 192 59 47 54 193 121 230 6 16 126 83 142 36 190 239 148 231 129 166 252 59 237 36 161 33 40 77 71 73 93 130 215 97 241 160 71 250 114 36 151 18 235 147 71 133 203 155 8 180 202 70 4 101 28 73 188 140 161 115 167 51 126 158 234 137 238 179 117 95 66 91 96 116 249 150 228 78 17 169 162 82 135 178 203 116 2 62 121 60 212 105 190 237 55 164 202 231 115 37 152 79 205 154 96 110 74 36 242 216 56 37 208 189 174 96 19 172 243 37 129 16 239 95 39 9 156 91 45 242 58 2 202 170 245 117 38 56 28 79 31 191 136 180 36 122 76 142 205 26 2 183 167 228 92 126 15 6 39 69 78 170 47 250 58 250 6 125 13 66 24 146 115 42 146 215 175 1 192 221 60 189 99 247 130 189 173 180 92 211 179 195 78 13 158 40 108 134 108 35 112 76 166 26 6 179 92 68 228 170 58 118 58 195 119 194 57 211 45 214 61 202 128 26 244 13 17 17 249 16 196 137 212 177 22 248 199 80 172 205 149 8 33 63 148 173 228 72 214 254 132 20 243 210 152 147 72 126 74 136 199 18 139 180 192 250 160 221 194 151 11 70 182 115 184 151 170 110 31 253 65 67 240 112 131 196 34 45 198 242 237 114 131 184 174 158 172 75 127 185 148 56 23 128 229 221 62 57 122 106 60 218 83 238 59 78 24 190 41 177 60 162 183 220 52 160 239 253 145 113 67 136 168 142 101 249 5 130 6 7 223 83 235 188 178 177 251 24 153 235 97 130 68 245 164 119 230 243 148 72 7 0 188 47 178 26 1 15 36 150 120 65 23 163 203 116 210 19 179 163 210 151 157 3 85 153 137 68 226 141 232 244 102 190 13 151 52 13 133 93 171 72 55 132 186 38 177 172 184 12 67 26 117 206 156 47 197 252 27 67 60 206 136 196 207 61 53 206 135 222 193 25 71 52 120 111 113 94 68 142 18 48 184 191 179 224 33 239 235 168 224 217 106 156 73 21 178 232 13 4 239 13 55 119 159 166 59 16 200 134 72 34 217 148 5 112 177 78 68 106 73 207 142 129 55 92 222 209 96 114 131 30 254 154 139 4 13 46 205 175 37 189 55 186 186 244 231 70 80 127 238 53 115 141 115 9 167 197 105 237 20 195 205 34 146 165 77 51 225 191 135 99 103 41 235 249 26 188 185 222 77 165 185 105 168 33 57 40 34 113 67 222 224 70 74 175 115 12 248 191 67 10 131 104 210 0 12 154 213 55 94 34 8 92 2 189 114 122 137 87 230 107 16 143 166 138 136 92 130 243 182 92 205 148 219 112 206 147 199 247 1 0 238 188 211 101 150 81 203 58 193 47 26 199 206 226 124 237 112 190 232 185 46 10 63 210 233 55 18 201 130 115 128 73 51 22 226 213 176 14 237 3 131 46 183 96 7 48 230 123 181 205 183 9 26 100 155 69 206 195 57 211 163 110 197 43 26 112 176 183 72 245 142 167 68 36 170 190 10 100 151 136 200 18 4 125 36 177 72 6 116 248 180 83 235 49 190 116 169 142 165 25 134 106 13 102 68 18 73 187 49 109 5 141 241 49 149 67 170 66 18 205 120 96 44 62 27 4 234 177 72 211 29 128 6 15 154 90 140 179 216 81 66 253 43 32 239 74 36 18 191 198 224 93 210 94 102 195 124 62 141 119 206 144 52 108 47 81 251 23 35 232 209 184 140 107 86 233 76 193 194 56 168 193 91 244 44 96 118 80 109 96 149 44 56 9 144 223 21 130 40 14 36 206 233 193 120 64 208 163 122 26 229 254 138 87 53 105 220 71 128 196 31 31 72 36 43 148 222 162 71 114 247 114 4 174 239 209 177 205 120 207 167 18 165 129 33 55 102 198 34 242 165 177 220 20 139 200 151 112 228 252 168 176 205 72 135 108 23 30 47 156 7 201 116 69 140 229 42 240 176 112 212 234 84 16 189 28 200 21 166 89 213 48 73 56 136 179 159 22 28 36 12 129 142 195 82 175 116 200 79 43 118 253 219 29 24 92 78 9 144 110 13 206 43 247 216 102 210 59 79 226 143 110 236 240 58 2 155 122 14 33 18 57 102 28 181 182 96 24 208 187 228 126 119 18 199 213 164 231 163 55 206 193 208 96 111 231 72 174 177 188 19 168 23 167 203 82 26 195 131 149 141 126 230 134 203 84 146 200 125 34 34 177 100 141 115 73 71 15 234 45 211 128 37 221 25 101 9 232 29 30 199 145 108 3 208 42 113 186 202 39 233 194 146 99 49 75 49 254 187 6 107 94 47 18 160 137 48 0 157 227 91 34 114 14 166 163 177 240 178 169 164 246 244 160 47 91 86 33 138 203 104 136 247 43 136 98 141 68 102 191 113 149 74 38 204 29 23 145 195 112 214 116 25 225 243 242 48 56 155 18 224 176 90 79 54 245 101 232 89 239 60 77 157 244 48 181 187 91 119 177 204 92 223 40 179 72 111 238 166 87 206 37 214 25 188 220 99 38 125 168 214 219 4 134 224 229 170 18 101 197 39 247 42 2 93 150 60 1 240 93 253 0 229 164 68 106 86 181 82 149 52 154 61 94 112 141 105 112 6 139 123 124 208 98 237 86 178 54 150 217 123 105 232 157 254 36 245 55 1 238 78 223 180 13 22 199 34 17 57 161 150 92 90 120 123 51 156 62 73 253 58 177 52 94 3 193 235 112 62 32 142 228 56 77 174 177 248 178 60 21 113 41 58 203 111 1 47 87 172 193 131 56 87 219 63 179 71 34 47 172 62 79 53 36 152 61 218 169 4 226 81 193 239 20 203 58 24 20 150 178 120 198 147 196 245 145 137 18 203 155 4 173 115 78 115 221 78 94 89 132 110 229 107 34 153 245 62 121 79 154 97 11 142 142 120 13 131 15 189 121 146 244 222 187 0 182 191 217 181 221 178 70 173 211 99 81 69 160 203 236 118 16 220 63 167 31 192 167 53 190 125 165 128 56 219 10 22 73 212 72 250 192 147 61 223 50 157 196 233 146 245 224 40 64 13 222 25 115 134 192 111 157 155 191 15 105 254 72 25 29 222 220 46 26 209 234 210 33 198 50 251 40 13 153 93 156 165 247 204 79 147 51 196 31 37 53 175 223 3 217 229 16 122 126 99 59 193 199 21 219 237 179 219 105 192 221 179 250 1 124 234 220 166 107 233 121 100 224 221 116 33 142 150 104 40 154 163 145 124 72 48 183 182 64 163 27 232 51 194 54 243 5 148 106 156 243 193 204 235 225 29 196 231 37 164 250 152 48 60 47 164 67 110 154 136 196 242 107 226 202 232 92 123 212 122 239 76 42 112 139 237 3 184 80 65 77 195 41 157 158 53 0 6 45 243 203 246 152 221 176 241 60 53 33 67 0 115 87 22 23 167 214 197 196 57 148 113 237 236 5 242 179 211 5 182 182 233 30 13 1 22 130 70 249 67 129 185 226 165 160 254 32 34 209 86 218 208 181 141 122 154 193 72 36 145 60 191 29 32 248 165 52 128 206 243 233 203 237 192 227 18 75 46 154 5 154 66 213 194 153 139 79 19 196 224 14 149 254 12 32 112 106 94 166 247 20 23 153 221 184 233 171 116 204 76 52 119 105 94 167 72 216 159 56 164 230 104 36 53 63 211 160 184 163 190 146 193 119 9 172 110 211 103 161 49 4 111 24 227 93 79 199 248 46 226 143 194 196 171 221 114 15 32 243 123 101 37 66 167 181 253 137 90 111 208 171 78 223 199 176 214 104 190 199 222 220 47 244 93 112 20 41 53 173 58 147 153 89 93 213 117 177 88 148 96 230 29 16 0 127 120 175 177 110 86 102 154 136 68 85 207 213 212 213 47 217 115 14 212 132 100 8 80 243 239 189 37 161 9 91 17 188 193 75 81 111 193 144 53 134 219 27 235 87 158 0 13 9 124 79 122 231 93 64 199 214 98 247 15 16 184 80 36 150 14 184 146 147 143 118 24 237 16 153 86 187 151 36 208 177 74 100 181 90 239 157 194 48 219 61 230 127 29 13 206 47 168 111 220 125 21 0 13 114 59 6 167 197 215 253 146 134 167 92 218 222 88 251 124 245 84 17 137 171 158 171 169 171 95 186 247 60 8 144 33 80 153 191 183 171 100 204 151 233 184 47 22 17 153 241 62 13 241 143 78 226 78 99 226 44 78 148 19 25 135 104 148 102 143 172 70 240 174 103 106 244 175 6 120 175 161 126 249 241 167 105 4 253 141 153 177 220 165 79 158 78 139 68 162 26 210 7 238 234 165 175 190 4 48 215 51 3 184 145 193 233 167 145 136 200 244 217 117 245 75 183 30 62 115 169 141 4 152 158 29 121 241 208 203 51 36 42 1 61 146 121 109 160 33 13 208 117 91 154 72 203 96 3 148 79 178 31 148 170 199 177 80 189 45 91 26 61 206 228 73 67 213 52 232 39 187 72 30 24 239 44 248 107 119 193 246 171 164 14 133 146 56 150 168 30 0 255 69 5 21 169 89 181 156 198 57 155 16 87 122 174 192 71 96 8 104 66 42 152 63 62 248 100 196 37 255 74 103 101 122 136 40 8 82 161 80 146 105 114 117 62 123 160 123 0 78 190 224 119 154 241 58 96 208 94 23 117 18 227 172 58 111 202 69 216 70 63 131 134 15 254 22 73 61 232 144 143 122 168 225 121 22 118 152 73 224 63 75 36 146 249 160 43 156 162 122 19 206 150 139 116 141 171 118 190 209 75 31 217 1 27 248 82 205 252 93 173 191 147 165 103 70 150 180 229 18 245 168 46 117 234 143 98 16 91 26 179 21 130 117 129 80 154 142 159 155 122 134 31 157 73 66 192 175 229 149 128 170 54 64 67 8 80 252 60 95 98 217 198 36 97 199 230 174 239 140 87 42 83 53 238 154 118 15 132 216 11 40 73 219 149 190 177 203 0 48 143 150 247 140 247 139 100 187 129 33 173 81 226 224 208 242 79 167 159 201 155 30 228 177 214 6 38 74 211 113 107 115 175 251 111 80 179 50 99 230 81 18 196 150 174 119 54 82 131 41 87 160 185 33 15 130 45 34 81 253 191 97 240 164 167 210 17 85 221 5 148 33 36 106 238 166 133 230 79 194 153 180 190 204 126 134 0 188 84 46 186 83 226 231 22 206 158 81 66 145 169 114 89 189 130 221 14 69 5 10 7 40 178 192 199 60 40 113 143 58 114 241 244 131 237 165 160 23 58 126 221 60 61 250 63 61 95 187 130 4 239 247 73 205 77 134 0 241 201 204 191 138 136 200 177 158 39 0 127 164 132 136 68 85 121 245 69 181 79 68 68 182 67 73 130 60 91 188 180 97 79 14 52 101 206 21 153 126 5 4 113 115 24 217 151 209 204 67 247 203 112 197 249 119 203 206 162 237 134 0 12 9 236 46 37 28 72 150 41 6 254 215 102 104 80 108 16 89 243 187 33 81 214 158 218 144 202 152 79 103 165 164 170 3 29 110 138 136 200 239 36 249 106 89 53 243 149 118 67 240 35 17 145 191 136 52 238 255 25 166 43 20 21 4 96 110 93 60 115 252 240 158 109 77 155 54 174 91 179 177 105 219 158 3 71 219 8 188 95 174 32 240 244 234 218 13 251 79 157 187 124 229 135 203 231 78 236 95 87 83 93 85 222 6 104 6 47 205 232 179 18 112 44 83 51 243 107 138 169 93 145 76 155 214 29 177 71 76 174 139 136 28 164 11 58 191 187 165 250 79 144 95 16 157 50 63 122 238 17 52 132 96 138 90 96 169 98 92 223 152 169 26 238 217 214 211 171 235 222 216 127 234 220 119 87 126 184 124 238 248 190 181 179 51 51 162 242 143 140 229 116 26 194 157 123 125 106 233 164 168 6 241 90 85 175 105 18 125 192 196 145 171 222 187 245 4 0 30 189 90 238 164 204 88 166 85 207 159 147 41 70 187 188 163 54 20 60 60 228 131 198 169 101 49 191 109 72 75 224 23 145 183 46 230 158 164 18 58 4 2 79 91 119 46 125 46 51 163 143 82 111 87 128 133 21 29 198 87 190 189 178 121 94 255 164 142 251 75 225 93 10 234 65 17 153 78 245 52 189 182 68 102 172 36 208 169 182 101 242 133 42 161 196 23 131 249 194 65 237 38 84 122 99 92 223 114 247 147 149 51 123 116 169 122 107 227 140 114 233 74 79 225 130 26 144 198 240 187 198 126 78 140 40 33 101 214 120 252 150 106 215 111 45 234 163 203 157 148 34 4 126 55 96 122 232 49 213 233 237 105 253 59 166 163 53 192 39 83 100 140 218 126 16 233 230 76 176 201 166 222 154 224 19 160 120 46 78 3 12 158 238 92 180 234 39 86 92 254 107 180 91 133 130 101 9 12 148 32 113 123 99 133 135 197 70 175 145 14 255 136 251 127 17 192 7 103 31 21 211 58 200 79 87 84 145 14 199 6 122 252 34 242 238 152 129 126 25 230 170 136 200 119 198 17 179 123 241 72 14 232 218 150 136 182 125 179 64 68 68 190 165 225 75 145 140 155 22 203 139 203 150 52 190 56 111 94 125 166 114 97 242 73 226 152 27 104 198 29 254 61 255 132 5 69 228 199 247 231 215 136 72 147 218 192 153 3 125 209 65 176 99 172 64 143 73 30 17 137 103 81 61 91 123 209 234 1 112 190 52 164 188 243 58 84 79 203 120 106 209 160 181 141 12 233 244 70 127 119 60 255 225 141 14 34 181 52 191 167 38 87 59 125 244 14 3 167 0 220 6 175 141 21 232 27 65 190 84 152 158 152 219 19 243 59 196 227 105 229 136 117 151 44 36 173 78 212 22 53 169 181 236 227 152 191 72 228 181 51 119 88 112 45 252 184 99 81 181 144 68 93 193 27 111 7 60 117 55 222 77 114 251 88 129 126 148 188 43 34 242 152 190 231 166 120 36 55 12 251 56 46 253 42 236 8 28 92 243 167 110 23 140 215 255 244 129 248 250 115 15 10 230 98 238 200 255 204 22 137 69 190 160 51 159 138 72 188 3 118 192 19 221 227 153 79 96 46 201 88 129 254 3 121 86 36 174 83 186 30 229 29 35 249 9 224 226 242 51 253 130 58 222 154 208 152 215 145 78 91 203 169 247 111 182 230 0 67 144 23 155 23 20 85 132 99 116 68 36 34 151 147 66 2 65 127 107 205 191 129 108 38 26 43 208 73 110 141 68 222 75 92 64 183 34 99 81 230 23 99 176 190 47 54 80 55 112 8 216 184 110 187 97 3 123 173 119 178 177 53 15 144 6 108 121 179 155 82 248 9 29 89 45 50 139 33 96 227 0 38 244 13 34 91 27 143 21 167 55 50 53 216 12 189 118 207 193 105 204 2 220 218 151 170 123 39 241 250 245 132 6 253 170 241 166 167 107 123 229 39 185 212 183 250 228 147 117 61 239 239 96 170 235 31 135 27 240 24 204 235 196 173 153 177 140 21 232 111 144 119 69 162 6 165 195 71 165 242 103 29 97 250 41 69 221 65 151 28 156 200 152 255 141 193 225 108 233 149 5 255 120 144 250 206 115 159 174 233 101 247 165 133 116 143 137 200 93 88 29 224 132 173 239 201 207 37 150 49 3 125 119 90 59 103 43 92 48 153 18 249 243 33 96 208 103 88 115 252 142 218 128 181 19 88 123 143 223 131 181 197 163 178 34 201 108 253 190 224 74 111 125 163 172 165 191 72 173 213 37 18 175 164 37 7 8 32 185 202 66 78 243 24 129 126 24 56 38 34 119 232 19 51 173 120 117 206 101 18 88 221 183 23 227 22 28 49 145 25 93 190 76 58 15 43 142 69 150 183 144 160 33 46 239 236 203 220 191 64 175 156 25 201 101 184 228 194 64 158 162 206 135 140 17 232 123 129 253 34 245 160 211 175 138 223 180 142 134 204 246 115 124 193 212 167 116 201 209 9 13 58 67 90 68 49 150 154 45 247 211 240 134 182 227 51 251 82 113 162 26 165 55 95 137 8 67 192 219 149 250 252 198 8 244 119 137 163 34 171 97 45 58 75 164 206 252 140 198 240 98 127 222 202 86 117 101 227 145 38 142 116 127 11 214 234 206 72 100 193 177 194 254 232 119 171 251 235 112 8 46 104 163 200 137 65 137 192 49 2 189 14 252 82 228 83 245 236 204 41 219 68 16 232 215 241 50 181 195 120 92 153 208 140 254 41 92 192 84 89 122 37 13 125 120 240 73 191 94 220 120 14 233 240 40 22 201 38 86 15 252 217 65 151 219 224 92 1 29 30 139 68 82 245 234 35 208 48 187 168 223 37 233 91 184 160 75 39 180 19 246 134 122 222 89 158 75 171 226 181 109 29 232 246 227 176 1 175 74 188 161 2 53 110 236 65 143 87 3 216 162 116 218 42 153 218 109 36 104 208 218 255 222 196 75 70 125 114 115 66 51 186 48 56 165 146 134 230 214 188 1 183 106 230 43 157 102 99 145 54 12 232 141 251 51 112 186 236 37 104 24 120 241 30 9 210 48 183 184 255 105 18 61 77 28 203 167 12 77 148 22 189 205 160 202 96 52 127 97 224 221 185 72 254 31 156 49 127 147 248 37 6 114 101 252 231 7 93 150 154 210 226 142 79 7 56 39 42 146 253 8 22 31 78 100 200 37 106 161 146 128 169 140 107 155 17 44 207 139 200 77 56 243 64 198 1 167 139 200 157 52 68 154 32 54 13 120 243 139 80 175 168 158 192 160 203 166 60 53 16 21 158 61 24 207 7 29 114 34 34 121 6 188 57 78 64 7 157 254 254 69 203 222 87 50 241 64 97 37 81 53 141 235 86 194 107 194 181 198 44 149 74 125 80 105 140 205 35 56 229 220 88 162 47 212 145 81 52 46 64 111 32 29 174 138 84 16 91 18 203 21 216 128 109 19 22 241 88 174 83 67 80 13 90 233 105 244 103 17 130 30 23 137 228 15 216 100 187 140 15 78 95 142 224 80 161 127 237 35 165 77 174 75 60 81 33 63 248 7 140 165 26 235 244 68 101 125 14 146 22 183 69 210 29 117 214 68 227 2 244 120 19 172 211 173 21 221 187 129 116 106 170 38 42 159 215 252 202 196 49 225 9 88 167 251 42 129 47 218 76 227 144 149 88 226 8 168 32 8 246 207 194 233 59 18 103 203 102 111 244 86 244 105 28 186 199 90 76 36 165 253 8 19 27 20 103 231 236 83 103 81 73 233 164 120 25 141 75 204 11 145 136 236 161 37 234 163 113 2 250 126 117 150 47 86 64 149 249 132 51 61 10 72 78 156 54 227 166 170 35 184 66 226 143 224 108 37 165 110 163 185 121 88 195 101 34 18 77 39 122 108 192 255 169 65 255 88 189 173 96 147 32 106 204 39 206 112 185 76 76 183 204 198 124 18 172 65 75 149 136 156 84 103 241 63 3 243 249 172 92 98 77 161 170 207 174 100 208 140 62 150 160 31 171 8 244 168 254 49 138 35 156 120 26 220 71 52 206 2 105 9 145 211 112 129 43 6 164 72 245 111 176 38 45 109 19 85 83 157 25 108 0 217 24 130 126 88 189 229 128 100 121 241 97 210 57 194 9 136 249 121 208 81 239 214 166 118 201 113 56 171 3 113 122 60 253 63 176 134 5 243 117 47 44 81 59 126 64 223 171 206 178 102 32 62 127 144 216 180 208 224 4 84 225 166 254 160 244 134 45 157 166 232 97 56 171 107 6 232 148 121 160 214 112 107 225 31 170 51 23 100 252 128 190 45 113 150 253 171 103 209 188 199 8 134 27 38 38 159 87 223 78 130 55 60 208 197 6 176 182 180 214 84 185 78 117 29 26 76 177 250 235 135 137 51 168 25 63 160 199 27 213 58 246 175 171 46 202 131 9 86 76 72 21 46 170 186 129 224 76 105 26 238 6 88 171 239 245 187 30 44 0 104 58 43 207 197 117 44 137 55 27 23 156 190 20 193 245 159 163 180 145 9 53 59 49 115 215 34 185 146 4 103 186 205 250 186 1 124 148 145 172 70 194 228 113 81 60 254 211 56 51 248 26 183 99 9 122 45 233 244 219 126 102 245 126 130 184 49 117 130 238 160 255 83 131 51 220 212 109 116 12 229 82 154 186 48 223 70 67 220 45 22 51 90 168 116 60 35 227 137 211 37 79 159 60 232 115 132 51 191 37 13 207 79 80 243 92 222 83 122 195 166 238 187 9 215 224 249 175 62 187 84 181 210 144 151 186 40 114 37 113 73 126 8 27 18 99 9 250 17 117 204 247 197 230 243 1 2 251 38 232 30 75 92 203 196 179 68 135 75 219 9 184 208 71 172 91 36 175 208 208 224 72 23 69 214 43 45 15 68 227 138 211 163 5 164 67 185 58 213 177 84 159 32 136 1 34 168 198 115 187 153 56 91 172 15 90 108 207 195 216 194 17 30 61 33 175 250 128 6 200 189 90 114 137 234 145 29 202 203 199 146 211 165 69 45 114 82 166 122 247 114 144 6 215 227 9 27 16 215 172 193 39 143 122 47 93 39 97 211 10 248 61 217 224 53 32 45 37 213 213 14 168 13 28 82 142 215 88 130 30 213 0 65 143 118 31 122 44 113 99 14 134 120 178 69 38 110 90 195 191 225 88 182 220 196 67 132 158 5 86 34 137 26 218 64 195 252 238 210 122 157 141 44 86 155 27 87 156 30 55 50 49 232 158 194 49 109 121 158 164 225 221 25 19 55 238 53 218 162 214 150 45 158 19 53 2 228 246 110 124 48 117 217 111 36 193 182 82 38 136 228 235 196 154 161 29 108 49 182 160 139 188 76 146 37 5 202 231 156 41 84 60 92 36 19 185 253 162 142 125 156 89 191 8 32 78 119 225 251 220 169 180 246 248 31 175 255 181 219 125 239 34 216 194 81 125 227 12 244 72 234 9 131 39 95 109 105 204 52 110 56 218 254 135 73 235 242 110 159 58 129 69 187 164 39 89 244 5 88 35 1 230 47 55 53 102 26 214 127 212 222 81 168 49 179 183 135 220 155 10 227 112 111 136 84 26 99 78 143 101 230 143 128 73 11 109 119 86 176 109 206 200 196 110 175 209 6 125 181 175 229 107 218 121 210 0 105 49 238 244 132 129 237 189 170 81 126 161 150 92 38 227 145 211 69 68 164 225 58 186 146 30 240 207 198 233 19 155 203 69 228 176 58 62 233 71 252 205 253 174 200 3 134 56 55 191 23 228 209 54 6 139 86 25 183 160 199 34 47 190 126 226 22 193 155 45 111 53 76 116 38 23 17 145 243 240 3 4 189 214 45 59 254 19 136 155 45 91 202 81 36 170 134 113 201 131 33 59 43 167 252 185 200 17 253 111 192 92 174 195 14 144 145 18 247 79 145 75 234 56 112 136 205 120 1 253 127 71 187 10 171 195 217 47 62 194 16 112 66 38 65 31 79 237 115 4 93 54 228 222 241 74 26 151 220 30 134 230 51 9 250 24 180 35 8 186 106 232 43 224 99 56 195 198 104 146 211 199 153 201 54 184 44 211 94 26 1 217 60 156 247 79 130 62 22 45 31 244 216 80 251 158 102 8 67 117 197 77 130 62 134 237 30 248 159 33 118 221 78 99 147 107 195 51 115 38 65 31 11 215 196 199 202 94 7 212 86 182 160 175 162 113 230 247 154 104 146 211 199 95 131 193 7 67 233 55 15 137 51 156 59 76 151 229 36 232 99 210 190 4 49 4 118 125 137 112 201 48 188 50 147 160 143 101 203 16 104 25 116 175 90 194 41 55 201 36 232 227 179 29 101 183 35 230 43 197 220 42 119 202 36 232 227 181 221 162 193 243 131 18 240 141 76 172 114 183 76 130 62 94 91 148 129 193 173 65 28 252 40 243 153 88 112 151 76 130 62 142 81 95 67 152 155 149 218 219 145 172 83 181 192 38 153 4 125 92 183 102 194 220 173 244 230 3 160 213 252 18 153 4 125 220 163 78 230 254 86 1 175 71 85 183 192 128 220 72 69 152 76 130 62 118 2 94 214 193 0 123 6 190 115 35 53 168 222 30 177 55 79 130 62 118 45 150 185 52 3 170 115 177 92 37 104 120 112 228 66 7 39 65 31 211 150 249 209 24 62 61 213 159 56 104 201 147 212 92 253 8 134 139 78 130 62 198 204 254 62 0 62 58 209 87 21 224 150 199 48 76 120 96 198 72 190 117 18 244 177 70 125 193 93 210 176 227 187 53 189 131 32 55 124 247 20 134 6 231 107 71 54 42 124 18 244 177 111 111 145 134 224 163 43 31 174 234 186 248 218 193 239 178 0 105 120 113 241 72 7 9 79 130 254 39 96 118 105 98 154 206 69 60 188 123 237 199 31 127 252 37 61 105 147 36 142 47 28 249 184 240 73 208 255 28 176 175 254 156 40 57 223 164 144 238 243 213 230 204 104 164 251 76 130 254 103 193 125 230 250 99 55 0 22 206 224 3 191 61 188 110 234 40 189 108 18 244 63 19 191 203 188 85 111 111 219 177 173 121 227 242 23 68 70 47 165 239 255 3 13 195 229 237 201 102 199 82 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 21:47'!
selectorsToInclude
	^ #(styleCss)! !

!CCLibrary methodsFor: 'as yet unclassified' stamp: 'StuartHerring 10/16/2009 20:48'!
styleCss
	^'
* {
	font-family: verdana,sans-serif;
}

a {
	color: #b49c1c;
}

a:hover {
	color: #cccccc;
}

legend {
	font-weight: bold;
}

body {
	background-image: url("/seaside/files/CCLibrary/gradient.png");
	background-repeat: repeat-x;
	background-color: #2e0d26;
}

#heading {
	position: absolute;
	top: 10px;
	height: 147px;
	left: 0.75em;
	right: 0;
	margin:0;
	font-size: 2em;
	background-image: url("/seaside/files/CCLibrary/logo.png");
	background-repeat: no-repeat;
	z-index: 1;
}

#heading h1 {
	display: none;
}


#contents,
#contents-bg,
#lightbox {
	position: absolute;
	top: 110px;
	left: 13em;
	right: 1.5em;
	bottom: 1.5em;
}

#contents.lightbox,
#contents-bg.lightbox,
#lightbox {
	left: 1.5em;
}

#contents-bg {
	z-index: 0;
	overflow: hidden;
}

#nav,
#nav-bg {
	position: absolute;
	left: 1.5em;
	top: 110px;
	width: 10em;
	margin: 0;
	bottom: 1.5em;
}

#nav-bg
{
	z-index: 0;
	background-repeat: no-repeat;
}

#nav-bg .tl, #contents-bg .tl,
#nav-bg .tr, #contents-bg .tr,
#nav-bg .bl, #contents-bg .bl,
#nav-bg .br, #contents-bg .br {
	position: absolute;
	background-image: url("/seaside/files/CCLibrary/background.png");
	height: 40px;
	width: 40px;
	background-repeat: no-repeat;
}

#nav-bg .tl,
#contents-bg .tl 
{
	left: 0;
	top: 0;
}

#nav-bg .tr,
#contents-bg .tr {
	right: 0;
	top: 0;
	background-position: 0 -40px;
}

#nav-bg .l,
#contents-bg .l  {
	position: absolute;
	background-color: #5d1a4d;
	left: 0;
	top: 40px;
	bottom: 40px;
	right: 0;
	z-index: -1;
}

#nav-bg .r,
#contents-bg .r {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 40px;
	right: 40px;
	background-color: #5d1a4d;
	z-index: -1;
}


#contents-bg .bl,
#nav-bg .bl {
	left: 0;
	bottom: 0;
	background-position: 0 -80px;
}

#nav-bg .br,
#contents-bg .br {
	right: 0;
	bottom: 0;
	background-position: 0 -120px;
}

#nav {
	z-index: 4;
	background-color: transparent;
}

#nav ul {
	list-style: none;
	padding: 0;
	margin: 0;
	margin-top: 35px;
}

#nav li {
	margin: 0;
	padding: 0;
}
#nav a {
	text-decoration: none;
	padding: 0.5em;
	color: #b49c1c;
	font-weight: bold;
	display: block;
}

#nav a:hover {
	color: black;
	background-color: #b49c1c;
}


#contents {
	padding: 0;
	margin: 0px;
	z-index: 4;
}

#contents .tl, #contents .tr,
#contents .bl, #contents .br  {
	position: absolute;
	height: 40px;
	width: 40px;
	background-image: url("/seaside/files/CCLibrary/glasstitlecorners.png");
	z-index: -1;
}

#contents .tl {
	top: 0;
}
#contents .tr {
	right: 0;
	top: 0;
	background-position: 0 -40px;
}

#contents .bl {
	bottom: 0;
	background-position: 0 -80px;
}

#contents .br {
	bottom: 0;
	right: 0;
	background-position: 0 -120px;
}

#contents .t,
#contents .b {
	position: absolute;
	left: 40px;
	right: 40px;
	height: 40px;
	width: auto;	
	background-image: url("/seaside/files/CCLibrary/glasstitletb.png");
	z-index: -1;
}

#contents .t {
	background-position: 0 0px;
	top: 0;
}

#contents .b {
	background-position: 0 -40px;
	bottom: 0;
}

#contents .l, #contents .r
{
	position: absolute;
	width: 40px;
	top: 40px;
	bottom: 40px;
	background-image: url("/seaside/files/CCLibrary/glasslr.png");
}

#contents .r {
	right: 0;
	background-position: -40px 0;
}

#contents .m,
#lightbox-content {
	position: absolute;
	background-image: url("/seaside/files/CCLibrary/glass.png");
	background-repeat: repeat;
	left: 40px;
	right: 40px;
	top: 40px;
	bottom: 40px;
	overflow: auto;
	padding-top: 0.5em;
}


#contents h2,
#lightbox h2 {
	margin-top: 15px;
	font-size: 21px;
	text-align: center;
	font-weight: normal;
	color:  black;
}

#contents h3 {
	font-weight: normal;
	font-align: center;
	font-size: 1.1em;
	margin-top: 0;
	margin-bottom: 0;
}

#contents p {
	margin-top: 0.5em;
	margin-bottom: 1.5em;
}

#contents a.fn {
	text-decoration: none;
}

#contents .footnotes {
	border-top: solid black 1px;
}

#contents .footnotes p {
	font-size: 0.6em;
	margin-top: 0;
	margin-bottom: 0;
}

#background  {
	height: 100%;
	width: 100%;
}

#background td {
	text-align: center;
}

#background img {
	width: 40%;
	max-width: 400px;
	min-width: 200px;
}

.product-preview {
	border-bottom: dashed 1px grey;
	margin: 3px;
	padding: 3px;
clear: both;
}

.product-preview img {
	float: left;
	margin-top: 0.2em;
	margin-left: 0.2em;
	margin-right: 1em;
	margin-bottom: 0.5em;
}
.product-preview h3 {
	margin-top: 0;
	margin-bottom: 0;
	font-size: 1em;

}
.product-preview p {
	margin-top: 0;
	margin-bottom: 0;
}

.product-preview a {
	text-decoration: none;
}

.product-preview img {
	border: none;
}

.product-details {
	margin-bottom: 2em;
}

.product-details h2 {
	margin-top: 0;
}

.product-details .image-viewer {
	float: left;
	margin-right: 1em;
	margin-bottom: 0.5em;
}

.image-viewer {
	border: solid grey 1px;
	padding: 0;
	text-align: center;
	background-color: #2d002d;
}

.image-viewer img {
	border: 0;
	padding: 0;
}

.image-viewer ul {
	margin: 0;
	padding: 0;
	list-style: none;
}

.image-viewer li {
	display: inline;
	margin: 0;
	padding: 0;
}

.image-viewer li img {
	opacity: 0.4;
}

.image-viewer li a img {
	opacity: 1;
}

#lightbox {
	background-color: transparent;
z-index: 10;
}

#lightbox-content {
	background-image: none;
}
#lightbox .nav-buttons {
	padding: 0.2em;
	text-align: right;
}

#lightbox .item p {
	font-size: 1.1em;
	margin-left: 2em;
}

#lightbox fieldset {
	border: 1px solid #5d1a4d;
}
#lightbox legend  {
color: #5d1a4d;
}

#lightbox fieldset label {
margin-left: 0;
margin-top: 0.5em;
}

#lightbox fieldset p {
margin-top: 0;
font-size: 0.9em;
}
#lightbox fieldset p.desc {
margin: 0;
font-size: 0.7em;
color: #5d1a4d;
font-weight: bold;
}
 
ul.wizard-tabs {
	list-style: none;
	margin: 0;
	padding: 0;
}

.wizard-tabs li {
	display: inline;
	margin-left: 0.5em;
	margin-right: 0.5em;
}

.wizard-tabs li.disabled {
	color: grey;
}

.cart-view {
	margin: 0.5em;
}

#confirm-order {
	padding-left: 0.5em;
	padding-right: 0.5em;
}

#confirm-order h2 {
	margin-top: 0;
	margin-bottom: 0;
	font-size: 1.2em;
}

#confirm-order div {
	margin: 0;
}
#confirm-order p {
	margin-top: 0;
}

#confirm-order dl {
	margin-top: 0.5em;
	padding: 0;
}

#confirm-order dt {
	font-weight: bold;
}

#confirm-order dd {
	margin-left: 8em;
	margin-top: -1em;
}

label {
	width: 10em;
	display: inline-block;
	text-align: right;
	margin-right: 0.5em;
}

.error label {
	color: red;
}

.cc-sizes-editor div {
	display: inline-block;
}

.cc-sizes-editor input {
	width: 3em;
}

.cc-sizes-editor label {
	width: auto;
	margin-left: 0.5em;
}

.error-msgs {
	border: 1px dotted red;
	padding-left: 5px;
	font-size: 0.8em;
	margin-top: 0;
	list-style: none;
}

#add-item div.item {
	padding: 5px;
	margin-top: 0;
}

#add-item div.item img {
	float: left;
	margin-right: 5px;
	margin-top: 0;
}

#add-item div.item p {
	margin-top: 0;
}

.cart-widget {
	border: solid 1px #b49c1c;
	margin: 4px;
	margin-top: 1em;
	background-image: url("/seaside/files/CCLibrary/glass.png");
	padding: 2px;
}

.cart-widget h3 {
	margin: 0;
	padding-left: 0.5em;
	padding-right: 0.5em;
	font-size: 1em;
	text-align: center;
	background-color: #b49c1c
}

.cart-widget p {
	margin: 0;
	font-size: 0.9em;
}


.cc-fabric-editor {
	width: 500px;
	padding-top: 0;
}

.cc-fabric-editor img.selected {
	width: 100px;
	height: 100px;
	float: left;
}

.cc-fabric-editor div.selected {
	border-width: 1px;
	border-style: solid;
	border-color: red;
	float: left;
	text-align: center;
	color: red;
	width: 98px;
	height: 98px;
	line-height: normal;
}

.cc-fabric-editor h4 {
margin-bottom: 0;
margin-top: 1em;
}

#contents .cc-fabric-editor p {
	margin-top: 0;
	margin-bottom: 0.2em;
}

.cc-fabric-editor .fabricList {
	line-height: 0;
}
.cc-fabric-editor .fabricList a {
	border: none;
	margin: 0;
	padding: 0;
}

.cc-fabric-editor img {
	border: none;
	margin: 0;
	padding: 0;
	height: 50px;
	width: 50px;
}

.cc-fabric-editor .fabricNav {
	text-align: center;
}

.cc-fabric-editor .fabricNav a,
.cc-fabric-editor .fabricNav span {
	text-decoration: none;
	font-weight: bold;
}

.cc-fabric-editor .fabricNav span {
	color: #808080;
}
'! !

WARenderLoopMain subclass: #CCRenderLoopMain
	instanceVariableNames: 'root'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCRenderLoopMain methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:05'!
createRoot
	^ root ifNil: [self rootClass new]! !

!CCRenderLoopMain methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:04'!
root: aRoot
	root := aRoot.! !

WATask subclass: #CCSelector
	instanceVariableNames: 'component'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

WADelegation subclass: #CCLightBox
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCLightBox methodsFor: 'as yet unclassified' stamp: 'srh 4/22/2009 00:02'!
initialize
	super initialize.! !

!CCLightBox methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 23:14'!
nextPresentersDo: aBlock
	super nextPresentersDo: aBlock.
	aBlock value: self owner! !

!CCLightBox methodsFor: 'as yet unclassified' stamp: 'srh 4/22/2009 00:15'!
renderContentOn: html
	self renderOwnerOn: html.
	html div id: 'overlay'.
	html div
		id: 'lightbox';
		with: [
			html heading level: 2; with: self delegate title.
			html div id: 'lightbox-content'; with: self delegate]! !

WSField subclass: #CCUnitsField
	instanceVariableNames: 'units'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Options'!

!CCUnitsField methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/2/2009 22:12'!
initialize
	super initialize.
	value := #mm! !

!CCUnitsField methodsFor: 'as yet unclassified' stamp: 'StuartHerring 9/8/2009 21:01'!
renderContentOn: html
	html div class: (self valid ifFalse: ['error']); with: [
		| id |
		id := html nextId.
		html label for: id; with: self label, ':'.
		html select id: id; list: CCSize availableUnits;
		selected: value;
		callback: [ :v | value := v]].
		description ifNotNil: [html paragraph class: 'desc'; with: description]! !

WSStoreAdmin subclass: #CCStoreAdmin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCStoreAdmin class methodsFor: 'as yet unclassified' stamp: 'srh 4/14/2009 15:37'!
applicationNamed: aString
	| application |
	application := CCApplication named: aString.
	application configuration addAncestor: WARenderLoopConfiguration new.
	application preferenceAt: #rootComponent put: self.
	^ application! !

WSComponent subclass: #CCCorsetCare
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCCorsetCare methodsFor: 'as yet unclassified' stamp: 'srh 4/22/2009 01:09'!
renderContentOn: html
	html heading level: 3; with: 'Corset Cleaning'.
	html paragraph: 'We recommend that you spot clean and air out your corset (this can be done by draping it over the back off a chair for a day or two) when ever possible. If your corset does need cleaning we recommend that you take it to a reputable dry cleaner or hand wash it.'.
	
	html heading level: 3; with: 'Storing Your Corset'.
	html paragraph: 'After wearing your corset it is a good idea to let it air out before putting it away. Hanging it over the back of a chair for a day or two is a good way. Don''t roll up your corset to put it away. Let it lie flat. You can also hang it in a bag.'! !

!CCCorsetCare methodsFor: 'as yet unclassified' stamp: 'srh 4/22/2009 01:03'!
title
	^'Caring For You Corset'! !

WSComponent subclass: #CCFaq
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCFaq methodsFor: 'as yet unclassified' stamp: 'srh 4/22/2009 01:12'!
renderContentOn: html
	html heading level: 3; with: 'What Are Corsets Made From?'.
	html paragraph: 'Creative Corsetry''s corsets are made from two layers of coutil (this is a special corsetry fabric which is very strong and has very little stretch so that your corset will conform to your body perfectly. In some cases one of the layers of coutil is also the decorative layer.) Unless the coutil is decorative or the corset is purely functional we use another layer of fabric called the fashion fabric which is the outer decorative fabric. We can also add a decorative lining on request. We use spiral and spring steel boning.'.
	
	html heading level: 3; with: 'How Long Does It Take? Do You Have Stock?'.
	html paragraph: 'Each corset is made to order so we don''t have any in stock. Usually it takes up to four weeks before your corset will be posted to you.'.
	
	html heading level: 3; with: 'Putting On Your Corset'.
	html paragraph: 'Make sure the laces on the back are loose enough that the corset will fit around your body comfortably and that it is the right way up. (If the busk has two studs closer together than the others they will be at the bottom of the corset. Otherwise, if you look at the back of the corset where the laces are you will notice that the laces are knotted at one end. This is the bottom of the corset.) Now do up the busk. It is easiest to start at the bottom and work your way up. Sometimes this is a little awkward but it will get easier with practice!! Now you just need to tighten your laces. Start at the top or the bottom. It doesn''t matter which. Just pull the laces like you would your shoe laces until you reach the middle. Pull the long lace. Then go to the other end and do the same thing. Tie the long laces in the middle with a knot and a bow. Don''t tie them around your waist as this can damage your corset. 
Warning. It is important that you are not rough and do not jerk the laces when tightening them and don''t just pull the long laces, thinking that it will be quicker or easier because if you do you may hurt yourself or you may damage the grommets.'.

	html heading level: 3; with: 'Taking Off Your Corset.'.
	html paragraph: 'When you take off your corset first loosen the laces at the back then undo the busk. Never undo the busk without loosening the laces first as the sudden lack of pressure may cause yourself or your corset harm.'! !

!CCFaq methodsFor: 'as yet unclassified' stamp: 'srh 4/22/2009 01:02'!
title
	^'Frequently Asked Questions'! !

WSComponent subclass: #CCHistory
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCHistory methodsFor: 'as yet unclassified' stamp: 'srh 4/22/2009 01:01'!
renderContentOn: html
| fn |
fn := CCFootnote newWithCanvas: html.

html heading level: 3; with: 'Elizabethan'.
html paragraph with: [
	html text: 'An early form of the corset was the Elizabethan "pair of bodies" which provided support and flattened the bust. It also provided a foundation garment over which a gown''s bodice (also called a pair of bodies) was worn. There are two surviving examples today. One is from the grave of Pfalzgrafin Dorothea Sabina von Neuberg from 1598 and the other is from Queen Elizabeth I''s effigy in 1603.'.
fn addNote: 'Arnold, Janet. Queen Elizabeth''s Wardrobe Unlock''d. p. 145-146' at: 1.
fn addNote: 'Harvey, Anthony and Richard Mortimer (editors). The Funeral Effigies of Westminster Abbey (article by Janet Arnold.)' at: 2.
].
html heading level: 3; with: '17th and 18th Centuries'.
html paragraph with:[
	html text: 'From the end of the 17th century corsets or "stays" had changed slightly to give the wearer a more slender silhouette. By the mid 18th century stays had curved whalebone to shape the front of the bust and across the back to flatten the shoulder blades. They were often covered in beautiful fabric or embroidery.'.
fn addNote: 'Waugh, Norah. Corsets and Crinolines. p. 37-41.' at: 3].

html heading level: 3; with: '19th Century'.
html paragraph with: [
	html text: 'In the beginning of the 19th century stays were unfashionable and those that could did without them. However, those who were too large for the fashionable flowing, formfitting gowns and needed something to control their excess flesh continued to wear stays. When they came back into fashion around 1809-1810 they were called by their modern name: the corset. For the first time it was not a rigid body but a curved one. It was made "... from strong cotton material (jean, later know as coutil)".'.
fn addNote: 'Waugh, Norah. Corsets and Crinolines. p. 79.' at:'4'.
	html text: 'It had shoulder straps until the 1840s and later, if the wearer needed them, for a little more support for the bust. Several new inventions helped corset manufacture during the 19th century: metal eyelets in 1828, the first front opening steel busk in 1829 and the spoon busk in 1873. White corsets were considered more ladylike. Corsets were also made in grey, putty, red and black but were always lined in white'.
fn addNote: 'Waugh, Norah. Corsets and Crinolines. p. 75-83.' at: '5'].

fn render.
! !

!CCHistory methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 21:08'!
title
	^'History of the Corset'! !

WSComponent subclass: #CCStore
	instanceVariableNames: 'products current'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:32'!
children
	^Array with: current! !

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:36'!
initialRequest: aRequest
	current := products.
	aRequest at: #product
		ifPresent: [ :p |
			current := WSProductDetails for: (self store productWithId: p) ]
! !

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:15'!
initialize
	super initialize.
	products := WSProductList products: self store products.
	current := products.! !

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 3/1/2009 18:14'!
store
	^self session store! !

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 4/21/2009 21:12'!
title
	^current = products ifTrue: [ 'Our Corsets' ]
		ifFalse: [ current title ]! !

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:59'!
updateUrl: aUrl
	aUrl addToPath: 'store'! !
